package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 出货异常记录 Convert
 * @author wlh
 */
@Mapper
public interface BoxAbnormalConvert {
    /*****转换MapStruct*****/
    BoxAbnormalConvert INSTANCE = Mappers.getMapper(BoxAbnormalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxAbnormalDO convert(BoxAbnormalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxAbnormalDO convert(BoxAbnormalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxAbnormalBackVO convert(BoxAbnormalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxAbnormalBackVO> convertList(List<BoxAbnormalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxAbnormalBackVO> convertPage(PageResult<BoxAbnormalDO> page);
}
