package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAgentDO;
import cn.iocoder.yudao.module.shipment.vo.boxAgent.BoxAgentBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 代理商agent Convert
 * @author wlh
 */
@Mapper
public interface BoxAgentConvert {
    /*****转换MapStruct*****/
    BoxAgentConvert INSTANCE = Mappers.getMapper(BoxAgentConvert.class);


    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxAgentBackVO convert(BoxAgentDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxAgentBackVO> convertList(List<BoxAgentDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxAgentBackVO> convertPage(PageResult<BoxAgentDO> page);
}
