package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAirCheckoutDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirCheckout.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 空运出仓 Convert
 * @author 江楠
 */
@Mapper
public interface BoxAirCheckoutConvert {
    /*****转换MapStruct*****/
    BoxAirCheckoutConvert INSTANCE = Mappers.getMapper(BoxAirCheckoutConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxAirCheckoutDO convert(BoxAirCheckoutCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxAirCheckoutDO convert(BoxAirCheckoutUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxAirCheckoutBackVO convert(BoxAirCheckoutDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxAirCheckoutBackVO> convertList(List<BoxAirCheckoutDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxAirCheckoutBackVO> convertPage(PageResult<BoxAirCheckoutDO> page);
}
