package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAirShipmentDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirShipment.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 空运出货 Convert
 * @author 江楠
 */
@Mapper
public interface BoxAirShipmentConvert {
    /*****转换MapStruct*****/
    BoxAirShipmentConvert INSTANCE = Mappers.getMapper(BoxAirShipmentConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxAirShipmentDO convert(BoxAirShipmentCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxAirShipmentDO convert(BoxAirShipmentUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxAirShipmentBackVO convert(BoxAirShipmentDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxAirShipmentBackVO> convertList(List<BoxAirShipmentDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxAirShipmentBackVO> convertPage(PageResult<BoxAirShipmentDO> page);
}
