package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxApprovalDO;
import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 出货审核 Convert
 * @author wlh
 */
@Mapper
public interface BoxApprovalConvert {
    /*****转换MapStruct*****/
    BoxApprovalConvert INSTANCE = Mappers.getMapper(BoxApprovalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxApprovalDO convert(BoxApprovalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxApprovalDO convert(BoxApprovalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxApprovalBackVO convert(BoxApprovalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxApprovalBackVO> convertList(List<BoxApprovalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxApprovalBackVO> convertPage(PageResult<BoxApprovalDO> page);
}
