package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalAirDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 空运到港 Convert
 * @author wlh
 */
@Mapper
public interface BoxArrivalAirConvert {
    /*****转换MapStruct*****/
    BoxArrivalAirConvert INSTANCE = Mappers.getMapper(BoxArrivalAirConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxArrivalAirDO convert(BoxArrivalAirCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxArrivalAirDO convert(BoxArrivalAirUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxArrivalAirBackVO convert(BoxArrivalAirDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxArrivalAirBackVO> convertList(List<BoxArrivalAirDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxArrivalAirBackVO> convertPage(PageResult<BoxArrivalAirDO> page);
}
