package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 到港 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxArrivalConvert {
    /*****转换MapStruct*****/
    BoxArrivalConvert INSTANCE = Mappers.getMapper(BoxArrivalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxArrivalDO convert(BoxArrivalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxArrivalDO convert(BoxArrivalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxArrivalBackVO convert(BoxArrivalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxArrivalBackVO> convertList(List<BoxArrivalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxArrivalBackVO> convertPage(PageResult<BoxArrivalDO> page);
}
