package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBargeDO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 驳船 Convert
 * @author wlh
 */
@Mapper
public interface BoxBargeConvert {
    /*****转换MapStruct*****/
    BoxBargeConvert INSTANCE = Mappers.getMapper(BoxBargeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxBargeDO convert(BoxBargeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxBargeDO convert(BoxBargeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxBargeBackVO convert(BoxBargeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxBargeBackVO> convertList(List<BoxBargeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxBargeBackVO> convertPage(PageResult<BoxBargeDO> page);
}
