package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.shipment.vo.boxBookAir.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookAirDO;

/**
 * 订舱-空运 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxBookAirConvert {
    /*****转换MapStruct*****/
    BoxBookAirConvert INSTANCE = Mappers.getMapper(BoxBookAirConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxBookAirDO convert(BoxBookAirCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxBookAirDO convert(BoxBookAirUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxBookAirBackVO convert(BoxBookAirDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxBookAirBackVO> convertList(List<BoxBookAirDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxBookAirBackVO> convertPage(PageResult<BoxBookAirDO> page);
}
