package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookSeaDO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 订舱 Convert
 * @author wlh
 */
@Mapper
public interface BoxBookSeaConvert {
    /*****转换MapStruct*****/
    BoxBookSeaConvert INSTANCE = Mappers.getMapper(BoxBookSeaConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxBookSeaDO convert(BoxBookSeaCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxBookSeaDO convert(BoxBookSeaUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxBookSeaBackVO convert(BoxBookSeaDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxBookSeaBackVO> convertList(List<BoxBookSeaDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxBookSeaBackVO> convertPage(PageResult<BoxBookSeaDO> page);
}
