package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetApplyReq;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 装柜 Convert
 * @author wlh
 */
@Mapper
public interface BoxCabinetConvert {
    /*****转换MapStruct*****/
    BoxCabinetConvert INSTANCE = Mappers.getMapper(BoxCabinetConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCabinetDO convert(BoxCabinetCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCabinetDO convert(BoxCabinetUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCabinetBackVO convert(BoxCabinetDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCabinetBackVO> convertList(List<BoxCabinetDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCabinetBackVO> convertPage(PageResult<BoxCabinetDO> page);

    BoxCabinetDO convert(BoxCabinetApplyReq applyReq);
}
