package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetUnloadAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 卸柜异常 Convert
 * @author wlh
 */
@Mapper
public interface BoxCabinetUnloadAbnormalConvert {
    /*****转换MapStruct*****/
    BoxCabinetUnloadAbnormalConvert INSTANCE = Mappers.getMapper(BoxCabinetUnloadAbnormalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCabinetUnloadAbnormalDO convert(BoxCabinetUnloadAbnormalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCabinetUnloadAbnormalDO convert(BoxCabinetUnloadAbnormalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCabinetUnloadAbnormalBackVO convert(BoxCabinetUnloadAbnormalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCabinetUnloadAbnormalBackVO> convertList(List<BoxCabinetUnloadAbnormalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCabinetUnloadAbnormalBackVO> convertPage(PageResult<BoxCabinetUnloadAbnormalDO> page);
}
