package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetUnloadDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadUpdateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxUnloadApplyReq;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 卸柜 Convert
 * @author wlh
 */
@Mapper
public interface BoxCabinetUnloadConvert {
    /*****转换MapStruct*****/
    BoxCabinetUnloadConvert INSTANCE = Mappers.getMapper(BoxCabinetUnloadConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCabinetUnloadDO convert(BoxCabinetUnloadCreateReqVO bean);

    BoxCabinetUnloadDO convert(BoxUnloadApplyReq applyReq);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCabinetUnloadDO convert(BoxCabinetUnloadUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCabinetUnloadBackVO convert(BoxCabinetUnloadDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCabinetUnloadBackVO> convertList(List<BoxCabinetUnloadDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCabinetUnloadBackVO> convertPage(PageResult<BoxCabinetUnloadDO> page);
}
