package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCheckoutAirDO;

/**
 * 出仓-空运 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxCheckoutAirConvert {
    /*****转换MapStruct*****/
    BoxCheckoutAirConvert INSTANCE = Mappers.getMapper(BoxCheckoutAirConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCheckoutAirDO convert(BoxCheckoutAirCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCheckoutAirDO convert(BoxCheckoutAirUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCheckoutAirBackVO convert(BoxCheckoutAirDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCheckoutAirBackVO> convertList(List<BoxCheckoutAirDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCheckoutAirBackVO> convertPage(PageResult<BoxCheckoutAirDO> page);
}
