package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 清关 Convert
 * @author wlh
 */
@Mapper
public interface BoxClearanceConvert {
    /*****转换MapStruct*****/
    BoxClearanceConvert INSTANCE = Mappers.getMapper(BoxClearanceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxClearanceDO convert(BoxClearanceCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxClearanceDO convert(BoxClearanceUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxClearanceBackVO convert(BoxClearanceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxClearanceBackVO> convertList(List<BoxClearanceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxClearanceBackVO> convertPage(PageResult<BoxClearanceDO> page);
}
