package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDocDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 清关文件 Convert
 * @author wlh
 */
@Mapper
public interface BoxClearanceDocConvert {
    /*****转换MapStruct*****/
    BoxClearanceDocConvert INSTANCE = Mappers.getMapper(BoxClearanceDocConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxClearanceDocDO convert(BoxClearanceDocCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxClearanceDocDO convert(BoxClearanceDocUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxClearanceDocBackVO convert(BoxClearanceDocDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxClearanceDocBackVO> convertList(List<BoxClearanceDocDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxClearanceDocBackVO> convertPage(PageResult<BoxClearanceDocDO> page);
}
