package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxDO;
import org.mapstruct.BeforeMapping;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.shipment.vo.box.*;

/**
 * 出货 Convert
 * @author lalala
 */
@Mapper
public interface BoxConvert {
    /*****转换MapStruct*****/
    BoxConvert INSTANCE = Mappers.getMapper(BoxConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxDO convert(BoxCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxDO convert(BoxUpdateReqVO bean);

    @BeforeMapping
    default void beforeMapping(BoxUpdateReqVO source, @MappingTarget BoxDO target) {
        // 在赋值之前执行操作
        target.setTransportType(source.getTransportType());
    }

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    BoxBackVO convert(BoxDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxBackVO> convertList(List<BoxDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxBackVO> convertPage(PageResult<BoxDO> page);

    List<BoxFinanceBackVO> convertPage1(List<BoxDO> list);
}
