package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCostDO;
import cn.iocoder.yudao.module.shipment.vo.boxCost.BoxCostBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCost.BoxCostCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCost.BoxCostUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 费用登记 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxCostConvert {
    /*****转换MapStruct*****/
    BoxCostConvert INSTANCE = Mappers.getMapper(BoxCostConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCostDO convert(BoxCostCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCostDO convert(BoxCostUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCostBackVO convert(BoxCostDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCostBackVO> convertList(List<BoxCostDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCostBackVO> convertPage(PageResult<BoxCostDO> page);
}
