package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsApplyReq;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 报关 Convert
 * @author wlh
 */
@Mapper
public interface BoxCustomsConvert {
    /*****转换MapStruct*****/
    BoxCustomsConvert INSTANCE = Mappers.getMapper(BoxCustomsConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCustomsDO convert(BoxCustomsCreateReqVO bean);

    BoxCustomsDO convert(BoxCustomsApplyReq req);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCustomsDO convert(BoxCustomsUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCustomsBackVO convert(BoxCustomsDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCustomsBackVO> convertList(List<BoxCustomsDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCustomsBackVO> convertPage(PageResult<BoxCustomsDO> page);
}
