package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsExtraCostDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsExtraCost.BoxCustomsExtraCostBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsExtraCost.BoxCustomsExtraCostCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsExtraCost.BoxCustomsExtraCostUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 额外报关费用 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxCustomsExtraCostConvert {
    /*****转换MapStruct*****/
    BoxCustomsExtraCostConvert INSTANCE = Mappers.getMapper(BoxCustomsExtraCostConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCustomsExtraCostDO convert(BoxCustomsExtraCostCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCustomsExtraCostDO convert(BoxCustomsExtraCostUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCustomsExtraCostBackVO convert(BoxCustomsExtraCostDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCustomsExtraCostBackVO> convertList(List<BoxCustomsExtraCostDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCustomsExtraCostBackVO> convertPage(PageResult<BoxCustomsExtraCostDO> page);
}
