package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingBillDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 提单补料 Convert
 * @author wlh
 */
@Mapper
public interface BoxLadingBillConvert {
    /*****转换MapStruct*****/
    BoxLadingBillConvert INSTANCE = Mappers.getMapper(BoxLadingBillConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxLadingBillDO convert(BoxLadingBillCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxLadingBillDO convert(BoxLadingBillUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxLadingBillBackVO convert(BoxLadingBillDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxLadingBillBackVO> convertList(List<BoxLadingBillDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxLadingBillBackVO> convertPage(PageResult<BoxLadingBillDO> page);
}
