package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingCopyDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 提单copy Convert
 * @author wlh
 */
@Mapper
public interface BoxLadingCopyConvert {
    /*****转换MapStruct*****/
    BoxLadingCopyConvert INSTANCE = Mappers.getMapper(BoxLadingCopyConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxLadingCopyDO convert(BoxLadingCopyCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxLadingCopyDO convert(BoxLadingCopyUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxLadingCopyBackVO convert(BoxLadingCopyDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxLadingCopyBackVO> convertList(List<BoxLadingCopyDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxLadingCopyBackVO> convertPage(PageResult<BoxLadingCopyDO> page);
}
