package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLoadInfoDO;
import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadInfoBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadInfoCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadInfoUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 已装柜标签 Convert
 * @author wlh
 */
@Mapper
public interface BoxLoadInfoConvert {
    /*****转换MapStruct*****/
    BoxLoadInfoConvert INSTANCE = Mappers.getMapper(BoxLoadInfoConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxLoadInfoDO convert(BoxLoadInfoCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxLoadInfoDO convert(BoxLoadInfoUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxLoadInfoBackVO convert(BoxLoadInfoDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxLoadInfoBackVO> convertList(List<BoxLoadInfoDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxLoadInfoBackVO> convertPage(PageResult<BoxLoadInfoDO> page);
}
