package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxMergePkgDO;
import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.BoxMergePkgBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.BoxMergePkgCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.BoxMergePkgUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 合包箱 Convert
 * @author 江楠
 */
@Mapper
public interface BoxMergePkgConvert {
    /*****转换MapStruct*****/
    BoxMergePkgConvert INSTANCE = Mappers.getMapper(BoxMergePkgConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxMergePkgDO convert(BoxMergePkgCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxMergePkgDO convert(BoxMergePkgUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxMergePkgBackVO convert(BoxMergePkgDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxMergePkgBackVO> convertList(List<BoxMergePkgDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxMergePkgBackVO> convertPage(PageResult<BoxMergePkgDO> page);
}
