package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOpLogDO;
import cn.iocoder.yudao.module.shipment.vo.boxOpLog.BoxOpLogBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxOpLog.BoxOpLogCreateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 出货操作日志 Convert
 * @author wlh
 */
@Mapper
public interface BoxOpLogConvert {
    /*****转换MapStruct*****/
    BoxOpLogConvert INSTANCE = Mappers.getMapper(BoxOpLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxOpLogDO convert(BoxOpLogCreateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxOpLogBackVO convert(BoxOpLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxOpLogBackVO> convertList(List<BoxOpLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxOpLogBackVO> convertPage(PageResult<BoxOpLogDO> page);
}
