package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOrderSmsLogDO;

/**
 * 出货短信记录 Convert
 * @author 系统管理员
 */
@Mapper
public interface BoxOrderSmsLogConvert {
    /*****转换MapStruct*****/
    BoxOrderSmsLogConvert INSTANCE = Mappers.getMapper(BoxOrderSmsLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxOrderSmsLogDO convert(BoxOrderSmsLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxOrderSmsLogDO convert(BoxOrderSmsLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxOrderSmsLogBackVO convert(BoxOrderSmsLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxOrderSmsLogBackVO> convertList(List<BoxOrderSmsLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxOrderSmsLogBackVO> convertPage(PageResult<BoxOrderSmsLogDO> page);
}
