package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPkgOrderDO;
import cn.iocoder.yudao.module.shipment.vo.boxPkgOrder.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 合包订单 Convert
 * @author 江楠
 */
@Mapper
public interface BoxPkgOrderConvert {
    /*****转换MapStruct*****/
    BoxPkgOrderConvert INSTANCE = Mappers.getMapper(BoxPkgOrderConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxPkgOrderDO convert(BoxPkgOrderCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxPkgOrderDO convert(BoxPkgOrderUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxPkgOrderBackVO convert(BoxPkgOrderDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxPkgOrderBackVO> convertList(List<BoxPkgOrderDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxPkgOrderBackVO> convertPage(PageResult<BoxPkgOrderDO> page);
}
