package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPreloadGoodsDO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxPreloadGoodsBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxPreloadGoodsCreateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 预装货物 Convert
 * @author wlh
 */
@Mapper
public interface BoxPreloadGoodsConvert {
    /*****转换MapStruct*****/
    BoxPreloadGoodsConvert INSTANCE = Mappers.getMapper(BoxPreloadGoodsConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxPreloadGoodsDO convert(BoxPreloadGoodsCreateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxPreloadGoodsBackVO convert(BoxPreloadGoodsDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxPreloadGoodsBackVO> convertList(List<BoxPreloadGoodsDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxPreloadGoodsBackVO> convertPage(PageResult<BoxPreloadGoodsDO> page);
}
