package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPreloadSectionDO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionCreateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 预装部分 Convert
 * @author wlh
 */
@Mapper
public interface BoxPreloadSectionConvert {
    /*****转换MapStruct*****/
    BoxPreloadSectionConvert INSTANCE = Mappers.getMapper(BoxPreloadSectionConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxPreloadSectionDO convert(BoxPreloadSectionCreateReqVO bean);


    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxPreloadSectionBackVO convert(BoxPreloadSectionDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxPreloadSectionBackVO> convertList(List<BoxPreloadSectionDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxPreloadSectionBackVO> convertPage(PageResult<BoxPreloadSectionDO> page);
}
