package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxSettlementDO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 结算 Convert
 * @author wlh
 */
@Mapper
public interface BoxSettlementConvert {
    /*****转换MapStruct*****/
    BoxSettlementConvert INSTANCE = Mappers.getMapper(BoxSettlementConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxSettlementDO convert(BoxSettlementCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxSettlementDO convert(BoxSettlementUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxSettlementBackVO convert(BoxSettlementDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxSettlementBackVO> convertList(List<BoxSettlementDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxSettlementBackVO> convertPage(PageResult<BoxSettlementDO> page);
}
