package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxShippingDO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 起运 Convert
 * @author wlh
 */
@Mapper
public interface BoxShippingConvert {
    /*****转换MapStruct*****/
    BoxShippingConvert INSTANCE = Mappers.getMapper(BoxShippingConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxShippingDO convert(BoxShippingCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxShippingDO convert(BoxShippingUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxShippingBackVO convert(BoxShippingDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxShippingBackVO> convertList(List<BoxShippingDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxShippingBackVO> convertPage(PageResult<BoxShippingDO> page);
}
