package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTakeoffDO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 起飞 Convert
 * @author wlh
 */
@Mapper
public interface BoxTakeoffConvert {
    /*****转换MapStruct*****/
    BoxTakeoffConvert INSTANCE = Mappers.getMapper(BoxTakeoffConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxTakeoffDO convert(BoxTakeoffCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxTakeoffDO convert(BoxTakeoffUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxTakeoffBackVO convert(BoxTakeoffDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxTakeoffBackVO> convertList(List<BoxTakeoffDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxTakeoffBackVO> convertPage(PageResult<BoxTakeoffDO> page);
}
