package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTallyDO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 理货 Convert
 * @author wlh
 */
@Mapper
public interface BoxTallyConvert {
    /*****转换MapStruct*****/
    BoxTallyConvert INSTANCE = Mappers.getMapper(BoxTallyConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxTallyDO convert(BoxTallyCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxTallyDO convert(BoxTallyUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxTallyBackVO convert(BoxTallyDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxTallyBackVO> convertList(List<BoxTallyDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxTallyBackVO> convertPage(PageResult<BoxTallyDO> page);
}
