package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTrailerDO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 拖车 Convert
 * @author wlh
 */
@Mapper
public interface BoxTrailerConvert {
    /*****转换MapStruct*****/
    BoxTrailerConvert INSTANCE = Mappers.getMapper(BoxTrailerConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxTrailerDO convert(BoxTrailerCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxTrailerDO convert(BoxTrailerUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxTrailerBackVO convert(BoxTrailerDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxTrailerBackVO> convertList(List<BoxTrailerDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxTrailerBackVO> convertPage(PageResult<BoxTrailerDO> page);
}
