package cn.iocoder.yudao.module.shipment.convert;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.FutureBoxDO;
import cn.iocoder.yudao.module.shipment.vo.futureBox.FutureBoxBackVO;
import cn.iocoder.yudao.module.shipment.vo.futureBox.FutureBoxCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.futureBox.FutureBoxUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 预定舱计划 Convert
 * @author 系统管理员
 */
@Mapper
public interface FutureBoxConvert {
    /*****转换MapStruct*****/
    FutureBoxConvert INSTANCE = Mappers.getMapper(FutureBoxConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    FutureBoxDO convert(FutureBoxCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    FutureBoxDO convert(FutureBoxUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    FutureBoxBackVO convert(FutureBoxDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<FutureBoxBackVO> convertList(List<FutureBoxDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<FutureBoxBackVO> convertPage(PageResult<FutureBoxDO> page);
}
