package cn.iocoder.yudao.module.shipment.convert.boxAirFly;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirFly.BoxAirFlyDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirFly.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 起飞 Convert
 * @author 江楠
 */
@Mapper
public interface BoxAirFlyConvert {
    /*****转换MapStruct*****/
    BoxAirFlyConvert INSTANCE = Mappers.getMapper(BoxAirFlyConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxAirFlyDO convert(BoxAirFlyCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxAirFlyDO convert(BoxAirFlyUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxAirFlyBackVO convert(BoxAirFlyDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxAirFlyBackVO> convertList(List<BoxAirFlyDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxAirFlyBackVO> convertPage(PageResult<BoxAirFlyDO> page);
}
