package cn.iocoder.yudao.module.shipment.convert.boxCustomsSplit;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxCustomsSplit.BoxCustomsSplitDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 出货报关拆单提醒 Convert
 * @author wlh
 */
@Mapper
public interface BoxCustomsSplitConvert {
    /*****转换MapStruct*****/
    BoxCustomsSplitConvert INSTANCE = Mappers.getMapper(BoxCustomsSplitConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxCustomsSplitDO convert(BoxCustomsSplitCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxCustomsSplitDO convert(BoxCustomsSplitUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxCustomsSplitBackVO convert(BoxCustomsSplitDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxCustomsSplitBackVO> convertList(List<BoxCustomsSplitDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxCustomsSplitBackVO> convertPage(PageResult<BoxCustomsSplitDO> page);
}
