package cn.iocoder.yudao.module.shipment.convert.boxOrderCheckInfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderCheckInfo.BoxOrderCheckInfoDO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo.BoxOrderCheckInfoBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo.BoxOrderCheckInfoCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo.BoxOrderCheckInfoUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 理货和合包标签 Convert
 * @author 江楠
 */
@Mapper
public interface BoxOrderCheckInfoConvert {
    /*****转换MapStruct*****/
    BoxOrderCheckInfoConvert INSTANCE = Mappers.getMapper(BoxOrderCheckInfoConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxOrderCheckInfoDO convert(BoxOrderCheckInfoCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxOrderCheckInfoDO convert(BoxOrderCheckInfoUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxOrderCheckInfoBackVO convert(BoxOrderCheckInfoDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxOrderCheckInfoBackVO> convertList(List<BoxOrderCheckInfoDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxOrderCheckInfoBackVO> convertPage(PageResult<BoxOrderCheckInfoDO> page);
}
