package cn.iocoder.yudao.module.shipment.convert.boxOrderExit;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderExit.BoxOrderExitDO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 退场订单 Convert
 * @author wlh
 */
@Mapper
public interface BoxOrderExitConvert {
    /*****转换MapStruct*****/
    BoxOrderExitConvert INSTANCE = Mappers.getMapper(BoxOrderExitConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    BoxOrderExitDO convert(BoxOrderExitCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    BoxOrderExitDO convert(BoxOrderExitUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    BoxOrderExitBackVO convert(BoxOrderExitDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<BoxOrderExitBackVO> convertList(List<BoxOrderExitDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<BoxOrderExitBackVO> convertPage(PageResult<BoxOrderExitDO> page);
}
