package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货异常记录 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_abnormal")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAbnormalDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long shipmentId;
    /**
     * 操作步骤
     */
    private Integer opStep;
    /**
     * 票异常id
     */
    private Long billAbnId;
    /**
     * 票异常详情
     */
    private String abnDetail;
    /**
     * 异常开始时间
     */
    private Date abnStartTime;
    /**
     * 异常结束时间
     */
    private Date abnEndTime;
    /**
     * 是否更新订单状态，1：是，2否
     */
    private Integer orderStatus;
    /**
     * 中文内容
     */
    private String contentZh;
    /**
     * 英文内容
     */
    private String contentEn;

    /**
     * 通知用户
     */
    private String notifyUsers;

    /**
     * 处理状态 0-未处理  1-已处理
     */
    private Integer dealStatus;

    /**
     * 已处理订单
     */
    private String dealOrderIds;

    /**
     * 延迟天数
     */
    private Integer delayDays;

}
