package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 空运出货 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_air_shipment")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAirShipmentDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货id
     */
    private Long shipmentId;
    /**
     * 送货方式
     */
    private Integer deliverType;
    /**
     * 送货时间
     */
    private Date deliverTime;
    /**
     * 送货地址
     */
    private String deliverAddress;
    /**
     * 车牌
     */
    private String licensePlate;
    /**
     * 司机
     */
    private String driver;
    /**
     * 司机联系方式
     */
    private String driverPhone;

}
