package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货审核 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_approval")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxApprovalDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;

    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 审核类型，1预装，2封柜，3卸柜，4预装反审，5报关全退，6报关部分退，7卸柜反审核,8拆单
     */
    private Integer approvalType;
    /**
     * 状态，PROCESS(1, "处理中"),
     *     APPROVE(2, "通过"),
     *     REJECT(3, "不通过"),
     *     CANCEL(4, "已取消");
     */
    private Integer approvalStatus;

    /**
     * 申请理由
     */
    private String applyReason;


    /**
     * 通知人
     */
    private Long noticeUser;

    /**
     * 审批流程ID
     */
    private String bpmProcessId;

    /**
     * 审核详情
     */
    private String details;

}
