package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 空运到港 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_arrival_air")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxArrivalAirDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 实际到达时间
     */
    private Date actTime;

    /**
     * 预计到达时间
     */
    private Date estTime;

    /**
     * 实际二程时间
     */
    private Date actSecondTime;

    /**
     * 到港类型  0-一次到港，1-多次到港
     */
    private Integer arriveType;

}
