package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 驳船 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_barge")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxBargeDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;
    /**
     * 是否驳船：1：无驳船，1：有驳船
     */
    private Integer bgExmtStatus;
    /**
     * 驳船预计开船时间
     */
    private Date bgEstShipTime;
    /**
     * 驳船实际开船时间
     */
    private Date bgRealShipTime;
    /**
     * 通知用户ID
     */
    private Long notifyUser;

}
