package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订舱-空运 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_book_air")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxBookAirDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货安排ID
     */
    private Long shipmentId;
    /**
     * 提单号
     */
    private String blNo;
    /**
     * 起运港id
     */
    private Long departurePortId;
    /**
     * 目的港id
     */
    private Long destPortId;
    /**
     * shipper_id
     */
    private Long shipperId;
    /**
     * 航空公司
     */
    private Long airlineCompanyId;
    /**
     * 预计航班起飞时间
     */
    private Date flyTime;

    /**
     * 截关时间
     */
    private Date closingTime;

    /**
     * 截补料时间
     */
    private Date replenishmentTime;

    /**
     * 航程
     */
    private Integer voyage;

    /**
     * 截止送货时间
     */
    private Date deliveryTime;
    /**
     * 出货渠道
     */
    private Long airlineTypeId;

}
