package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订舱 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_book_sea")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxBookSeaDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 出货安排ID
     */
    private Long shipmentId;
    /**
     * 订舱sono
     */
    private String sono;
    /**
     * 船公司类型
     */
    private String shipCompanyType;
    /**
     * 驳船港id
     */
    private Long bargePortId;
    /**
     * 大船港id
     */
    private Long bigPortId;
    /**
     * 目的港id
     */
    private Long destPortId;
    /**
     * 订舱公司 id
     */
    private Long spaceCompanyId;
    /**
     * 预计驳船时间
     */
    private Date bargeTime;
    /**
     * 预计开船时间
     */
    private Date sailTime;
    /**
     * 驳船时间超时通知人
     */
    private Long bargeNotifyUser;
    /**
     * 开船超时通知人
     */
    private Long sailNotifyUser;
    /**
     * 预计提单补料时间
     */
    private Date ladingBillTime;
    /**
     * 提单补料超时通知人
     */
    private Long ladingBillNotifyUser;
    /**
     * 预计报关时间
     */
    private Date customsTime;
    /**
     * 报关超时通知人
     */
    private Long customsNotifyUser;
    /**
     * 预计截关时间
     */
    private Date cutOffTime;
    /**
     * 截关超时通知人
     */
    private Long cutOffNotifyUser;

}
