package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出仓-空运 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_checkout_air")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCheckoutAirDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货安排ID
     */
    private Long shipmentId;
    /**
     * 出仓类型
     */
    private Long checkoutType;
    /**
     * 送货/自提时间
     */
    private Date checkoutTime;
    /**
     * 送货/自提地址
     */
    private String checkoutAddr;
    /**
     * 车牌
     */
    private String carNum;
    /**
     * 司机
     */
    private String driver;
    /**
     * 司机联系方式
     */
    private String driverPhone;

}
