package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 清关 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_clearance")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxClearanceDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 清关代理id
     */
    private Long clAgentId;
    /**
     * 预计清关时间
     */
    private Date clEstTime;
    /**
     * 清关时间
     */
    private Date clClearTime;

    /**
     * 清关类型
     */
    private Integer clearanceType;

}