package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 清关文件 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_clearance_doc")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxClearanceDocDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 出单方式，1：电放，2：正本
     */
    private Integer cdOutBillType;
    /**
     * 电放时间
     */
    private Date cdElectricTime;
    /**
     * 电放凭证附件
     */
    private String cdElectricVoucher;
    /**
     * 寄送时间
     */
    private Date cdSendTime;
    /**
     * 快递单号
     */
    private String cdBillNo;
    /**
     * 是否有清关agentlist文件，1：无需，2：已做
     */
    private Integer cdAgentlistType;
    /**
     * agentlist文件日期
     */
    private Date cdAgentlistTime;
    /**
     * agentlist文件路径
     */
    private String cdAgentlistFile;
    /**
     * 是否有清关soncap文件，1：无需，2：已做
     */
    private Integer cdSoncapType;
    /**
     * soncap文件日期
     */
    private Date cdSoncapTime;
    /**
     * soncap文件路径
     */
    private String cdSoncapFile;
    /**
     * 空运清关文件列表
     */
    private String docFiles;

}
