package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 报关 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_customs")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCustomsDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 单证要求
     */
    private String dcDocumentType;
    /**
     * 柜重
     */
    private java.math.BigDecimal dcBoxWgt;
    /**
     * 货重
     */
    private java.math.BigDecimal dcGoodsWgt;
    /**
     * VGM重量
     */
    private java.math.BigDecimal dcVgmWgt;
    /**
     * 报关方式
     */
    private Integer dcCustomsType;
    /**
     * 正常报关订单
     */
    private String dcNormalOrderNo;
    /**
     * 报关公司id
     */
    private Integer dcCompanyId;
    /**
     * 截关时间
     */
    private Date dcCutOffTime;
    /**
     * 报关放行状态，1：报关中，2：放行，3：查验
     */
    private Integer dcCustomsStatus;
    /**
     * 查验状态，1：退场，2：部分退场，3：查验后放行
     */
    private Integer dcCheckStatus;
    /**
     * 查验时间
     */
    private Date dcCheckTime;
    /**
     * 查验前图片
     */
    private String dcCheckPreImg;

    /**
     * 退场图片
     */
    private String dcExitImg;

    /**
     * 新封条
     */
    private String dcStripSeal;
    /**
     * 放行时间
     */
    private Date dcPassTime;

    /**
     * 报关时间
     */
    private Date dcDecTime;

    /**
     * 过机状态,1：顺利，2：异常
     */
    private Integer overMachineStatus;

    /**
     * 过机异常状态，1：敏感货，2：重量误报
     */
    private Integer overMachineAbnormalStatus;

    /**
     * 重量误报，1：3%，2：10kg，3：未找到，4：已找到
     */
    private Integer weightMisreport;

    /**
     * 超出重量
     */
    private BigDecimal overWeight;

    /**
     * 超出订单，多个以,连接
     */
    private String overOrders;

    /**
     * 处理人，多个以,连接
     */
    private String overDealUser;

    /**
     * 超出备注
     */
    private String overRemarks;

}
