package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 额外报关费用 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_customs_extra_cost")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxCustomsExtraCostDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 报关费用
     */
    private java.math.BigDecimal fee;

    /**
     * 第一次的报关费用
     */
    private java.math.BigDecimal initFee;

}
