package cn.iocoder.yudao.module.shipment.dal.dataobject;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "ecw_box", keepGlobalPrefix = true)

public class BoxEntity extends BaseDO {

    @TableId
    private Long id;
    /**
     * 自编号
     */
    private String selfNo;
    /**
     * 柜号
     */
    private String cubNo;
    /**
     * 柜型ID
     */
    private Long cabinetId;
    /**
     * 始发地id
     */
    private Long startWarehouseId;

    /**
     * 目的地id
     */
    private Long destWarehouseId;
    /**
     * 运输方式
     */
    private String transportType;
    /**
     * 出货渠道ID
     */
    private Long shippingChannelId;

    /**
     * 预装时间
     */
    private Date yzDate;
    /**
     * 装柜时间
     */
    private Date zgDate;
    /**
     * 起运时间
     */
    private Date qyDate;
    /**
     * 到港时间
     */
    private Date dgDate;
    /**
     * 清关时间
     */
    private Date qgDate;
    /**
     * 提货时间
     */
    private Date thDate;
    /**
     * 订舱状态：11、未订舱；12、已订舱
     */
    private Integer bkStatus;

    /**
     * 预装状态：21、未预装；22、预装中；23、预装审核中；23、预装审核失败；24、预装审核成功
     */
    private Integer prStatus;

    /**
     * 理货状态：2111、未理货；2112、已理货
     */
    private Integer tyStatus;

    /**
     * 提交理货时间
     */
    private Date tyTime;

    /**
     * 理货操作人
     */
    private String tyOperator;

    /**
     * 拖车状态：31、未派车；32、已派车
     */
    private Integer tlStatus;

    /**
     * 拖车提柜状态：1、已派车，待提柜；2、已提柜，待还柜；3、已还柜
     */
    private Integer tlContainerStatus;

    /**
     * 装柜状态：41、未装柜；42、装柜中；43、已装柜、待封柜；44、封柜审核中；45、封柜审核失败；46、封柜审核成功
     */
    private Integer ldStatus;

    /**
     * 报关状态：51、未报关；52、报关中；53、已报关
     */
    private Integer dcStatus;
    /**
     * 报关放行状态，1：报关中，2：放行，3：查验
     */
    private Integer dcCustomsStatus;
    /**
     * 查验状态，1：退场，2：部分退场，3：查验后放行
     */
    private Integer dcCheckStatus;

    /**
     * 退场处理状态,1-已处理,0-未处理
     */
    private Integer checkDealStatus;

    /**
     * 退场审核状态,
     */
    private Integer checkExamineStatus;

    /**
     * 配船状态：61、未配船；62、已配船
     */
    private Integer saStatus;

    /**
     * 提单补料状态：71、未提单补料；72、已提单补料
     */
    private Integer blStatus;

    /**
     * 驳船状态：81、未驳船；82、已驳船
     */
    private Integer bgStatus;

    /**
     * 起运状态：91、未起运；92、已起运
     */
    private Integer dtStatus;

    /**
     * 提单COPY状态：101、未上传；102、已上传
     */
    private Integer cpStatus;

    /**
     * 清关文件状态：111、未清关文件；112、已清关文件
     */
    private Integer cdStatus;

    /**
     * 到港状态：121、未到港；112、已到港
     */
    private Integer apStatus;

    /**
     * 清关状态：131、未清关；132、已清关
     */
    private Integer clStatus;

    /**
     * 二程起飞状态：141、未起飞；142已起飞
     */
    private Integer stkStatus;

    /**
     * 二程到港状态：151、未到港；152、已到港
     */
    private Integer sapStatus;

    /**
     * 卸柜状态：181、未卸柜；182、卸柜中；183、卸柜审核中；184、卸柜审核失败；185、卸柜审核成功；186、已卸柜
     */
    private Integer ulStatus;

    /**
     * 结算状态：191、未结算；192、结算中；193、已结算
     */
    private Integer slStatus;

    /**
     * 出货状态
     */
    private Integer shipmentStatus;

    private Integer status;

    private Integer sortingStatus;

    private Integer checkoutStatus;

    /**
     * 始发国家
     */
    private Long startCountryId;

    /**
     * 目的国家
     */
    private Long destCountryId;

    /**
     * 序号
     */
    private Integer num;

}


