package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 提单补料 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_lading_bill")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxLadingBillDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 代理商ID
     */
    private Long agentId;
    /**
     * M/BL NO 号码
     */
    private String blMblNo;
    /**
     * SO NO
     */
    private String soNo;
    /**
     * 起运港ID
     */
    private Long startPortId;
    /**
     * 目的港ID
     */
    private Long destPortId;
    /**
     * 船公司ID
     */
    private Long shipCompanyId;
    /**
     * 托运供应商ID
     */
    private Long shipperId;
    /**
     * 收货供应商ID
     */
    private Long consigneeId;

    private String consigneeName;

    /**
     * 通知方供应商ID
     */
    private Long notifyingId;

    private String notifyingName;
    /**
     * Mark No
     */
    private String markNo;

    /**
     * 包装数量
     */
    private String packageNum;

    /**
     * 包装单位
     */
    private String packageUnit;

    /**
     * GrossWeight
     */
    private java.math.BigDecimal kgs;
    /**
     * Mesaurement
     */
    private java.math.BigDecimal cbm;
    /**
     * 货物描述
     */
    private String goodsDesc;
    /**
     * 拖车柜号信息
     */
    private String containerSealNo;
    /**
     * 出单方式：1、正本  2、电放
     */
    private Integer issueType;
    /**
     * 备注
     */
    private String remarks;

}
