package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出货单编号记录 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_number_record")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxNumberRecordDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 运输方式
     */
    private String transportType;
    /**
     * 
     */
    private Integer num;

    /**
     * 始发国家
     */
    private Long startCountryId;

    /**
     * 目的国家
     */
    private Long destCountryId;

    /**
     * 始发仓库
     */
    private Long startWarehouseId;

    /**
     * 目的仓库
     */
    private Long destWarehouseId;

}
