package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 预装货物 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_preload_goods")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxPreloadGoodsDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;
    /**
     * 部分ID
     */
    private Long secId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单项ID
     */
    private Long orderItemId;

    /**
     * 是否是装柜补仓的，0-不是，1-是
     */
    private Integer isCover;

    /**
     * 是否是装柜移除的，0-不是，1-是
     */
    private Integer isRemove;

    /**
     * 提单排序
     */
    private Integer tidanNum;

}
