package cn.iocoder.yudao.module.shipment.dal.dataobject;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 拖车 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_trailer")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxTrailerDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 拖车提柜状态，1、已派车，待提柜；2、已提柜，待还柜；3、已还柜
     */
    private Integer tlContainerStatus;
    /**
     * 拖车公司ID
     */
    private Long tlCompanyId;
    /**
     * 拖车时间
     */
    private Date tlTime;
    /**
     * 车牌
     */
    private String tlLicensePlate;
    /**
     * 司机
     */
    private String tlDriver;
    /**
     * 联系方式
     */
    private String tlDriverContact;
    /**
     * 货柜号
     */
    private String tlContainerNo;
    /**
     * 封条
     */
    private String tlStripSeal;

}
