package cn.iocoder.yudao.module.shipment.dal.dataobject;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 预定舱计划 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_future_box")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FutureBoxDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 始发地id
     */
    private Long startWarehouseId;
    /**
     * 目的地id
     */
    private Long destWarehouseId;
    /**
     * 运输方式
     */
    private String transportType;
    /**
     * 待入仓方数
     */
    private String readyWarehousingNumber;
    /**
     * 已入仓方数
     */
    private String warehousedNumber;

    /**
     * 异常订单方数
     */
    private String exceptionNumber;

    /**
     * 自单代报订单方数
     */
    private String orderReportNumber;
    /**
     * 在仓方数
     */
    private String warehousingNumber;
    /**
     * 已装柜方数
     */
    private String loadingNumber;

    @ApiModelProperty(value = "已装柜/出仓重量")
    private String loadingWeight;
    /**
     * 未来X天货柜
     */
    private String futureNumber;
    /**
     * GP
     */
    private String gpNumber;
    /**
     * hq
     */
    private String hqNumber;
    /**
     * 未来计划方数
     */
    private String futurePlanNumber;
    /**
     * 未来实际方数
     */
    private String actualNumber;
    /**
     * 出货渠道ID
     */
    private Long shippingChannelId;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
