package cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirFly;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 起飞 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_air_fly")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAirFlyDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 实际起飞时间
     */
    private Date dtRealFlyTime;

    /**
     * 暂时没有用到
     */
    private Date dtRealHeadTime;

    /**
     * 预计到港时间
     */
    private Date estTime;

}
