package cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirNumberRecord;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 空运出货单编号记录 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_air_number_record")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxAirNumberRecordDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 是否已使用
     */
    private Boolean used;
    /**
     * 自编号
     */
    private String number;
    /**
     * 运输方式
     */
    private Integer transportType;
    /**
     * 目的地ID
     */
    private Long destId;
    /**
     * 目的地国家简码
     */
    private String destCountryCode;
    /**
     * 渠道id
     */
    private Long channelId;
    /**
     * 渠道简码
     */
    private String channelCode;

}
