package cn.iocoder.yudao.module.shipment.dal.dataobject.boxArrivalOrder;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 到港订单 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_arrival_order")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxArrivalOrderDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货ID
     */
    private Long shipmentId;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 实际到达时间
     */
    private Date actTime;

    /**
     * 预计到达时间
     */
    private Date estTime;

    /**
     * 实际二程时间
     */
    private Date actSecondTime;

}
