package cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderExit;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 退场订单 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_box_order_exit")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BoxOrderExitDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 出货单ID
     */
    private Long shipmentId;
    /**
     * 订单ID
     */
    private Long orderId;

    private String locationJson;
    /**
     * 订单实际箱数
     */
    private Integer num;
    /**
     * 订单退场箱数
     */
    private Integer refundNum;

    /**
     * 0 不需要拆单 1 部分退场待拆单 2 部分退场拆单中 3 部分退场已拆单
     */
    private Integer splitStatus;
    /**
     * 是否拆单后的待退场订单
     */
    private Boolean split;

    /**
     * 新的退场订单标记是否已完成到仓入仓业务(为null或者为true时都不能再进行退场箱数修改)
     */
    private Boolean exitWarehouseIn;

}
