package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 出货异常记录 Mapper
 * @author wlh
 */
@Mapper
public interface BoxAbnormalMapper extends AbstractMapper<BoxAbnormalDO> {
    @Override
    default PageResult<BoxAbnormalDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxAbnormalQueryVO) {
            BoxAbnormalQueryVO vo = (BoxAbnormalQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxAbnormalDO>()
                .eqIfPresent(BoxAbnormalDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxAbnormalDO::getOpStep, vo.getOpStep())
                .eqIfPresent(BoxAbnormalDO::getBillAbnId, vo.getBillAbnId())
                .eqIfPresent(BoxAbnormalDO::getAbnDetail, vo.getAbnDetail())
                .betweenIfPresent(BoxAbnormalDO::getAbnStartTime, vo.getBeginAbnStartTime(), vo.getEndAbnStartTime())
                .betweenIfPresent(BoxAbnormalDO::getAbnEndTime, vo.getBeginAbnEndTime(), vo.getEndAbnEndTime())
                .eqIfPresent(BoxAbnormalDO::getOrderStatus, vo.getOrderStatus())
                .eqIfPresent(BoxAbnormalDO::getContentZh, vo.getContentZh())
                .eqIfPresent(BoxAbnormalDO::getContentEn, vo.getContentEn())
                .betweenIfPresent(BoxAbnormalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAbnormalDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxAbnormalDO> selectList(Object object) {
        if (object instanceof BoxAbnormalQueryVO) {
            BoxAbnormalQueryVO vo = (BoxAbnormalQueryVO)object;
            return selectList(new LambdaQuery<BoxAbnormalDO>()
                .eqIfPresent(BoxAbnormalDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxAbnormalDO::getOpStep, vo.getOpStep())
                .eqIfPresent(BoxAbnormalDO::getBillAbnId, vo.getBillAbnId())
                .eqIfPresent(BoxAbnormalDO::getAbnDetail, vo.getAbnDetail())
                .betweenIfPresent(BoxAbnormalDO::getAbnStartTime, vo.getBeginAbnStartTime(), vo.getEndAbnStartTime())
                .betweenIfPresent(BoxAbnormalDO::getAbnEndTime, vo.getBeginAbnEndTime(), vo.getEndAbnEndTime())
                .eqIfPresent(BoxAbnormalDO::getOrderStatus, vo.getOrderStatus())
                .eqIfPresent(BoxAbnormalDO::getContentZh, vo.getContentZh())
                .eqIfPresent(BoxAbnormalDO::getContentEn, vo.getContentEn())
                .betweenIfPresent(BoxAbnormalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAbnormalDO::getId));
        }

        return null;
    }
}
