package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAirShipmentDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirShipment.BoxAirShipmentQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 空运出货 Mapper
 * @author 江楠
 */
@Mapper
public interface BoxAirShipmentMapper extends AbstractMapper<BoxAirShipmentDO> {
    @Override
    default PageResult<BoxAirShipmentDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxAirShipmentQueryVO) {
            BoxAirShipmentQueryVO vo = (BoxAirShipmentQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxAirShipmentDO>()
                .eqIfPresent(BoxAirShipmentDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxAirShipmentDO::getDeliverType, vo.getDeliverType())
                .betweenIfPresent(BoxAirShipmentDO::getDeliverTime, vo.getBeginDeliverTime(), vo.getEndDeliverTime())
                .eqIfPresent(BoxAirShipmentDO::getDeliverAddress, vo.getDeliverAddress())
                .eqIfPresent(BoxAirShipmentDO::getLicensePlate, vo.getLicensePlate())
                .eqIfPresent(BoxAirShipmentDO::getDriver, vo.getDriver())
                .eqIfPresent(BoxAirShipmentDO::getDriverPhone, vo.getDriverPhone())
                .betweenIfPresent(BoxAirShipmentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAirShipmentDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxAirShipmentDO> selectList(Object object) {
        if (object instanceof BoxAirShipmentQueryVO) {
            BoxAirShipmentQueryVO vo = (BoxAirShipmentQueryVO)object;
            return selectList(new LambdaQuery<BoxAirShipmentDO>()
                .eqIfPresent(BoxAirShipmentDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxAirShipmentDO::getDeliverType, vo.getDeliverType())
                .betweenIfPresent(BoxAirShipmentDO::getDeliverTime, vo.getBeginDeliverTime(), vo.getEndDeliverTime())
                .eqIfPresent(BoxAirShipmentDO::getDeliverAddress, vo.getDeliverAddress())
                .eqIfPresent(BoxAirShipmentDO::getLicensePlate, vo.getLicensePlate())
                .eqIfPresent(BoxAirShipmentDO::getDriver, vo.getDriver())
                .eqIfPresent(BoxAirShipmentDO::getDriverPhone, vo.getDriverPhone())
                .betweenIfPresent(BoxAirShipmentDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAirShipmentDO::getId));
        }

        return null;
    }
}
