package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalAirDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 空运到港 Mapper
 * @author wlh
 */
@Mapper
public interface BoxArrivalAirMapper extends AbstractMapper<BoxArrivalAirDO> {
    @Override
    default PageResult<BoxArrivalAirDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxArrivalAirQueryVO) {
            BoxArrivalAirQueryVO vo = (BoxArrivalAirQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxArrivalAirDO>()
                .eqIfPresent(BoxArrivalAirDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxArrivalAirDO::getActTime, vo.getBeginActTime(), vo.getEndActTime())
                .betweenIfPresent(BoxArrivalAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxArrivalAirDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxArrivalAirDO> selectList(Object object) {
        if (object instanceof BoxArrivalAirQueryVO) {
            BoxArrivalAirQueryVO vo = (BoxArrivalAirQueryVO)object;
            return selectList(new LambdaQuery<BoxArrivalAirDO>()
                .eqIfPresent(BoxArrivalAirDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxArrivalAirDO::getActTime, vo.getBeginActTime(), vo.getEndActTime())
                .betweenIfPresent(BoxArrivalAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxArrivalAirDO::getId));
        }

        return null;
    }
}
