package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 到港 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxArrivalMapper extends AbstractMapper<BoxArrivalDO> {
    @Override
    default PageResult<BoxArrivalDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxArrivalQueryVO) {
            BoxArrivalQueryVO vo = (BoxArrivalQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxArrivalDO>()
                .eqIfPresent(BoxArrivalDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxArrivalDO::getApRealTime, vo.getBeginApRealTime(), vo.getEndApRealTime())
                .betweenIfPresent(BoxArrivalDO::getApConfirmTime, vo.getBeginApConfirmTime(), vo.getEndApConfirmTime())
                .betweenIfPresent(BoxArrivalDO::getApUnloadPortTime, vo.getBeginApUnloadPortTime(), vo.getEndApUnloadPortTime())
                .betweenIfPresent(BoxArrivalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxArrivalDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxArrivalDO> selectList(Object object) {
        if (object instanceof BoxArrivalQueryVO) {
            BoxArrivalQueryVO vo = (BoxArrivalQueryVO)object;
            return selectList(new LambdaQuery<BoxArrivalDO>()
                .eqIfPresent(BoxArrivalDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxArrivalDO::getApRealTime, vo.getBeginApRealTime(), vo.getEndApRealTime())
                .betweenIfPresent(BoxArrivalDO::getApConfirmTime, vo.getBeginApConfirmTime(), vo.getEndApConfirmTime())
                .betweenIfPresent(BoxArrivalDO::getApUnloadPortTime, vo.getBeginApUnloadPortTime(), vo.getEndApUnloadPortTime())
                .betweenIfPresent(BoxArrivalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxArrivalDO::getId));
        }

        return null;
    }
}
