package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBargeDO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 驳船 Mapper
 * @author wlh
 */
@Mapper
public interface BoxBargeMapper extends AbstractMapper<BoxBargeDO> {
    @Override
    default PageResult<BoxBargeDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxBargeQueryVO) {
            BoxBargeQueryVO vo = (BoxBargeQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxBargeDO>()
                .eqIfPresent(BoxBargeDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBargeDO::getBgExmtStatus, vo.getBgExmtStatus())
                .betweenIfPresent(BoxBargeDO::getBgEstShipTime, vo.getBeginBgEstShipTime(), vo.getEndBgEstShipTime())
                .betweenIfPresent(BoxBargeDO::getBgRealShipTime, vo.getBeginBgRealShipTime(), vo.getEndBgRealShipTime())
                .eqIfPresent(BoxBargeDO::getNotifyUser, vo.getNotifyUser())
                .betweenIfPresent(BoxBargeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBargeDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxBargeDO> selectList(Object object) {
        if (object instanceof BoxBargeQueryVO) {
            BoxBargeQueryVO vo = (BoxBargeQueryVO)object;
            return selectList(new LambdaQuery<BoxBargeDO>()
                .eqIfPresent(BoxBargeDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBargeDO::getBgExmtStatus, vo.getBgExmtStatus())
                .betweenIfPresent(BoxBargeDO::getBgEstShipTime, vo.getBeginBgEstShipTime(), vo.getEndBgEstShipTime())
                .betweenIfPresent(BoxBargeDO::getBgRealShipTime, vo.getBeginBgRealShipTime(), vo.getEndBgRealShipTime())
                .eqIfPresent(BoxBargeDO::getNotifyUser, vo.getNotifyUser())
                .betweenIfPresent(BoxBargeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBargeDO::getId));
        }

        return null;
    }
}
