package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookAirDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookSeaDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.shipment.vo.boxBookAir.*;
import org.apache.ibatis.annotations.Select;

/**
 * 订舱-空运 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxBookAirMapper extends AbstractMapper<BoxBookAirDO> {
    @Override
    default PageResult<BoxBookAirDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxBookAirQueryVO) {
            BoxBookAirQueryVO vo = (BoxBookAirQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxBookAirDO>()
                .eqIfPresent(BoxBookAirDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBookAirDO::getBlNo, vo.getBlNo())
                .eqIfPresent(BoxBookAirDO::getDeparturePortId, vo.getDeparturePortId())
                .eqIfPresent(BoxBookAirDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxBookAirDO::getShipperId, vo.getShipperId())
                .eqIfPresent(BoxBookAirDO::getAirlineCompanyId, vo.getAirlineCompanyId())
                .betweenIfPresent(BoxBookAirDO::getFlyTime, vo.getBeginFlyTime(), vo.getEndFlyTime())
                .eqIfPresent(BoxBookAirDO::getAirlineTypeId, vo.getAirlineTypeId())
                .betweenIfPresent(BoxBookAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBookAirDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxBookAirDO> selectList(Object object) {
        if (object instanceof BoxBookAirQueryVO) {
            BoxBookAirQueryVO vo = (BoxBookAirQueryVO)object;
            return selectList(new LambdaQuery<BoxBookAirDO>()
                .eqIfPresent(BoxBookAirDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBookAirDO::getBlNo, vo.getBlNo())
                .eqIfPresent(BoxBookAirDO::getDeparturePortId, vo.getDeparturePortId())
                .eqIfPresent(BoxBookAirDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxBookAirDO::getShipperId, vo.getShipperId())
                .eqIfPresent(BoxBookAirDO::getAirlineCompanyId, vo.getAirlineCompanyId())
                .betweenIfPresent(BoxBookAirDO::getFlyTime, vo.getBeginFlyTime(), vo.getEndFlyTime())
                .eqIfPresent(BoxBookAirDO::getAirlineTypeId, vo.getAirlineTypeId())
                .betweenIfPresent(BoxBookAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBookAirDO::getId));
        }

        return null;
    }

    @Select("SELECT * from ecw_box_book_sea book where EXISTS (SELECT id from ecw_box where cd_status=111 and deleted = 0 and book.shipment_id= ecw_box.id)")
    List<BoxBookAirDO> getNoticeBookList();
}
