package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookSeaDO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 订舱 Mapper
 * @author wlh
 */
@Mapper
public interface BoxBookSeaMapper extends AbstractMapper<BoxBookSeaDO> {
    @Override
    default PageResult<BoxBookSeaDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxBookSeaQueryVO) {
            BoxBookSeaQueryVO vo = (BoxBookSeaQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxBookSeaDO>()
                .eqIfPresent(BoxBookSeaDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBookSeaDO::getSono, vo.getSono())
                .eqIfPresent(BoxBookSeaDO::getShipCompanyType, vo.getShipCompanyType())
                .eqIfPresent(BoxBookSeaDO::getBargePortId, vo.getBargePortId())
                .eqIfPresent(BoxBookSeaDO::getBigPortId, vo.getBigPortId())
                .eqIfPresent(BoxBookSeaDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxBookSeaDO::getSpaceCompanyId, vo.getSpaceCompanyId())
                .betweenIfPresent(BoxBookSeaDO::getBargeTime, vo.getBeginBargeTime(), vo.getEndBargeTime())
                .betweenIfPresent(BoxBookSeaDO::getSailTime, vo.getBeginSailTime(), vo.getEndSailTime())
                .betweenIfPresent(BoxBookSeaDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBookSeaDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxBookSeaDO> selectList(Object object) {
        if (object instanceof BoxBookSeaQueryVO) {
            BoxBookSeaQueryVO vo = (BoxBookSeaQueryVO)object;
            return selectList(new LambdaQuery<BoxBookSeaDO>()
                .eqIfPresent(BoxBookSeaDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxBookSeaDO::getSono, vo.getSono())
                .eqIfPresent(BoxBookSeaDO::getShipCompanyType, vo.getShipCompanyType())
                .eqIfPresent(BoxBookSeaDO::getBargePortId, vo.getBargePortId())
                .eqIfPresent(BoxBookSeaDO::getBigPortId, vo.getBigPortId())
                .eqIfPresent(BoxBookSeaDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxBookSeaDO::getSpaceCompanyId, vo.getSpaceCompanyId())
                .betweenIfPresent(BoxBookSeaDO::getBargeTime, vo.getBeginBargeTime(), vo.getEndBargeTime())
                .betweenIfPresent(BoxBookSeaDO::getSailTime, vo.getBeginSailTime(), vo.getEndSailTime())
                .betweenIfPresent(BoxBookSeaDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxBookSeaDO::getId));
        }

        return null;
    }

    @Select("SELECT * from ecw_box_book_sea book where EXISTS (SELECT id from ecw_box where cp_status=101 and deleted = 0 and book.shipment_id= ecw_box.id)")
    List<BoxBookSeaDO> getNoticeBookList();
}
