package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 装柜 Mapper
 * @author wlh
 */
@Mapper
public interface BoxCabinetMapper extends AbstractMapper<BoxCabinetDO> {
    @Override
    default PageResult<BoxCabinetDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCabinetQueryVO) {
            BoxCabinetQueryVO vo = (BoxCabinetQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCabinetDO>()
                .eqIfPresent(BoxCabinetDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxCabinetDO::getLdInWarehouseTime, vo.getBeginLdInWarehouseTime(), vo.getEndLdInWarehouseTime())
                .eqIfPresent(BoxCabinetDO::getLdWarehouseType, vo.getLdWarehouseType())
                .betweenIfPresent(BoxCabinetDO::getLdBoxTime, vo.getBeginLdBoxTime(), vo.getEndLdBoxTime())
                .betweenIfPresent(BoxCabinetDO::getLdOutWarehouseTime, vo.getBeginLdOutWarehouseTime(), vo.getEndLdOutWarehouseTime())
                .eqIfPresent(BoxCabinetDO::getLdPictures, vo.getLdPictures())
                .betweenIfPresent(BoxCabinetDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCabinetDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCabinetDO> selectList(Object object) {
        if (object instanceof BoxCabinetQueryVO) {
            BoxCabinetQueryVO vo = (BoxCabinetQueryVO)object;
            return selectList(new LambdaQuery<BoxCabinetDO>()
                .eqIfPresent(BoxCabinetDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxCabinetDO::getLdInWarehouseTime, vo.getBeginLdInWarehouseTime(), vo.getEndLdInWarehouseTime())
                .eqIfPresent(BoxCabinetDO::getLdWarehouseType, vo.getLdWarehouseType())
                .betweenIfPresent(BoxCabinetDO::getLdBoxTime, vo.getBeginLdBoxTime(), vo.getEndLdBoxTime())
                .betweenIfPresent(BoxCabinetDO::getLdOutWarehouseTime, vo.getBeginLdOutWarehouseTime(), vo.getEndLdOutWarehouseTime())
                .eqIfPresent(BoxCabinetDO::getLdPictures, vo.getLdPictures())
                .betweenIfPresent(BoxCabinetDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCabinetDO::getId));
        }

        return null;
    }
}
