package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetUnloadAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 卸柜异常 Mapper
 * @author wlh
 */
@Mapper
public interface BoxCabinetUnloadAbnormalMapper extends AbstractMapper<BoxCabinetUnloadAbnormalDO> {
    @Override
    default PageResult<BoxCabinetUnloadAbnormalDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCabinetUnloadAbnormalQueryVO) {
            BoxCabinetUnloadAbnormalQueryVO vo = (BoxCabinetUnloadAbnormalQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCabinetUnloadAbnormalDO>()
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getExceptionType, vo.getExceptionType())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getProductId, vo.getProductId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getProductNum, vo.getProductNum())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getExceptionDetail, vo.getExceptionDetail())
                .betweenIfPresent(BoxCabinetUnloadAbnormalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCabinetUnloadAbnormalDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCabinetUnloadAbnormalDO> selectList(Object object) {
        if (object instanceof BoxCabinetUnloadAbnormalQueryVO) {
            BoxCabinetUnloadAbnormalQueryVO vo = (BoxCabinetUnloadAbnormalQueryVO)object;
            return selectList(new LambdaQuery<BoxCabinetUnloadAbnormalDO>()
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getExceptionType, vo.getExceptionType())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getProductId, vo.getProductId())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getProductNum, vo.getProductNum())
                .eqIfPresent(BoxCabinetUnloadAbnormalDO::getExceptionDetail, vo.getExceptionDetail())
                .betweenIfPresent(BoxCabinetUnloadAbnormalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCabinetUnloadAbnormalDO::getId));
        }

        return null;
    }
}
