package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCheckoutAirDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir.*;

/**
 * 出仓-空运 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxCheckoutAirMapper extends AbstractMapper<BoxCheckoutAirDO> {
    @Override
    default PageResult<BoxCheckoutAirDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCheckoutAirQueryVO) {
            BoxCheckoutAirQueryVO vo = (BoxCheckoutAirQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCheckoutAirDO>()
                .betweenIfPresent(BoxCheckoutAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(BoxCheckoutAirDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCheckoutAirDO::getCheckoutType, vo.getCheckoutType())
                .betweenIfPresent(BoxCheckoutAirDO::getCheckoutTime, vo.getBeginCheckoutTime(), vo.getEndCheckoutTime())
                .eqIfPresent(BoxCheckoutAirDO::getCheckoutAddr, vo.getCheckoutAddr())
                .eqIfPresent(BoxCheckoutAirDO::getCarNum, vo.getCarNum())
                .eqIfPresent(BoxCheckoutAirDO::getDriver, vo.getDriver())
                .eqIfPresent(BoxCheckoutAirDO::getDriverPhone, vo.getDriverPhone())
                    .orderByDesc(BoxCheckoutAirDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCheckoutAirDO> selectList(Object object) {
        if (object instanceof BoxCheckoutAirQueryVO) {
            BoxCheckoutAirQueryVO vo = (BoxCheckoutAirQueryVO)object;
            return selectList(new LambdaQuery<BoxCheckoutAirDO>()
                .betweenIfPresent(BoxCheckoutAirDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(BoxCheckoutAirDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCheckoutAirDO::getCheckoutType, vo.getCheckoutType())
                .betweenIfPresent(BoxCheckoutAirDO::getCheckoutTime, vo.getBeginCheckoutTime(), vo.getEndCheckoutTime())
                .eqIfPresent(BoxCheckoutAirDO::getCheckoutAddr, vo.getCheckoutAddr())
                .eqIfPresent(BoxCheckoutAirDO::getCarNum, vo.getCarNum())
                .eqIfPresent(BoxCheckoutAirDO::getDriver, vo.getDriver())
                .eqIfPresent(BoxCheckoutAirDO::getDriverPhone, vo.getDriverPhone())
                    .orderByDesc(BoxCheckoutAirDO::getId));
        }

        return null;
    }
}
