package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDocDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 清关文件 Mapper
 * @author wlh
 */
@Mapper
public interface BoxClearanceDocMapper extends AbstractMapper<BoxClearanceDocDO> {
    @Override
    default PageResult<BoxClearanceDocDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxClearanceDocQueryVO) {
            BoxClearanceDocQueryVO vo = (BoxClearanceDocQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxClearanceDocDO>()
                .eqIfPresent(BoxClearanceDocDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxClearanceDocDO::getCdOutBillType, vo.getCdOutBillType())
                .betweenIfPresent(BoxClearanceDocDO::getCdElectricTime, vo.getBeginCdElectricTime(), vo.getEndCdElectricTime())
                .eqIfPresent(BoxClearanceDocDO::getCdElectricVoucher, vo.getCdElectricVoucher())
                .betweenIfPresent(BoxClearanceDocDO::getCdSendTime, vo.getBeginCdSendTime(), vo.getEndCdSendTime())
                .eqIfPresent(BoxClearanceDocDO::getCdBillNo, vo.getCdBillNo())
                .eqIfPresent(BoxClearanceDocDO::getCdAgentlistType, vo.getCdAgentlistType())
                .betweenIfPresent(BoxClearanceDocDO::getCdAgentlistTime, vo.getBeginCdAgentlistTime(), vo.getEndCdAgentlistTime())
                .eqIfPresent(BoxClearanceDocDO::getCdAgentlistFile, vo.getCdAgentlistFile())
                .eqIfPresent(BoxClearanceDocDO::getCdSoncapType, vo.getCdSoncapType())
                .betweenIfPresent(BoxClearanceDocDO::getCdSoncapTime, vo.getBeginCdSoncapTime(), vo.getEndCdSoncapTime())
                .eqIfPresent(BoxClearanceDocDO::getCdSoncapFile, vo.getCdSoncapFile())
                .betweenIfPresent(BoxClearanceDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxClearanceDocDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxClearanceDocDO> selectList(Object object) {
        if (object instanceof BoxClearanceDocQueryVO) {
            BoxClearanceDocQueryVO vo = (BoxClearanceDocQueryVO)object;
            return selectList(new LambdaQuery<BoxClearanceDocDO>()
                .eqIfPresent(BoxClearanceDocDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxClearanceDocDO::getCdOutBillType, vo.getCdOutBillType())
                .betweenIfPresent(BoxClearanceDocDO::getCdElectricTime, vo.getBeginCdElectricTime(), vo.getEndCdElectricTime())
                .eqIfPresent(BoxClearanceDocDO::getCdElectricVoucher, vo.getCdElectricVoucher())
                .betweenIfPresent(BoxClearanceDocDO::getCdSendTime, vo.getBeginCdSendTime(), vo.getEndCdSendTime())
                .eqIfPresent(BoxClearanceDocDO::getCdBillNo, vo.getCdBillNo())
                .eqIfPresent(BoxClearanceDocDO::getCdAgentlistType, vo.getCdAgentlistType())
                .betweenIfPresent(BoxClearanceDocDO::getCdAgentlistTime, vo.getBeginCdAgentlistTime(), vo.getEndCdAgentlistTime())
                .eqIfPresent(BoxClearanceDocDO::getCdAgentlistFile, vo.getCdAgentlistFile())
                .eqIfPresent(BoxClearanceDocDO::getCdSoncapType, vo.getCdSoncapType())
                .betweenIfPresent(BoxClearanceDocDO::getCdSoncapTime, vo.getBeginCdSoncapTime(), vo.getEndCdSoncapTime())
                .eqIfPresent(BoxClearanceDocDO::getCdSoncapFile, vo.getCdSoncapFile())
                .betweenIfPresent(BoxClearanceDocDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxClearanceDocDO::getId));
        }

        return null;
    }
}
