package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 清关 Mapper
 * @author wlh
 */
@Mapper
public interface BoxClearanceMapper extends AbstractMapper<BoxClearanceDO> {
    @Override
    default PageResult<BoxClearanceDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxClearanceQueryVO) {
            BoxClearanceQueryVO vo = (BoxClearanceQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxClearanceDO>()
                .eqIfPresent(BoxClearanceDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxClearanceDO::getClAgentId, vo.getClAgentId())
                .betweenIfPresent(BoxClearanceDO::getClEstTime, vo.getBeginClEstTime(), vo.getEndClEstTime())
                .betweenIfPresent(BoxClearanceDO::getClClearTime, vo.getBeginClClearTime(), vo.getEndClClearTime())
                .betweenIfPresent(BoxClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxClearanceDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxClearanceDO> selectList(Object object) {
        if (object instanceof BoxClearanceQueryVO) {
            BoxClearanceQueryVO vo = (BoxClearanceQueryVO)object;
            return selectList(new LambdaQuery<BoxClearanceDO>()
                .eqIfPresent(BoxClearanceDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxClearanceDO::getClAgentId, vo.getClAgentId())
                .betweenIfPresent(BoxClearanceDO::getClEstTime, vo.getBeginClEstTime(), vo.getEndClEstTime())
                .betweenIfPresent(BoxClearanceDO::getClClearTime, vo.getBeginClClearTime(), vo.getEndClClearTime())
                .betweenIfPresent(BoxClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxClearanceDO::getId));
        }

        return null;
    }
}
