package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCostDO;
import cn.iocoder.yudao.module.shipment.vo.boxCost.BoxCostQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 费用登记 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxCostMapper extends AbstractMapper<BoxCostDO> {
    @Override
    default PageResult<BoxCostDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCostQueryVO) {
            BoxCostQueryVO vo = (BoxCostQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCostDO>()
                .eqIfPresent(BoxCostDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCostDO::getOpStepType, vo.getOpStepType())
                .eqIfPresent(BoxCostDO::getCostType, vo.getCostType())
                .eqIfPresent(BoxCostDO::getSupplierId, vo.getSupplierId())
                .eqIfPresent(BoxCostDO::getPrice, vo.getPrice())
                .eqIfPresent(BoxCostDO::getPriceUnit, vo.getPriceUnit())
                .eqIfPresent(BoxCostDO::getRemarks, vo.getRemarks())
                .betweenIfPresent(BoxCostDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCostDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCostDO> selectList(Object object) {
        if (object instanceof BoxCostQueryVO) {
            BoxCostQueryVO vo = (BoxCostQueryVO)object;
            return selectList(new LambdaQuery<BoxCostDO>()
                .eqIfPresent(BoxCostDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCostDO::getOpStepType, vo.getOpStepType())
                .eqIfPresent(BoxCostDO::getCostType, vo.getCostType())
                .eqIfPresent(BoxCostDO::getSupplierId, vo.getSupplierId())
                .eqIfPresent(BoxCostDO::getPrice, vo.getPrice())
                .eqIfPresent(BoxCostDO::getPriceUnit, vo.getPriceUnit())
                .eqIfPresent(BoxCostDO::getRemarks, vo.getRemarks())
                .betweenIfPresent(BoxCostDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCostDO::getId));
        }

        return null;
    }
}
