package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsExtraCostDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsExtraCost.BoxCustomsExtraCostQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
 * 额外报关费用 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxCustomsExtraCostMapper extends AbstractMapper<BoxCustomsExtraCostDO> {
    @Override
    default PageResult<BoxCustomsExtraCostDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCustomsExtraCostQueryVO) {
            BoxCustomsExtraCostQueryVO vo = (BoxCustomsExtraCostQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCustomsExtraCostDO>()
                .eqIfPresent(BoxCustomsExtraCostDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsExtraCostDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxCustomsExtraCostDO::getFee, vo.getFee())
                .betweenIfPresent(BoxCustomsExtraCostDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsExtraCostDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCustomsExtraCostDO> selectList(Object object) {
        if (object instanceof BoxCustomsExtraCostQueryVO) {
            BoxCustomsExtraCostQueryVO vo = (BoxCustomsExtraCostQueryVO)object;
            return selectList(new LambdaQuery<BoxCustomsExtraCostDO>()
                .eqIfPresent(BoxCustomsExtraCostDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsExtraCostDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxCustomsExtraCostDO::getFee, vo.getFee())
                .betweenIfPresent(BoxCustomsExtraCostDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsExtraCostDO::getId));
        }

        return null;
    }

    @Update("update ecw_box_customs_extra_cost set fee = init_fee where shipment_id=#{shipmentId}")
    void updateSetInitFee(Long shipmentId);
}
