package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 报关 Mapper
 * @author wlh
 */
@Mapper
public interface BoxCustomsMapper extends AbstractMapper<BoxCustomsDO> {
    @Override
    default PageResult<BoxCustomsDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCustomsQueryVO) {
            BoxCustomsQueryVO vo = (BoxCustomsQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCustomsDO>()
                .eqIfPresent(BoxCustomsDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsDO::getDcDocumentType, vo.getDcDocumentType())
                .eqIfPresent(BoxCustomsDO::getDcBoxWgt, vo.getDcBoxWgt())
                .eqIfPresent(BoxCustomsDO::getDcGoodsWgt, vo.getDcGoodsWgt())
                .eqIfPresent(BoxCustomsDO::getDcVgmWgt, vo.getDcVgmWgt())
                .eqIfPresent(BoxCustomsDO::getDcCustomsType, vo.getDcCustomsType())
                .eqIfPresent(BoxCustomsDO::getDcNormalOrderNo, vo.getDcNormalOrderNo())
                .eqIfPresent(BoxCustomsDO::getDcCompanyId, vo.getDcCompanyId())
                .betweenIfPresent(BoxCustomsDO::getDcCutOffTime, vo.getBeginDcCutOffTime(), vo.getEndDcCutOffTime())
                .eqIfPresent(BoxCustomsDO::getDcCustomsStatus, vo.getDcCustomsStatus())
                .eqIfPresent(BoxCustomsDO::getDcCheckStatus, vo.getDcCheckStatus())
                .betweenIfPresent(BoxCustomsDO::getDcCheckTime, vo.getBeginDcCheckTime(), vo.getEndDcCheckTime())
                .eqIfPresent(BoxCustomsDO::getDcCheckPreImg, vo.getDcCheckPreImg())
                .eqIfPresent(BoxCustomsDO::getDcStripSeal, vo.getDcStripSeal())
                .betweenIfPresent(BoxCustomsDO::getDcPassTime, vo.getBeginDcPassTime(), vo.getEndDcPassTime())
                .betweenIfPresent(BoxCustomsDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCustomsDO> selectList(Object object) {
        if (object instanceof BoxCustomsQueryVO) {
            BoxCustomsQueryVO vo = (BoxCustomsQueryVO)object;
            return selectList(new LambdaQuery<BoxCustomsDO>()
                .eqIfPresent(BoxCustomsDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsDO::getDcDocumentType, vo.getDcDocumentType())
                .eqIfPresent(BoxCustomsDO::getDcBoxWgt, vo.getDcBoxWgt())
                .eqIfPresent(BoxCustomsDO::getDcGoodsWgt, vo.getDcGoodsWgt())
                .eqIfPresent(BoxCustomsDO::getDcVgmWgt, vo.getDcVgmWgt())
                .eqIfPresent(BoxCustomsDO::getDcCustomsType, vo.getDcCustomsType())
                .eqIfPresent(BoxCustomsDO::getDcNormalOrderNo, vo.getDcNormalOrderNo())
                .eqIfPresent(BoxCustomsDO::getDcCompanyId, vo.getDcCompanyId())
                .betweenIfPresent(BoxCustomsDO::getDcCutOffTime, vo.getBeginDcCutOffTime(), vo.getEndDcCutOffTime())
                .eqIfPresent(BoxCustomsDO::getDcCustomsStatus, vo.getDcCustomsStatus())
                .eqIfPresent(BoxCustomsDO::getDcCheckStatus, vo.getDcCheckStatus())
                .betweenIfPresent(BoxCustomsDO::getDcCheckTime, vo.getBeginDcCheckTime(), vo.getEndDcCheckTime())
                .eqIfPresent(BoxCustomsDO::getDcCheckPreImg, vo.getDcCheckPreImg())
                .eqIfPresent(BoxCustomsDO::getDcStripSeal, vo.getDcStripSeal())
                .betweenIfPresent(BoxCustomsDO::getDcPassTime, vo.getBeginDcPassTime(), vo.getEndDcPassTime())
                .betweenIfPresent(BoxCustomsDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsDO::getId));
        }

        return null;
    }
}
