package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingBillDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 提单补料 Mapper
 * @author wlh
 */
@Mapper
public interface BoxLadingBillMapper extends AbstractMapper<BoxLadingBillDO> {
    @Override
    default PageResult<BoxLadingBillDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxLadingBillQueryVO) {
            BoxLadingBillQueryVO vo = (BoxLadingBillQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxLadingBillDO>()
                .eqIfPresent(BoxLadingBillDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLadingBillDO::getAgentId, vo.getAgentId())
                .eqIfPresent(BoxLadingBillDO::getBlMblNo, vo.getBlMblNo())
                .eqIfPresent(BoxLadingBillDO::getSoNo, vo.getSoNo())
                .eqIfPresent(BoxLadingBillDO::getStartPortId, vo.getStartPortId())
                .eqIfPresent(BoxLadingBillDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxLadingBillDO::getShipCompanyId, vo.getShipCompanyId())
                .eqIfPresent(BoxLadingBillDO::getShipperId, vo.getShipperId())
                .eqIfPresent(BoxLadingBillDO::getConsigneeId, vo.getConsigneeId())
                .eqIfPresent(BoxLadingBillDO::getNotifyingId, vo.getNotifyingId())
                .eqIfPresent(BoxLadingBillDO::getMarkNo, vo.getMarkNo())
                .eqIfPresent(BoxLadingBillDO::getKgs, vo.getKgs())
                .eqIfPresent(BoxLadingBillDO::getCbm, vo.getCbm())
                .eqIfPresent(BoxLadingBillDO::getGoodsDesc, vo.getGoodsDesc())
                .eqIfPresent(BoxLadingBillDO::getContainerSealNo, vo.getContainerSealNo())
                .eqIfPresent(BoxLadingBillDO::getIssueType, vo.getIssueType())
                .eqIfPresent(BoxLadingBillDO::getRemarks, vo.getRemarks())
                .betweenIfPresent(BoxLadingBillDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLadingBillDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxLadingBillDO> selectList(Object object) {
        if (object instanceof BoxLadingBillQueryVO) {
            BoxLadingBillQueryVO vo = (BoxLadingBillQueryVO)object;
            return selectList(new LambdaQuery<BoxLadingBillDO>()
                .eqIfPresent(BoxLadingBillDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLadingBillDO::getAgentId, vo.getAgentId())
                .eqIfPresent(BoxLadingBillDO::getBlMblNo, vo.getBlMblNo())
                .eqIfPresent(BoxLadingBillDO::getSoNo, vo.getSoNo())
                .eqIfPresent(BoxLadingBillDO::getStartPortId, vo.getStartPortId())
                .eqIfPresent(BoxLadingBillDO::getDestPortId, vo.getDestPortId())
                .eqIfPresent(BoxLadingBillDO::getShipCompanyId, vo.getShipCompanyId())
                .eqIfPresent(BoxLadingBillDO::getShipperId, vo.getShipperId())
                .eqIfPresent(BoxLadingBillDO::getConsigneeId, vo.getConsigneeId())
                .eqIfPresent(BoxLadingBillDO::getNotifyingId, vo.getNotifyingId())
                .eqIfPresent(BoxLadingBillDO::getMarkNo, vo.getMarkNo())
                .eqIfPresent(BoxLadingBillDO::getKgs, vo.getKgs())
                .eqIfPresent(BoxLadingBillDO::getCbm, vo.getCbm())
                .eqIfPresent(BoxLadingBillDO::getGoodsDesc, vo.getGoodsDesc())
                .eqIfPresent(BoxLadingBillDO::getContainerSealNo, vo.getContainerSealNo())
                .eqIfPresent(BoxLadingBillDO::getIssueType, vo.getIssueType())
                .eqIfPresent(BoxLadingBillDO::getRemarks, vo.getRemarks())
                .betweenIfPresent(BoxLadingBillDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLadingBillDO::getId));
        }

        return null;
    }
}
