package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingCopyDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 提单copy Mapper
 * @author wlh
 */
@Mapper
public interface BoxLadingCopyMapper extends AbstractMapper<BoxLadingCopyDO> {
    @Override
    default PageResult<BoxLadingCopyDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxLadingCopyQueryVO) {
            BoxLadingCopyQueryVO vo = (BoxLadingCopyQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxLadingCopyDO>()
                .eqIfPresent(BoxLadingCopyDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLadingCopyDO::getCopyUrl, vo.getCopyUrl())
                .betweenIfPresent(BoxLadingCopyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLadingCopyDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxLadingCopyDO> selectList(Object object) {
        if (object instanceof BoxLadingCopyQueryVO) {
            BoxLadingCopyQueryVO vo = (BoxLadingCopyQueryVO)object;
            return selectList(new LambdaQuery<BoxLadingCopyDO>()
                .eqIfPresent(BoxLadingCopyDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLadingCopyDO::getCopyUrl, vo.getCopyUrl())
                .betweenIfPresent(BoxLadingCopyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLadingCopyDO::getId));
        }

        return null;
    }
}
