package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLoadInfoDO;
import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadInfoQueryVO;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.ibatis.annotations.Mapper;

/**
 * 已装柜标签 Mapper
 * @author wlh
 */
@Mapper
public interface BoxLoadInfoMapper extends AbstractMapper<BoxLoadInfoDO> {
    @Override
    default PageResult<BoxLoadInfoDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxLoadInfoQueryVO) {
            BoxLoadInfoQueryVO vo = (BoxLoadInfoQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxLoadInfoDO>()
                .eqIfPresent(BoxLoadInfoDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLoadInfoDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxLoadInfoDO::getOrderNumCode, vo.getOrderNumCode())
                .betweenIfPresent(BoxLoadInfoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLoadInfoDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxLoadInfoDO> selectList(Object object) {
        if (object instanceof BoxLoadInfoQueryVO) {
            BoxLoadInfoQueryVO vo = (BoxLoadInfoQueryVO)object;
            return selectList(new LambdaQuery<BoxLoadInfoDO>()
                .eqIfPresent(BoxLoadInfoDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxLoadInfoDO::getOrderId, vo.getOrderId())
                    .inIfPresent(BoxLoadInfoDO::getShipmentId, vo.getShipmentIdList())
                .eqIfPresent(BoxLoadInfoDO::getOrderNumCode, vo.getOrderNumCode())
                .betweenIfPresent(BoxLoadInfoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxLoadInfoDO::getId));
        }

        return null;
    }
}
