package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOpLogDO;
import cn.iocoder.yudao.module.shipment.vo.boxOpLog.BoxOpLogQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 出货操作日志 Mapper
 * @author wlh
 */
@Mapper
public interface BoxOpLogMapper extends AbstractMapper<BoxOpLogDO> {
    @Override
    default PageResult<BoxOpLogDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxOpLogQueryVO) {
            BoxOpLogQueryVO vo = (BoxOpLogQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxOpLogDO>()
                .eqIfPresent(BoxOpLogDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxOpLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOpLogDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxOpLogDO> selectList(Object object) {
        if (object instanceof BoxOpLogQueryVO) {
            BoxOpLogQueryVO vo = (BoxOpLogQueryVO)object;
            return selectList(new LambdaQuery<BoxOpLogDO>()
                .eqIfPresent(BoxOpLogDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxOpLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOpLogDO::getId));
        }

        return null;
    }
}
