package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOrderSmsLogDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog.*;

/**
 * 出货短信记录 Mapper
 * @author 系统管理员
 */
@Mapper
public interface BoxOrderSmsLogMapper extends AbstractMapper<BoxOrderSmsLogDO> {
    @Override
    default PageResult<BoxOrderSmsLogDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxOrderSmsLogQueryVO) {
            BoxOrderSmsLogQueryVO vo = (BoxOrderSmsLogQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxOrderSmsLogDO>()
                .eqIfPresent(BoxOrderSmsLogDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxOrderSmsLogDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxOrderSmsLogDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(BoxOrderSmsLogDO::getMarks, vo.getMarks())
                .eqIfPresent(BoxOrderSmsLogDO::getSelfNo, vo.getSelfNo())
                .eqIfPresent(BoxOrderSmsLogDO::getScene, vo.getScene())
                .eqIfPresent(BoxOrderSmsLogDO::getTemplateCode, vo.getTemplateCode())
                .eqIfPresent(BoxOrderSmsLogDO::getDescription, vo.getDescription())
                .betweenIfPresent(BoxOrderSmsLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderSmsLogDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxOrderSmsLogDO> selectList(Object object) {
        if (object instanceof BoxOrderSmsLogQueryVO) {
            BoxOrderSmsLogQueryVO vo = (BoxOrderSmsLogQueryVO)object;
            return selectList(new LambdaQuery<BoxOrderSmsLogDO>()
                .eqIfPresent(BoxOrderSmsLogDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxOrderSmsLogDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxOrderSmsLogDO::getOrderNo, vo.getOrderNo())
                .eqIfPresent(BoxOrderSmsLogDO::getMarks, vo.getMarks())
                .eqIfPresent(BoxOrderSmsLogDO::getSelfNo, vo.getSelfNo())
                .eqIfPresent(BoxOrderSmsLogDO::getScene, vo.getScene())
                .eqIfPresent(BoxOrderSmsLogDO::getTemplateCode, vo.getTemplateCode())
                .eqIfPresent(BoxOrderSmsLogDO::getDescription, vo.getDescription())
                .betweenIfPresent(BoxOrderSmsLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderSmsLogDO::getId));
        }

        return null;
    }
}
