package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPreloadSectionDO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 预装部分 Mapper
 * @author wlh
 */
@Mapper
public interface BoxPreloadSectionMapper extends AbstractMapper<BoxPreloadSectionDO> {
    @Override
    default PageResult<BoxPreloadSectionDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxPreloadSectionQueryVO) {
            BoxPreloadSectionQueryVO vo = (BoxPreloadSectionQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxPreloadSectionDO>()
                .eqIfPresent(BoxPreloadSectionDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxPreloadSectionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxPreloadSectionDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxPreloadSectionDO> selectList(Object object) {
        if (object instanceof BoxPreloadSectionQueryVO) {
            BoxPreloadSectionQueryVO vo = (BoxPreloadSectionQueryVO)object;
            return selectList(new LambdaQuery<BoxPreloadSectionDO>()
                .eqIfPresent(BoxPreloadSectionDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxPreloadSectionDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxPreloadSectionDO::getId));
        }

        return null;
    }
}
