package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxSettlementDO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 结算 Mapper
 * @author wlh
 */
@Mapper
public interface BoxSettlementMapper extends AbstractMapper<BoxSettlementDO> {
    @Override
    default PageResult<BoxSettlementDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxSettlementQueryVO) {
            BoxSettlementQueryVO vo = (BoxSettlementQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxSettlementDO>()
                .eqIfPresent(BoxSettlementDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxSettlementDO::getSlSettlementTime, vo.getBeginSlSettlementTime(), vo.getEndSlSettlementTime())
                .betweenIfPresent(BoxSettlementDO::getSlSettledTime, vo.getBeginSlSettledTime(), vo.getEndSlSettledTime())
                .betweenIfPresent(BoxSettlementDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxSettlementDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxSettlementDO> selectList(Object object) {
        if (object instanceof BoxSettlementQueryVO) {
            BoxSettlementQueryVO vo = (BoxSettlementQueryVO)object;
            return selectList(new LambdaQuery<BoxSettlementDO>()
                .eqIfPresent(BoxSettlementDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxSettlementDO::getSlSettlementTime, vo.getBeginSlSettlementTime(), vo.getEndSlSettlementTime())
                .betweenIfPresent(BoxSettlementDO::getSlSettledTime, vo.getBeginSlSettledTime(), vo.getEndSlSettledTime())
                .betweenIfPresent(BoxSettlementDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxSettlementDO::getId));
        }

        return null;
    }
}
