package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxShippingDO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 起运 Mapper
 * @author wlh
 */
@Mapper
public interface BoxShippingMapper extends AbstractMapper<BoxShippingDO> {
    @Override
    default PageResult<BoxShippingDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxShippingQueryVO) {
            BoxShippingQueryVO vo = (BoxShippingQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxShippingDO>()
                .eqIfPresent(BoxShippingDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxShippingDO::getDtRealShipTime, vo.getBeginDtRealShipTime(), vo.getEndDtRealShipTime())
                .betweenIfPresent(BoxShippingDO::getDtEstArrivalTime, vo.getBeginDtEstArrivalTime(), vo.getEndDtEstArrivalTime())
                .betweenIfPresent(BoxShippingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxShippingDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxShippingDO> selectList(Object object) {
        if (object instanceof BoxShippingQueryVO) {
            BoxShippingQueryVO vo = (BoxShippingQueryVO)object;
            return selectList(new LambdaQuery<BoxShippingDO>()
                .eqIfPresent(BoxShippingDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxShippingDO::getDtRealShipTime, vo.getBeginDtRealShipTime(), vo.getEndDtRealShipTime())
                .betweenIfPresent(BoxShippingDO::getDtEstArrivalTime, vo.getBeginDtEstArrivalTime(), vo.getEndDtEstArrivalTime())
                .betweenIfPresent(BoxShippingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxShippingDO::getId));
        }

        return null;
    }
}
