package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTakeoffDO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 起飞 Mapper
 * @author wlh
 */
@Mapper
public interface BoxTakeoffMapper extends AbstractMapper<BoxTakeoffDO> {
    @Override
    default PageResult<BoxTakeoffDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxTakeoffQueryVO) {
            BoxTakeoffQueryVO vo = (BoxTakeoffQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxTakeoffDO>()
                .eqIfPresent(BoxTakeoffDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxTakeoffDO::getEstHeadTime, vo.getBeginEstHeadTime(), vo.getEndEstHeadTime())
                .betweenIfPresent(BoxTakeoffDO::getActHeadTime, vo.getBeginActHeadTime(), vo.getEndActHeadTime())
                .betweenIfPresent(BoxTakeoffDO::getEstSecondTime, vo.getBeginEstSecondTime(), vo.getEndEstSecondTime())
                .betweenIfPresent(BoxTakeoffDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTakeoffDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxTakeoffDO> selectList(Object object) {
        if (object instanceof BoxTakeoffQueryVO) {
            BoxTakeoffQueryVO vo = (BoxTakeoffQueryVO)object;
            return selectList(new LambdaQuery<BoxTakeoffDO>()
                .eqIfPresent(BoxTakeoffDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxTakeoffDO::getEstHeadTime, vo.getBeginEstHeadTime(), vo.getEndEstHeadTime())
                .betweenIfPresent(BoxTakeoffDO::getActHeadTime, vo.getBeginActHeadTime(), vo.getEndActHeadTime())
                .betweenIfPresent(BoxTakeoffDO::getEstSecondTime, vo.getBeginEstSecondTime(), vo.getEndEstSecondTime())
                .betweenIfPresent(BoxTakeoffDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTakeoffDO::getId));
        }

        return null;
    }
}
