package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTallyDO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 理货 Mapper
 * @author wlh
 */
@Mapper
public interface BoxTallyMapper extends AbstractMapper<BoxTallyDO> {
    @Override
    default PageResult<BoxTallyDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxTallyQueryVO) {
            BoxTallyQueryVO vo = (BoxTallyQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxTallyDO>()
                .eqIfPresent(BoxTallyDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxTallyDO::getTallyStatus, vo.getTallyStatus())
                .eqIfPresent(BoxTallyDO::getOrderId, vo.getOrderId())
                .betweenIfPresent(BoxTallyDO::getTallyTime, vo.getBeginTallyTime(), vo.getEndTallyTime())
                .betweenIfPresent(BoxTallyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTallyDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxTallyDO> selectList(Object object) {
        if (object instanceof BoxTallyQueryVO) {
            BoxTallyQueryVO vo = (BoxTallyQueryVO)object;
            return selectList(new LambdaQuery<BoxTallyDO>()
                .eqIfPresent(BoxTallyDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxTallyDO::getTallyStatus, vo.getTallyStatus())
                .eqIfPresent(BoxTallyDO::getOrderId, vo.getOrderId())
                .betweenIfPresent(BoxTallyDO::getTallyTime, vo.getBeginTallyTime(), vo.getEndTallyTime())
                .betweenIfPresent(BoxTallyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTallyDO::getId));
        }

        return null;
    }
}
