package cn.iocoder.yudao.module.shipment.dal.mysql;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTrailerDO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 拖车 Mapper
 * @author wlh
 */
@Mapper
public interface BoxTrailerMapper extends AbstractMapper<BoxTrailerDO> {
    @Override
    default PageResult<BoxTrailerDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxTrailerQueryVO) {
            BoxTrailerQueryVO vo = (BoxTrailerQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxTrailerDO>()
                .eqIfPresent(BoxTrailerDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxTrailerDO::getTlContainerStatus, vo.getTlContainerStatus())
                .eqIfPresent(BoxTrailerDO::getTlCompanyId, vo.getTlCompanyId())
                .betweenIfPresent(BoxTrailerDO::getTlTime, vo.getBeginTlTime(), vo.getEndTlTime())
                .eqIfPresent(BoxTrailerDO::getTlLicensePlate, vo.getTlLicensePlate())
                .eqIfPresent(BoxTrailerDO::getTlDriver, vo.getTlDriver())
                .eqIfPresent(BoxTrailerDO::getTlDriverContact, vo.getTlDriverContact())
                .eqIfPresent(BoxTrailerDO::getTlContainerNo, vo.getTlContainerNo())
                .eqIfPresent(BoxTrailerDO::getTlStripSeal, vo.getTlStripSeal())
                .betweenIfPresent(BoxTrailerDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTrailerDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxTrailerDO> selectList(Object object) {
        if (object instanceof BoxTrailerQueryVO) {
            BoxTrailerQueryVO vo = (BoxTrailerQueryVO)object;
            return selectList(new LambdaQuery<BoxTrailerDO>()
                .eqIfPresent(BoxTrailerDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxTrailerDO::getTlContainerStatus, vo.getTlContainerStatus())
                .eqIfPresent(BoxTrailerDO::getTlCompanyId, vo.getTlCompanyId())
                .betweenIfPresent(BoxTrailerDO::getTlTime, vo.getBeginTlTime(), vo.getEndTlTime())
                .eqIfPresent(BoxTrailerDO::getTlLicensePlate, vo.getTlLicensePlate())
                .eqIfPresent(BoxTrailerDO::getTlDriver, vo.getTlDriver())
                .eqIfPresent(BoxTrailerDO::getTlDriverContact, vo.getTlDriverContact())
                .eqIfPresent(BoxTrailerDO::getTlContainerNo, vo.getTlContainerNo())
                .eqIfPresent(BoxTrailerDO::getTlStripSeal, vo.getTlStripSeal())
                .betweenIfPresent(BoxTrailerDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxTrailerDO::getId));
        }

        return null;
    }
}
