package cn.iocoder.yudao.module.shipment.dal.mysql.boxAirFly;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirFly.BoxAirFlyDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirFly.BoxAirFlyQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 起飞 Mapper
 * @author 江楠
 */
@Mapper
public interface BoxAirFlyMapper extends AbstractMapper<BoxAirFlyDO> {
    @Override
    default PageResult<BoxAirFlyDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxAirFlyQueryVO) {
            BoxAirFlyQueryVO vo = (BoxAirFlyQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxAirFlyDO>()
                .eqIfPresent(BoxAirFlyDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxAirFlyDO::getDtRealFlyTime, vo.getBeginDtRealFlyTime(), vo.getEndDtRealFlyTime())
                .betweenIfPresent(BoxAirFlyDO::getDtRealHeadTime, vo.getBeginDtRealHeadTime(), vo.getEndDtRealHeadTime())
                .betweenIfPresent(BoxAirFlyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAirFlyDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxAirFlyDO> selectList(Object object) {
        if (object instanceof BoxAirFlyQueryVO) {
            BoxAirFlyQueryVO vo = (BoxAirFlyQueryVO)object;
            return selectList(new LambdaQuery<BoxAirFlyDO>()
                .eqIfPresent(BoxAirFlyDO::getShipmentId, vo.getShipmentId())
                .betweenIfPresent(BoxAirFlyDO::getDtRealFlyTime, vo.getBeginDtRealFlyTime(), vo.getEndDtRealFlyTime())
                .betweenIfPresent(BoxAirFlyDO::getDtRealHeadTime, vo.getBeginDtRealHeadTime(), vo.getEndDtRealHeadTime())
                .betweenIfPresent(BoxAirFlyDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxAirFlyDO::getId));
        }

        return null;
    }
}
