package cn.iocoder.yudao.module.shipment.dal.mysql.boxCustomsSplit;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxCustomsSplit.BoxCustomsSplitDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 出货报关拆单提醒 Mapper
 * @author wlh
 */
@Mapper
public interface BoxCustomsSplitMapper extends AbstractMapper<BoxCustomsSplitDO> {
    @Override
    default PageResult<BoxCustomsSplitDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxCustomsSplitQueryVO) {
            BoxCustomsSplitQueryVO vo = (BoxCustomsSplitQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxCustomsSplitDO>()
                .eqIfPresent(BoxCustomsSplitDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsSplitDO::getSplitOrderIds, vo.getSplitOrderIds())
                .eqIfPresent(BoxCustomsSplitDO::getDealStatus, vo.getDealStatus())
                .betweenIfPresent(BoxCustomsSplitDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsSplitDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxCustomsSplitDO> selectList(Object object) {
        if (object instanceof BoxCustomsSplitQueryVO) {
            BoxCustomsSplitQueryVO vo = (BoxCustomsSplitQueryVO)object;
            return selectList(new LambdaQuery<BoxCustomsSplitDO>()
                .eqIfPresent(BoxCustomsSplitDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxCustomsSplitDO::getSplitOrderIds, vo.getSplitOrderIds())
                .eqIfPresent(BoxCustomsSplitDO::getDealStatus, vo.getDealStatus())
                .betweenIfPresent(BoxCustomsSplitDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxCustomsSplitDO::getId));
        }

        return null;
    }
}
