package cn.iocoder.yudao.module.shipment.dal.mysql.boxOrderCheckInfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderCheckInfo.BoxOrderCheckInfoDO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo.BoxOrderCheckInfoQueryVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 理货和合包标签 Mapper
 * @author 江楠
 */
@Mapper
public interface BoxOrderCheckInfoMapper extends AbstractMapper<BoxOrderCheckInfoDO> {
    @Override
    default PageResult<BoxOrderCheckInfoDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxOrderCheckInfoQueryVO) {
            BoxOrderCheckInfoQueryVO vo = (BoxOrderCheckInfoQueryVO)object;
            return selectPage(page, new LambdaQuery<BoxOrderCheckInfoDO>()
                .eqIfPresent(BoxOrderCheckInfoDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxOrderCheckInfoDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxOrderCheckInfoDO::getOrderNumCode, vo.getOrderNumCode())
                .eqIfPresent(BoxOrderCheckInfoDO::getType, vo.getType())
                .betweenIfPresent(BoxOrderCheckInfoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderCheckInfoDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxOrderCheckInfoDO> selectList(Object object) {
        if (object instanceof BoxOrderCheckInfoQueryVO) {
            BoxOrderCheckInfoQueryVO vo = (BoxOrderCheckInfoQueryVO)object;
            return selectList(new LambdaQuery<BoxOrderCheckInfoDO>()
                .eqIfPresent(BoxOrderCheckInfoDO::getShipmentId, vo.getShipmentId())
                .eqIfPresent(BoxOrderCheckInfoDO::getOrderId, vo.getOrderId())
                .eqIfPresent(BoxOrderCheckInfoDO::getOrderNumCode, vo.getOrderNumCode())
                .eqIfPresent(BoxOrderCheckInfoDO::getType, vo.getType())
                .betweenIfPresent(BoxOrderCheckInfoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderCheckInfoDO::getId));
        }

        return null;
    }
}
