package cn.iocoder.yudao.module.shipment.dal.mysql.boxOrderExit;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderExit.BoxOrderExitDO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 退场订单 Mapper
 *
 * @author wlh
 */
@Mapper
public interface BoxOrderExitMapper extends AbstractMapper<BoxOrderExitDO> {
    @Override
    default PageResult<BoxOrderExitDO> selectPage(PageVO page, Object object) {
        if (object instanceof BoxOrderExitQueryVO) {
            BoxOrderExitQueryVO vo = (BoxOrderExitQueryVO) object;
            return selectPage(page, new LambdaQuery<BoxOrderExitDO>()
                    .eqIfPresent(BoxOrderExitDO::getShipmentId, vo.getShipmentId())
                    .eqIfPresent(BoxOrderExitDO::getOrderId, vo.getOrderId())
                    .eqIfPresent(BoxOrderExitDO::getNum, vo.getNum())
                    .eqIfPresent(BoxOrderExitDO::getRefundNum, vo.getRefundNum())
                    .eqIfPresent(BoxOrderExitDO::getSplitStatus, vo.getSplitStatus())
                    .eqIfPresent(BoxOrderExitDO::getSplit, vo.getSplit())
                    .betweenIfPresent(BoxOrderExitDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderExitDO::getId));
        }

        return null;
    }

    @Override
    default List<BoxOrderExitDO> selectList(Object object) {
        if (object instanceof BoxOrderExitQueryVO) {
            BoxOrderExitQueryVO vo = (BoxOrderExitQueryVO) object;
            return selectList(new LambdaQuery<BoxOrderExitDO>()
                    .eqIfPresent(BoxOrderExitDO::getShipmentId, vo.getShipmentId())
                    .eqIfPresent(BoxOrderExitDO::getOrderId, vo.getOrderId())
                    .eqIfPresent(BoxOrderExitDO::getNum, vo.getNum())
                    .eqIfPresent(BoxOrderExitDO::getRefundNum, vo.getRefundNum())
                    .eqIfPresent(BoxOrderExitDO::getSplitStatus, vo.getSplitStatus())
                    .eqIfPresent(BoxOrderExitDO::getSplit, vo.getSplit())
                    .betweenIfPresent(BoxOrderExitDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(BoxOrderExitDO::getId));
        }

        return null;
    }
}
