package cn.iocoder.yudao.module.shipment.enums;

import cn.hutool.core.util.ArrayUtil;

import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

public enum AbnormalStepAirEnum {
    CUSTOMS(8, "报关"),
    FLYING(10, "起飞"),
    ARRIVAL(12, "到港");
//    CLEARED(13, "清关"),
//    TO_WAREHOUSE(14, "到仓"),

    ;

    private Integer step;

    private String text;

    AbnormalStepAirEnum(Integer step, String text) {
        this.step = step;
        this.text = text;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static List<Integer> getStepList() {
        return Arrays.asList(values())
                .stream()
                .map(AbnormalStepAirEnum::getStep)
                .collect(Collectors.toList());
    }

    public static AbnormalStepAirEnum stepOf(Integer step){
        return ArrayUtil.firstMatch(o -> (Objects.equals(o.getStep(), step)), values());
    }
}
