package cn.iocoder.yudao.module.shipment.enums;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public enum AbnormalStepEnum {
    CUSTOMS(5, "报关"),
    SHIPPING(9, "起运"),
    ARRIVAL(12, "到港");

    private Integer step;

    private String text;

    AbnormalStepEnum(Integer step, String text) {
        this.step = step;
        this.text = text;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static List<Integer> getStepList() {
        return Arrays.asList(values())
                .stream()
                .map(AbnormalStepEnum::getStep)
                .collect(Collectors.toList());
    }
}
