package cn.iocoder.yudao.module.shipment.enums;

import cn.hutool.core.util.ArrayUtil;

public enum BoxAirStatusEnum {
    //待订舱
    WAIT_FOR_BOOKING(401, "shipment.status.wait.booking"),
    //已订舱，待分拣
    BOOKING_FOR_SORTING(403, "shipment.air.status.booking.already"),
    //分拣中
    SORTING(404, "shipment.status.sorting"),
    //分拣审核中
    SORTING_EXAMINE(405, "shipment.status.sorting.review"),
    //分拣审核失败
    SORTING_EXAMINE_FAIL(406, "shipment.status.sorting.fail"),

    //分拣审核通过，待理货
    SORTING_EXAMINE_SUCCESS(407, "shipment.air.status.sorting.success"),
    //完成理货、待出货
    TALLY_COMPLETE(409, "shipment.air.status.tally.complete"),

    //已出货，待出仓
    AIR_SHIPPED(411, "shipment.air.status.wait.warehouse"),

    //已出仓
    WAREHOUSED(412, "shipment.status.out.warehoused"),
    //报关中
    CUSTOMSING(413, "shipment.status.customs"),
    //报关-查验失败-部分退场
    CUSTOMS_PART_EXIT(414, "shipment.status.customs.part.exit"),
    //报关-查验失败-全部退场
    CUSTOMS_FULL_EXIT(415, "shipment.status.customs.full.exit"),
    //报关-查验后放行
    CUSTOMS_CHECK_PASS(416, "shipment.status.customs.check.pass"),
    //报关-放行
    CUSTOMS_PASS(417, "shipment.status.customs.pass"),
    //过机异常-删单退场审核中
    CUSTOMS_ABNORMAL_EXAMINE(418, "shipment.status.customs.abnormal.exam"),
    //报关-过机重量异常
    CUSTOMS_ABNORMAL_WEIGHT(419, "shipment.status.customs.abnormal"),
    //过机异常-删单退场审核成功
    CUSTOMS_ABNORMAL_EXAMINE_SUCCESS(420, "shipment.status.customs.abnormal.pass"),
    //已报关
    CUSTOMS_COMPLETE(421, "shipment.status.customsed"),
    //已起飞
    FLYING(426, "shipment.status.flying"),
    //已到目的港
    ARRIVAL_WAIT_DISCHARGE(428, "shipment.air.status.arrival"),
    //已清关
    CLEARANCE_WAIT_WAREHOUSE(430, "shipment.status.customs.cleared"),
    //到仓审核中
    TO_WAREHOUSE_EXAMINE(432, "shipment.status.warehouse.review"),
    //到仓审核失败
    TO_WAREHOUSE_EXAMINE_FAIL(433, "shipment.status.warehouse.fail"),
    //到仓审核通过
    TO_WAREHOUSE_EXAMINE_SUCCESS(434, "shipment.status.warehouse.pass"),
    //已到仓
    TO_WAREHOUSED(435, "shipment.status.warehoused"),
    //待结算
    WAIT_SETTLEMENT(436, "shipment.air.status.wait.settled"),
    //结算中
    SETTLEMENTING(437, "shipment.air.status.settling"),
    //已结算
    SETTLEMENTED(438, "shipment.air.status.settled");


    private int status;

    private String text;

    BoxAirStatusEnum(int status, String text) {
        this.status = status;
        this.text = text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static BoxAirStatusEnum getStatusEnumByStatus(Integer shipmentStatus) {
        return ArrayUtil.firstMatch(o -> (o.getStatus() == shipmentStatus), values());
    }


}
