package cn.iocoder.yudao.module.shipment.enums;

import cn.hutool.core.util.ArrayUtil;

public enum  BoxStatusEnum {
    WAIT_FOR_BOOKING(301, "shipment.status.wait.booking"),
    BOOKING_FOR_PREINSTALL(303, "shipment.status.booking.already"),
    PREINSTALLING(304, "shipment.status.peloading"),
    PREINSTALL_EXAMINE(305, "shipment.status.preload.review"),
    PREINSTALL_EXAMINE_FAIL(306, "shipment.status.preload.fail"),
    PREINSTALL_EXAMINE_SUCCESS(307, "shipment.status.preload.success"),
    DISPATCHED_WAIT_CABINETS(309, "shipment.status.car.dispatched"),
    LIFTED_WAIT_RETURN(310, "shipment.status.cabinet.withdrawn"),
    CABINETS_RETURNED(311, "shipment.status.cabinet.returned"),
    IN_THE_CABINETS(313, "shipment.status.in.cabinet"),
    INSTALLED_WAIT_SEALED(314, "shipment.status.contained"),
    SEAL_EXAMINE(315, "shipment.status.cabinet.review"),
    SEAL_EXAMINE_FAIL(316, "shipment.status.cabinet.review.fail"),
    SEAL_EXAMINE_SUCCESS(317, "shipment.status.cabinet.review.success"),
    SEALED(318, "shipment.status.closed.cabinet"),
    CUSTOMSING(320, "shipment.status.customs"),
    CUSTOMS_PART_EXIT(322, "shipment.status.customs.part.exit"),
    CUSTOMS_FULL_EXIT(323, "shipment.status.customs.full.exit"),
    CUSTOMS_CHECK_PASS(324, "shipment.status.customs.check.pass"),
    CUSTOMS_PASS(325, "shipment.status.customs.pass"),
    SHIPPING(326, "shipment.status.shipping"),
    ARRIVAL_WAIT_DISCHARGE(328, "shipment.status.arrival"),
    DISCHARGE_WAIT_CLEARANCE(329, "shipment.status.unload"),
    CLEARANCE_WAIT_UNLOAD(330, "shipment.status.customs.cleared"),
    UNLOAD_EXAMINE(332, "shipment.status.unload.review"),
    UNLOAD_EXAMINE_FAIL(333, "shipment.status.unload.review.fail"),
    UNLOAD_EXAMINE_SUCCESS(334, "shipment.status.unload.review.success"),
    UNLOADED(335, "shipment.status.unload.cabinet"),
    WAIT_SETTLEMENT(336, "shipment.status.wait.settled"),
    SETTLEMENTING(337, "shipment.status.settling"),
    SETTLEMENTED(338, "shipment.status.settled"),

    TWO_WAY_TAKEOFF(391, "shipment.status.two.way.takeoff"),
    TWO_WAY_ARRIVAL(392, "shipment.status.two.way.arrival");

    private int status;

    private String text;

    BoxStatusEnum(int status, String text) {
        this.status = status;
        this.text = text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static BoxStatusEnum getStatusEnumByStatus(Integer shipmentStatus) {
        return ArrayUtil.firstMatch(o -> (o.getStatus() == shipmentStatus), values());
    }


}
