package cn.iocoder.yudao.module.shipment.enums;

public enum LdStatusEnum {
    /**
     * 装柜状态：41、未装柜；42、装柜中；43、已装柜、待封柜；44、封柜审核中；45、封柜审核失败；46、封柜审核成功；47、已封柜
     */
    NO_CABINET(41, "未装柜", "No cabinet"),
    IN_CABINET(42, "装柜中", "In the cabinet"),
    INSTALLED_TO_BE_SEALED(43, "已装柜、待封柜", "Installed cabinet and cabinet to be sealed"),
    CABINET_EXAMINE_ING(44, "封柜审核中", "Cabinet sealing under review"),
    CABINET_EXAMINE_FAIL(45, "封柜审核失败", "Cabinet sealing audit failed"),
    CABINET_EXAMINE_SUCCESS(46, "封柜审核成功", "Successful cabinet sealing audit"),
    CABINET_SEALED(47, "已封柜,待出仓", "Sealed cabinet"),

    CABINET_BACK_EXAMINE_ING(48, "封柜反审中", "back Cabinet sealing under review"),
    CABINET_BACK_EXAMINE_SUCCESS(49, "封柜反审成功", "Successful back cabinet sealing audit"),
    CABINET_BACK_EXAMINE_FAIL(491, "封柜反审失败", "fail back cabinet sealing audit"),
    ;


    int ldStatus;
    String statusNameZh;
    String statusNameEn;

    LdStatusEnum(int ldStatus, String statusNameZh, String statusNameEn) {
        this.ldStatus = ldStatus;
        this.statusNameZh = statusNameZh;
        this.statusNameEn = statusNameEn;
    }

    public int getLdStatus() {
        return ldStatus;
    }

    public void setLdStatus(int ldStatus) {
        this.ldStatus = ldStatus;
    }

    public String getStatusNameZh() {
        return statusNameZh;
    }

    public void setStatusNameZh(String statusNameZh) {
        this.statusNameZh = statusNameZh;
    }

    public String getStatusNameEn() {
        return statusNameEn;
    }

    public void setStatusNameEn(String statusNameEn) {
        this.statusNameEn = statusNameEn;
    }
}
