package cn.iocoder.yudao.module.shipment.enums;

public enum TWStatusEnum {
    /**
     * 到仓状态：181、未到仓；182、到仓中；183、到仓审核中；184、到仓审核失败；185、到仓审核成功；186、已到仓
     */
    NO_TO_WAREHOUSE(181, "未到仓", "No To warehouse"),
    TO_WAREHOUSING(182, "到仓中", "To warehousing"),
    TO_WAREHOUSE_EXAMINE_ING(183, "到仓审核中", "To warehouse review"),
    TO_WAREHOUSE_EXAMINE_FAIL(184, "到仓审核失败", "To warehouse audit failed"),
    TO_WAREHOUSE_EXAMINE_SUCCESS(185, "到仓审核成功", "To warehouse audit success"),
    TO_WAREHOUSED_SEALED(186, "已到仓,待结算", "To warehoused"),

    TO_WAREHOUSE_BACK_EXAMINE_ING(187, "到仓反审中", "back To warehouse under review"),
    TO_WAREHOUSE_BACK_EXAMINE_SUCCESS(188, "到仓反审成功", "back To warehouse audit success"),
    TO_WAREHOUSE_BACK_EXAMINE_FAIL(189, "到仓反审失败", "back To warehouse audit fail"),


    ;


    int twStatus;
    String statusNameZh;
    String statusNameEn;

    TWStatusEnum(int twStatus, String statusNameZh, String statusNameEn) {
        this.twStatus = twStatus;
        this.statusNameZh = statusNameZh;
        this.statusNameEn = statusNameEn;
    }

    public int getTwStatus() {
        return twStatus;
    }

    public void setTwStatus(int twStatus) {
        this.twStatus = twStatus;
    }

    public String getStatusNameZh() {
        return statusNameZh;
    }

    public void setStatusNameZh(String statusNameZh) {
        this.statusNameZh = statusNameZh;
    }

    public String getStatusNameEn() {
        return statusNameEn;
    }

    public void setStatusNameEn(String statusNameEn) {
        this.statusNameEn = statusNameEn;
    }
}
