package cn.iocoder.yudao.module.shipment.enums;

public enum ULStatusEnum {
    /**
     * 卸柜状态：181、未卸柜；182、卸柜中；183、卸柜审核中；184、卸柜审核失败；185、卸柜审核成功；186、已卸柜
     */
    NO_CABINET_UNLOAD(181, "未卸柜", "No cabinet unload"),
    UNLOADING_CABINET(182, "卸柜中", "Unloading cabinet"),
    UNLOADING_EXAMINE_ING(183, "卸柜审核中", "Unloading under review"),
    UNLOADING_EXAMINE_FAIL(184, "卸柜审核失败", "Unloading audit failed"),
    UNLOADING_EXAMINE_SUCCESS(185, "卸柜审核成功", "Unloading audit success"),
    UNLOADING_SEALED(186, "已卸柜,待结算", "Unloaded cabinet"),

    UNLOADING_BACK_EXAMINE_ING(187, "卸柜反审中", "back Unloading under review"),
    UNLOADING_BACK_EXAMINE_SUCCESS(188, "卸柜反审成功", "back Unloading audit success"),
    UNLOADING_BACK_EXAMINE_FAIL(189, "卸柜反审失败", "back Unloading audit fail"),


    ;


    int ulStatus;
    String statusNameZh;
    String statusNameEn;

    ULStatusEnum(int ulStatus, String statusNameZh, String statusNameEn) {
        this.ulStatus = ulStatus;
        this.statusNameZh = statusNameZh;
        this.statusNameEn = statusNameEn;
    }

    public int getUlStatus() {
        return ulStatus;
    }

    public void setUlStatus(int ulStatus) {
        this.ulStatus = ulStatus;
    }

    public String getStatusNameZh() {
        return statusNameZh;
    }

    public void setStatusNameZh(String statusNameZh) {
        this.statusNameZh = statusNameZh;
    }

    public String getStatusNameEn() {
        return statusNameEn;
    }

    public void setStatusNameEn(String statusNameEn) {
        this.statusNameEn = statusNameEn;
    }
}
