package cn.iocoder.yudao.module.shipment.service.boxAbnormal;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxAbnormal.BoxAbnormalUpdateReqVO;

/**
 * 出货异常记录 Service 接口
 *
 * @author wlh
 */
public interface BoxAbnormalService extends IService<BoxAbnormalDO> {

    /**
     * 创建出货异常记录
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxAbnormal(@Valid BoxAbnormalCreateReqVO createReqVO);

    /**
     * 更新出货异常记录
     * @param updateReqVO 更新信息
     */
    void updateBoxAbnormal(@Valid BoxAbnormalUpdateReqVO updateReqVO);

    /**
     * 删除出货异常记录
     * @param id 编号
     */
    void deleteBoxAbnormal(Long id);

    /**
     * 获得出货异常记录
     * @param id 编号
     * @return 出货异常记录
     */
    BoxAbnormalDO getBoxAbnormal(Long id);

    /**
     * 获得出货异常记录列表
     * @param ids 编号
     * @return 出货异常记录列表
     */
    List<BoxAbnormalDO> getBoxAbnormalList(Collection<Long> ids);

    /**
     * 获得出货异常记录分页
     * @param page 分页查询
     * @param query 查询
     * @return 出货异常记录分页
     */
    PageResult<BoxAbnormalDO> getBoxAbnormalPage(BoxAbnormalQueryVO query, PageVO page);

    /**
     * 获得出货异常记录列表, 用于 Excel 导出
     * @param query 查询
     * @return 出货异常记录列表
     */
    List<BoxAbnormalDO> getBoxAbnormalList(BoxAbnormalQueryVO query);
}
