package cn.iocoder.yudao.module.shipment.service.boxAirFly;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirFly.BoxAirFlyDO;
import cn.iocoder.yudao.module.shipment.vo.boxAirFly.*;

/**
 * 起飞 Service 接口
 *
 * @author 江楠
 */
public interface BoxAirFlyService extends IService<BoxAirFlyDO> {

    /**
     * 创建起飞
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxAirFly(@Valid BoxAirFlyCreateReqVO createReqVO);

    /**
     * 更新起飞
     * @param updateReqVO 更新信息
     */
    void updateBoxAirFly(@Valid BoxAirFlyUpdateReqVO updateReqVO);

    /**
     * 删除起飞
     * @param id 编号
     */
    void deleteBoxAirFly(Long id);

    /**
     * 获得起飞
     * @param id 编号
     * @return 起飞
     */
    BoxAirFlyDO getBoxAirFly(Long id);

    /**
     * 获得起飞列表
     * @param ids 编号
     * @return 起飞列表
     */
    List<BoxAirFlyDO> getBoxAirFlyList(Collection<Long> ids);

    /**
     * 获得起飞分页
     * @param page 分页查询
     * @param query 查询
     * @return 起飞分页
     */
    PageResult<BoxAirFlyDO> getBoxAirFlyPage(BoxAirFlyQueryVO query, PageVO page);

    /**
     * 获得起飞列表, 用于 Excel 导出
     * @param query 查询
     * @return 起飞列表
     */
    List<BoxAirFlyDO> getBoxAirFlyList(BoxAirFlyQueryVO query);
}
