package cn.iocoder.yudao.module.shipment.service.boxAirNumberRecord;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirNumberRecord.BoxAirNumberRecordDO;

/**
 * 空运出货单编号记录 Service 接口
 *
 * @author 江楠
 */
public interface BoxAirNumberRecordService extends IService<BoxAirNumberRecordDO> {


    /**
     * 获得空运出货单编号记录
     *
     * @param id 编号
     * @return 空运出货单编号记录
     */
    BoxAirNumberRecordDO getBoxAirNumberRecord(Long id);

    /**
     * 获得空运出货单编号记录列表
     *
     * @param ids 编号
     * @return 空运出货单编号记录列表
     */
    List<BoxAirNumberRecordDO> getBoxAirNumberRecordList(Collection<Long> ids);


    /**
     * 更新自编号使用状态
     *
     * @param number     自编号
     */
    void updateBoxAirNumberRecordUsedStatus(String number);

    /**
     * 根据运输方式、目的国id、渠道id，获取可用的自编号记录
     *
     * @param transportType 运输方式
     * @param destId        目的地id
     * @param channelId     渠道id
     * @return 可用的自编号记录
     */
    BoxAirNumberRecordDO getBoxAirNumberRecord(Integer transportType, Long destId, Long channelId);

    BoxAirNumberRecordDO chargeChannelBoxAirNumberRecord(String number, Integer transportType, Long destId, Long channelId);
}
