package cn.iocoder.yudao.module.shipment.service.boxArrival;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalUpdateReqVO;

/**
 * 到港 Service 接口
 *
 * @author 系统管理员
 */
public interface BoxArrivalService extends IService<BoxArrivalDO> {

    /**
     * 创建到港
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxArrival(@Valid BoxArrivalCreateReqVO createReqVO);

    /**
     * 更新到港
     * @param updateReqVO 更新信息
     */
    void updateBoxArrival(@Valid BoxArrivalUpdateReqVO updateReqVO);


    /**
     * 获得到港
     * @param id 编号
     * @return 到港
     */
    BoxArrivalDO getBoxArrival(Long id);

    /**
     * 获得到港列表
     * @param ids 编号
     * @return 到港列表
     */
    List<BoxArrivalDO> getBoxArrivalList(Collection<Long> ids);

    /**
     * 获得到港分页
     * @param page 分页查询
     * @param query 查询
     * @return 到港分页
     */
    PageResult<BoxArrivalDO> getBoxArrivalPage(BoxArrivalQueryVO query, PageVO page);

    /**
     * 获得到港列表, 用于 Excel 导出
     * @param query 查询
     * @return 到港列表
     */
    List<BoxArrivalDO> getBoxArrivalList(BoxArrivalQueryVO query);
}
