package cn.iocoder.yudao.module.shipment.service.boxArrivalAir;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxArrivalAirDO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirUpdateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalOrder.BoxArrivalOrderAllCreateVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalOrder.BoxArrivalOrderCreateVO;

/**
 * 空运到港 Service 接口
 *
 * @author wlh
 */
public interface BoxArrivalAirService extends IService<BoxArrivalAirDO> {

    /**
     * 创建空运到港
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxArrivalAir(@Valid BoxArrivalAirCreateReqVO createReqVO);

    /**
     * 更新空运到港
     * @param updateReqVO 更新信息
     */
    void updateBoxArrivalAir(@Valid BoxArrivalAirUpdateReqVO updateReqVO);


    /**
     * 获得空运到港
     * @param id 编号
     * @return 空运到港
     */
    BoxArrivalAirDO getBoxArrivalAir(Long id);

    /**
     * 获得空运到港列表
     * @param ids 编号
     * @return 空运到港列表
     */
    List<BoxArrivalAirDO> getBoxArrivalAirList(Collection<Long> ids);

    /**
     * 获得空运到港分页
     * @param page 分页查询
     * @param query 查询
     * @return 空运到港分页
     */
    PageResult<BoxArrivalAirDO> getBoxArrivalAirPage(BoxArrivalAirQueryVO query, PageVO page);

    /**
     * 获得空运到港列表, 用于 Excel 导出
     * @param query 查询
     * @return 空运到港列表
     */
    List<BoxArrivalAirDO> getBoxArrivalAirList(BoxArrivalAirQueryVO query);

    void updateOrderArrival(BoxArrivalOrderCreateVO createReqVO);

    void updateOrderAllArrival(BoxArrivalOrderAllCreateVO createReqVO);
}
