package cn.iocoder.yudao.module.shipment.service.boxBarge;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBargeDO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeUpdateReqVO;

/**
 * 驳船 Service 接口
 *
 * @author wlh
 */
public interface BoxBargeService extends IService<BoxBargeDO> {

    /**
     * 创建驳船
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxBarge(@Valid BoxBargeCreateReqVO createReqVO);

    /**
     * 更新驳船
     * @param updateReqVO 更新信息
     */
    void updateBoxBarge(@Valid BoxBargeUpdateReqVO updateReqVO);



    /**
     * 获得驳船
     * @param id 编号
     * @return 驳船
     */
    BoxBargeDO getBoxBarge(Long id);

    /**
     * 获得驳船列表
     * @param ids 编号
     * @return 驳船列表
     */
    List<BoxBargeDO> getBoxBargeList(Collection<Long> ids);

    /**
     * 获得驳船分页
     * @param page 分页查询
     * @param query 查询
     * @return 驳船分页
     */
    PageResult<BoxBargeDO> getBoxBargePage(BoxBargeQueryVO query, PageVO page);

    /**
     * 获得驳船列表, 用于 Excel 导出
     * @param query 查询
     * @return 驳船列表
     */
    List<BoxBargeDO> getBoxBargeList(BoxBargeQueryVO query);
}
