package cn.iocoder.yudao.module.shipment.service.boxBookAir;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.vo.boxBookAir.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookAirDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 订舱-空运 Service 接口
 *
 * @author 系统管理员
 */
public interface BoxBookAirService extends IService<BoxBookAirDO> {

    /**
     * 创建订舱-空运
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxBookAir(@Valid BoxBookAirCreateReqVO createReqVO);

    /**
     * 更新订舱-空运
     * @param updateReqVO 更新信息
     */
    void updateBoxBookAir(@Valid BoxBookAirUpdateReqVO updateReqVO);

    /**
     * 删除订舱-空运
     * @param id 编号
     */
    void deleteBoxBookAir(Long id);

    /**
     * 获得订舱-空运
     * @param id 编号
     * @return 订舱-空运
     */
    BoxBookAirDO getBoxBookAir(Long id);

    /**
     * 获得订舱-空运列表
     * @param ids 编号
     * @return 订舱-空运列表
     */
    List<BoxBookAirDO> getBoxBookAirList(Collection<Long> ids);

    /**
     * 获得订舱-空运分页
     * @param page 分页查询
     * @param query 查询
     * @return 订舱-空运分页
     */
    PageResult<BoxBookAirDO> getBoxBookAirPage(BoxBookAirQueryVO query, PageVO page);

    /**
     * 获得订舱-空运列表, 用于 Excel 导出
     * @param query 查询
     * @return 订舱-空运列表
     */
    List<BoxBookAirDO> getBoxBookAirList(BoxBookAirQueryVO query);

    List<BoxBookAirDO> getNoticeBookList();
}
