package cn.iocoder.yudao.module.shipment.service.boxBookSea;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxBookSeaDO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaUpdateReqVO;

/**
 * 订舱 Service 接口
 *
 * @author wlh
 */
public interface BoxBookSeaService extends IService<BoxBookSeaDO> {

    /**
     * 创建订舱
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxBookSea(@Valid BoxBookSeaCreateReqVO createReqVO);

    /**
     * 更新订舱
     * @param updateReqVO 更新信息
     */
    void updateBoxBookSea(@Valid BoxBookSeaUpdateReqVO updateReqVO);

    /**
     * 删除订舱
     * @param id 编号
     */
    void deleteBoxBookSea(Long id);

    /**
     * 获得订舱
     * @param id 编号
     * @return 订舱
     */
    BoxBookSeaDO getBoxBookSea(Long id);

    /**
     * 获得订舱列表
     * @param ids 编号
     * @return 订舱列表
     */
    List<BoxBookSeaDO> getBoxBookSeaList(Collection<Long> ids);

    /**
     * 获得订舱分页
     * @param page 分页查询
     * @param query 查询
     * @return 订舱分页
     */
    PageResult<BoxBookSeaDO> getBoxBookSeaPage(BoxBookSeaQueryVO query, PageVO page);

    /**
     * 获得订舱列表, 用于 Excel 导出
     * @param query 查询
     * @return 订舱列表
     */
    List<BoxBookSeaDO> getBoxBookSeaList(BoxBookSeaQueryVO query);

    List<BoxBookSeaDO> getNoticeBookList();
}
