package cn.iocoder.yudao.module.shipment.service.boxCabinet;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetUpdateReqVO;

/**
 * 装柜 Service 接口
 *
 * @author wlh
 */
public interface BoxCabinetService extends IService<BoxCabinetDO> {

    /**
     * 创建装柜
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCabinet(@Valid BoxCabinetCreateReqVO createReqVO);

    /**
     * 更新装柜
     * @param updateReqVO 更新信息
     */
    void updateBoxCabinet(@Valid BoxCabinetUpdateReqVO updateReqVO);


    /**
     * 获得装柜
     * @param id 编号
     * @return 装柜
     */
    BoxCabinetDO getBoxCabinet(Long id);

    /**
     * 获得装柜列表
     * @param ids 编号
     * @return 装柜列表
     */
    List<BoxCabinetDO> getBoxCabinetList(Collection<Long> ids);

    /**
     * 获得装柜分页
     * @param page 分页查询
     * @param query 查询
     * @return 装柜分页
     */
    PageResult<BoxCabinetDO> getBoxCabinetPage(BoxCabinetQueryVO query, PageVO page);

    /**
     * 获得装柜列表, 用于 Excel 导出
     * @param query 查询
     * @return 装柜列表
     */
    List<BoxCabinetDO> getBoxCabinetList(BoxCabinetQueryVO query);

    BoxCabinetDO getByShipmentId(Long shipmentId);
}
