package cn.iocoder.yudao.module.shipment.service.boxCabinetUnload;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetUnloadDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadPDAVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadUpdateReqVO;

/**
 * 卸柜 Service 接口
 *
 * @author wlh
 */
public interface BoxCabinetUnloadService extends IService<BoxCabinetUnloadDO> {

    /**
     * 创建卸柜
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCabinetUnload(@Valid BoxCabinetUnloadCreateReqVO createReqVO);

    /**
     * 更新卸柜
     * @param updateReqVO 更新信息
     */
    void updateBoxCabinetUnload(@Valid BoxCabinetUnloadUpdateReqVO updateReqVO);

    /**
     * 获得卸柜
     * @param id 编号
     * @return 卸柜
     */
    BoxCabinetUnloadDO getBoxCabinetUnload(Long id);

    /**
     * 获得卸柜列表
     * @param ids 编号
     * @return 卸柜列表
     */
    List<BoxCabinetUnloadDO> getBoxCabinetUnloadList(Collection<Long> ids);

    /**
     * 获得卸柜分页
     * @param page 分页查询
     * @param query 查询
     * @return 卸柜分页
     */
    PageResult<BoxCabinetUnloadDO> getBoxCabinetUnloadPage(BoxCabinetUnloadQueryVO query, PageVO page);

    /**
     * 获得卸柜列表, 用于 Excel 导出
     * @param query 查询
     * @return 卸柜列表
     */
    List<BoxCabinetUnloadDO> getBoxCabinetUnloadList(BoxCabinetUnloadQueryVO query);

    BoxCabinetUnloadDO getByShipmentId(Long shipmentId);

    PageResult<BoxCabinetUnloadPDAVO> getBoxCabinetUnload4PDAPage(String selfNo,Integer ulStatus, PageVO page);
}
