package cn.iocoder.yudao.module.shipment.service.boxCabinetUnloadAbnormal;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCabinetUnloadAbnormalDO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnloadAbnormal.BoxCabinetUnloadAbnormalUpdateReqVO;

/**
 * 卸柜异常 Service 接口
 *
 * @author wlh
 */
public interface BoxCabinetUnloadAbnormalService extends IService<BoxCabinetUnloadAbnormalDO> {

    /**
     * 创建卸柜异常
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCabinetUnloadAbnormal(@Valid BoxCabinetUnloadAbnormalCreateReqVO createReqVO);

    /**
     * 更新卸柜异常
     * @param updateReqVO 更新信息
     */
    void updateBoxCabinetUnloadAbnormal(@Valid BoxCabinetUnloadAbnormalUpdateReqVO updateReqVO);

    /**
     * 删除卸柜异常
     * @param id 编号
     */
    void deleteBoxCabinetUnloadAbnormal(Long id);

    /**
     * 获得卸柜异常
     * @param id 编号
     * @return 卸柜异常
     */
    BoxCabinetUnloadAbnormalDO getBoxCabinetUnloadAbnormal(Long id);

    /**
     * 获得卸柜异常列表
     * @param ids 编号
     * @return 卸柜异常列表
     */
    List<BoxCabinetUnloadAbnormalDO> getBoxCabinetUnloadAbnormalList(Collection<Long> ids);

    /**
     * 获得卸柜异常分页
     * @param page 分页查询
     * @param query 查询
     * @return 卸柜异常分页
     */
    PageResult<BoxCabinetUnloadAbnormalDO> getBoxCabinetUnloadAbnormalPage(BoxCabinetUnloadAbnormalQueryVO query, PageVO page);

    /**
     * 获得卸柜异常列表, 用于 Excel 导出
     * @param query 查询
     * @return 卸柜异常列表
     */
    List<BoxCabinetUnloadAbnormalDO> getBoxCabinetUnloadAbnormalList(BoxCabinetUnloadAbnormalQueryVO query);
}
