package cn.iocoder.yudao.module.shipment.service.boxCheckoutAir;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCheckoutAirDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 出仓-空运 Service 接口
 *
 * @author 系统管理员
 */
public interface BoxCheckoutAirService extends IService<BoxCheckoutAirDO> {

    /**
     * 创建出仓-空运
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCheckoutAir(@Valid BoxCheckoutAirCreateReqVO createReqVO);

    /**
     * 更新出仓-空运
     * @param updateReqVO 更新信息
     */
    void updateBoxCheckoutAir(@Valid BoxCheckoutAirUpdateReqVO updateReqVO);

    /**
     * 删除出仓-空运
     * @param id 编号
     */
    void deleteBoxCheckoutAir(Long id);

    /**
     * 获得出仓-空运
     * @param id 编号
     * @return 出仓-空运
     */
    BoxCheckoutAirDO getBoxCheckoutAir(Long id);

    /**
     * 获得出仓-空运列表
     * @param ids 编号
     * @return 出仓-空运列表
     */
    List<BoxCheckoutAirDO> getBoxCheckoutAirList(Collection<Long> ids);

    /**
     * 获得出仓-空运分页
     * @param page 分页查询
     * @param query 查询
     * @return 出仓-空运分页
     */
    PageResult<BoxCheckoutAirDO> getBoxCheckoutAirPage(BoxCheckoutAirQueryVO query, PageVO page);

    /**
     * 获得出仓-空运列表, 用于 Excel 导出
     * @param query 查询
     * @return 出仓-空运列表
     */
    List<BoxCheckoutAirDO> getBoxCheckoutAirList(BoxCheckoutAirQueryVO query);
}
