//package cn.iocoder.yudao.module.shipment.service.boxCheckoutAir;
//
//import java.util.*;
//import javax.annotation.Resource;
//
//import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxDO;
//import cn.iocoder.yudao.module.shipment.dal.mysql.BoxMapper;
//import cn.iocoder.yudao.module.shipment.enums.CheckoutEnum;
//import cn.iocoder.yudao.module.shipment.enums.DcStatueEnum;
//import cn.iocoder.yudao.module.shipment.enums.OperateTypeEnum;
//import cn.iocoder.yudao.module.shipment.service.boxOpLog.BoxOpLogService;
//import org.springframework.stereotype.Service;
//import org.springframework.validation.annotation.Validated;
//import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
//import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
//import cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir.*;
//import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCheckoutAirDO;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.module.shipment.convert.BoxCheckoutAirConvert;
//import cn.iocoder.yudao.module.shipment.dal.mysql.BoxCheckoutAirMapper;
//import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;
//import static cn.iocoder.yudao.module.shipment.enums.ErrorCodeConstants.*;
//
///**
// * 出仓-空运 Service 实现类
// *
// * @author 系统管理员
// */
//@Service
//@Validated
//public class BoxCheckoutAirServiceImpl extends AbstractService<BoxCheckoutAirMapper, BoxCheckoutAirDO> implements BoxCheckoutAirService {
//
//    @Resource
//    private BoxCheckoutAirMapper boxCheckoutAirMapper;
//
//    @Resource
//    private BoxMapper boxMapper;
//
//    @Resource
//    private BoxOpLogService boxOpLogService;
//
//    @Override
//    public Long createBoxCheckoutAir(BoxCheckoutAirCreateReqVO createReqVO) {
//        // 插入
//        BoxCheckoutAirDO boxCheckoutAir = BoxCheckoutAirConvert.INSTANCE.convert(createReqVO);
//        boxCheckoutAirMapper.insert(boxCheckoutAir);
//        // 返回
//        commitUpdate(createReqVO.getOperateType(), createReqVO.getShipmentId());
//        return boxCheckoutAir.getId();
//    }
//
//    @Override
//    public void updateBoxCheckoutAir(BoxCheckoutAirUpdateReqVO updateReqVO) {
//        // 校验存在
//        this.validateBoxCheckoutAirExists(updateReqVO.getId());
//        // 更新
//        BoxCheckoutAirDO updateObj = BoxCheckoutAirConvert.INSTANCE.convert(updateReqVO);
//        boxCheckoutAirMapper.updateById(updateObj);
//        commitUpdate(updateReqVO.getOperateType(), updateReqVO.getShipmentId());
//    }
//
//    private void commitUpdate(Integer operateType, Long shipmentId) {
//        if(operateType == OperateTypeEnum.COMMIT.getType()) {
//            //修改出货表的状态
//            BoxDO boxDO = boxMapper.selectById(shipmentId);
//            if(boxDO == null) {
//                throw exception(BOX_NOT_EXISTS);
//            }
//
//            //修改为已订舱
//            CheckoutEnum checkoutEnum = CheckoutEnum.CHECKOUT;
//            boxDO.setCheckoutStatus(checkoutEnum.getCheckoutStatus());
//            //修改为预装中
//            boxDO.setDcStatus(DcStatueEnum.UNCUSTOMED.getDcStatus());
//            boxMapper.updateById(boxDO);
//
//            //插入操作日志
//            boxOpLogService.createBoxOpLog(boxDO.getId(), checkoutEnum.getCheckoutStatus(), checkoutEnum.getStatusNameZh(), checkoutEnum.getStatusNameEn(), null);
//        }
//    }
//
//    @Override
//    public void deleteBoxCheckoutAir(Long id) {
//        // 校验存在
//        this.validateBoxCheckoutAirExists(id);
//        // 删除
//        boxCheckoutAirMapper.deleteById(id);
//    }
//
//    private void validateBoxCheckoutAirExists(Long id) {
//        if (boxCheckoutAirMapper.selectById(id) == null) {
//            throw exception(BOX_CHECKOUT_AIR_NOT_EXISTS);
//        }
//    }
//
//    @Override
//    public BoxCheckoutAirDO getBoxCheckoutAir(Long id) {
//        return boxCheckoutAirMapper.selectById(id);
//    }
//
//    @Override
//    public List<BoxCheckoutAirDO> getBoxCheckoutAirList(Collection<Long> ids) {
//        return boxCheckoutAirMapper.selectBatchIds(ids);
//    }
//
//    @Override
//    public PageResult<BoxCheckoutAirDO> getBoxCheckoutAirPage(BoxCheckoutAirQueryVO query, PageVO page) {
//        return boxCheckoutAirMapper.selectPage(page, query);
//    }
//
//    @Override
//    public List<BoxCheckoutAirDO> getBoxCheckoutAirList(BoxCheckoutAirQueryVO query) {
//        return boxCheckoutAirMapper.selectList(query);
//    }
//}
