package cn.iocoder.yudao.module.shipment.service.boxClearance;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceUpdateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceOrder.BoxClearanceOrderAllCreateVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceOrder.BoxClearanceOrderCreateVO;

/**
 * 清关 Service 接口
 *
 * @author wlh
 */
public interface BoxClearanceService extends IService<BoxClearanceDO> {

    /**
     * 创建清关
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxClearance(@Valid BoxClearanceCreateReqVO createReqVO);

    /**
     * 更新清关
     * @param updateReqVO 更新信息
     */
    void updateBoxClearance(@Valid BoxClearanceUpdateReqVO updateReqVO);

    /**
     * 获得清关
     * @param id 编号
     * @return 清关
     */
    BoxClearanceDO getBoxClearance(Long id);

    /**
     * 获得清关列表
     * @param ids 编号
     * @return 清关列表
     */
    List<BoxClearanceDO> getBoxClearanceList(Collection<Long> ids);

    /**
     * 获得清关分页
     * @param page 分页查询
     * @param query 查询
     * @return 清关分页
     */
    PageResult<BoxClearanceDO> getBoxClearancePage(BoxClearanceQueryVO query, PageVO page);

    /**
     * 获得清关列表, 用于 Excel 导出
     * @param query 查询
     * @return 清关列表
     */
    List<BoxClearanceDO> getBoxClearanceList(BoxClearanceQueryVO query);

    void updateOrderClearance(BoxClearanceOrderCreateVO createReqVO);

    void updateAllOrderClearance(BoxClearanceOrderAllCreateVO createReqVO);
}
