package cn.iocoder.yudao.module.shipment.service.boxClearanceDoc;

import java.net.MalformedURLException;
import java.util.*;
import javax.servlet.ServletOutputStream;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxClearanceDocDO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocUpdateReqVO;

/**
 * 清关文件 Service 接口
 *
 * @author wlh
 */
public interface BoxClearanceDocService extends IService<BoxClearanceDocDO> {

    /**
     * 创建清关文件
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxClearanceDoc(@Valid BoxClearanceDocCreateReqVO createReqVO);

    /**
     * 更新清关文件
     * @param updateReqVO 更新信息
     */
    void updateBoxClearanceDoc(@Valid BoxClearanceDocUpdateReqVO updateReqVO);


    /**
     * 获得清关文件
     * @param id 编号
     * @return 清关文件
     */
    BoxClearanceDocDO getBoxClearanceDoc(Long id);

    /**
     * 获得清关文件列表
     * @param ids 编号
     * @return 清关文件列表
     */
    List<BoxClearanceDocDO> getBoxClearanceDocList(Collection<Long> ids);

    /**
     * 获得清关文件分页
     * @param page 分页查询
     * @param query 查询
     * @return 清关文件分页
     */
    PageResult<BoxClearanceDocDO> getBoxClearanceDocPage(BoxClearanceDocQueryVO query, PageVO page);

    /**
     * 获得清关文件列表, 用于 Excel 导出
     * @param query 查询
     * @return 清关文件列表
     */
    List<BoxClearanceDocDO> getBoxClearanceDocList(BoxClearanceDocQueryVO query);

    /**
     * 打包下载空运清关文件
     * @param shipmentId 出货id
     */
    void getDocZip(Long shipmentId, ServletOutputStream outputStream) throws Exception;
}
