package cn.iocoder.yudao.module.shipment.service.boxClearanceOrder;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxClearanceOrder.BoxClearanceOrderDO;

/**
 * 清关订单 Service 接口
 *
 * @author wlh
 */
public interface BoxClearanceOrderService extends IService<BoxClearanceOrderDO> {

    /**
     * 删除清关订单
     * @param id 编号
     */
    void deleteBoxClearanceOrder(Long id);

    /**
     * 获得清关订单
     * @param id 编号
     * @return 清关订单
     */
    BoxClearanceOrderDO getBoxClearanceOrder(Long id);

    /**
     * 获得清关订单列表
     * @param ids 编号
     * @return 清关订单列表
     */
    List<BoxClearanceOrderDO> getBoxClearanceOrderList(Collection<Long> ids);

}
