package cn.iocoder.yudao.module.shipment.service.boxCustoms;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsUpdateReqVO;

/**
 * 报关 Service 接口
 *
 * @author wlh
 */
public interface BoxCustomsService extends IService<BoxCustomsDO> {

    /**
     * 创建报关
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCustoms(@Valid BoxCustomsCreateReqVO createReqVO);

    /**
     * 更新报关
     * @param updateReqVO 更新信息
     */
    void updateBoxCustoms(@Valid BoxCustomsUpdateReqVO updateReqVO);

    /**
     * 获得报关
     * @param id 编号
     * @return 报关
     */
    BoxCustomsDO getBoxCustoms(Long id);

    /**
     * 获得报关列表
     * @param ids 编号
     * @return 报关列表
     */
    List<BoxCustomsDO> getBoxCustomsList(Collection<Long> ids);

    /**
     * 获得报关分页
     * @param page 分页查询
     * @param query 查询
     * @return 报关分页
     */
    PageResult<BoxCustomsDO> getBoxCustomsPage(BoxCustomsQueryVO query, PageVO page);

    /**
     * 获得报关列表, 用于 Excel 导出
     * @param query 查询
     * @return 报关列表
     */
    List<BoxCustomsDO> getBoxCustomsList(BoxCustomsQueryVO query);
}
