package cn.iocoder.yudao.module.shipment.service.boxCustomsSplit;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxCustomsSplit.BoxCustomsSplitDO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitUpdateReqVO;

/**
 * 出货报关拆单提醒 Service 接口
 *
 * @author wlh
 */
public interface BoxCustomsSplitService extends IService<BoxCustomsSplitDO> {

    /**
     * 创建出货报关拆单提醒
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxCustomsSplit(@Valid BoxCustomsSplitCreateReqVO createReqVO);

    /**
     * 更新出货报关拆单提醒
     * @param updateReqVO 更新信息
     */
    void updateBoxCustomsSplit(@Valid BoxCustomsSplitUpdateReqVO updateReqVO);

    /**
     * 删除出货报关拆单提醒
     * @param id 编号
     */
    void deleteBoxCustomsSplit(Long id);

    /**
     * 获得出货报关拆单提醒
     * @param id 编号
     * @return 出货报关拆单提醒
     */
    BoxCustomsSplitDO getBoxCustomsSplit(Long id);

    /**
     * 获得出货报关拆单提醒列表
     * @param ids 编号
     * @return 出货报关拆单提醒列表
     */
    List<BoxCustomsSplitDO> getBoxCustomsSplitList(Collection<Long> ids);

    /**
     * 获得出货报关拆单提醒分页
     * @param page 分页查询
     * @param query 查询
     * @return 出货报关拆单提醒分页
     */
    PageResult<BoxCustomsSplitDO> getBoxCustomsSplitPage(BoxCustomsSplitQueryVO query, PageVO page);

    /**
     * 获得出货报关拆单提醒列表, 用于 Excel 导出
     * @param query 查询
     * @return 出货报关拆单提醒列表
     */
    List<BoxCustomsSplitDO> getBoxCustomsSplitList(BoxCustomsSplitQueryVO query);
}
