package cn.iocoder.yudao.module.shipment.service.boxCustomsSplit;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.shipment.convert.boxCustomsSplit.BoxCustomsSplitConvert;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxCustomsSplit.BoxCustomsSplitDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.boxCustomsSplit.BoxCustomsSplitMapper;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit.BoxCustomsSplitUpdateReqVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 出货报关拆单提醒 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxCustomsSplitServiceImpl extends AbstractService<BoxCustomsSplitMapper, BoxCustomsSplitDO> implements BoxCustomsSplitService {

    @Resource
    private BoxCustomsSplitMapper boxCustomsSplitMapper;

    @Override
    public Long createBoxCustomsSplit(BoxCustomsSplitCreateReqVO createReqVO) {
        // 插入
        BoxCustomsSplitDO boxCustomsSplit = BoxCustomsSplitConvert.INSTANCE.convert(createReqVO);
        boxCustomsSplitMapper.insert(boxCustomsSplit);
        // 返回
        return boxCustomsSplit.getId();
    }

    @Override
    public void updateBoxCustomsSplit(BoxCustomsSplitUpdateReqVO updateReqVO) {
        // 更新
        BoxCustomsSplitDO updateObj = BoxCustomsSplitConvert.INSTANCE.convert(updateReqVO);
        boxCustomsSplitMapper.updateById(updateObj);
    }

    @Override
    public void deleteBoxCustomsSplit(Long id) {
        // 删除
        boxCustomsSplitMapper.deleteById(id);
    }


    @Override
    public BoxCustomsSplitDO getBoxCustomsSplit(Long id) {
        return boxCustomsSplitMapper.selectById(id);
    }

    @Override
    public List<BoxCustomsSplitDO> getBoxCustomsSplitList(Collection<Long> ids) {
        return boxCustomsSplitMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<BoxCustomsSplitDO> getBoxCustomsSplitPage(BoxCustomsSplitQueryVO query, PageVO page) {
        return boxCustomsSplitMapper.selectPage(page, query);
    }

    @Override
    public List<BoxCustomsSplitDO> getBoxCustomsSplitList(BoxCustomsSplitQueryVO query) {
        return boxCustomsSplitMapper.selectList(query);
    }
}
