package cn.iocoder.yudao.module.shipment.service.boxLadingCopy;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxLadingCopyDO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyUpdateReqVO;

/**
 * 提单copy Service 接口
 *
 * @author wlh
 */
public interface BoxLadingCopyService extends IService<BoxLadingCopyDO> {

    /**
     * 创建提单copy
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxLadingCopy(@Valid BoxLadingCopyCreateReqVO createReqVO);

    /**
     * 更新提单copy
     * @param updateReqVO 更新信息
     */
    void updateBoxLadingCopy(@Valid BoxLadingCopyUpdateReqVO updateReqVO);


    /**
     * 获得提单copy
     * @param id 编号
     * @return 提单copy
     */
    BoxLadingCopyDO getBoxLadingCopy(Long id);

    /**
     * 获得提单copy列表
     * @param ids 编号
     * @return 提单copy列表
     */
    List<BoxLadingCopyDO> getBoxLadingCopyList(Collection<Long> ids);

    /**
     * 获得提单copy分页
     * @param page 分页查询
     * @param query 查询
     * @return 提单copy分页
     */
    PageResult<BoxLadingCopyDO> getBoxLadingCopyPage(BoxLadingCopyQueryVO query, PageVO page);

    /**
     * 获得提单copy列表, 用于 Excel 导出
     * @param query 查询
     * @return 提单copy列表
     */
    List<BoxLadingCopyDO> getBoxLadingCopyList(BoxLadingCopyQueryVO query);
}
