package cn.iocoder.yudao.module.shipment.service.boxMergePkg;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxMergePkgDO;
import cn.iocoder.yudao.module.shipment.dto.BoxMergePkgPageDto;
import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.*;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 合包箱 Service 接口
 *
 * @author 江楠
 */
public interface BoxMergePkgService extends IService<BoxMergePkgDO> {

    /**
     * 创建合包箱
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createBoxMergePkg(@Valid BoxMergePkgCreateReqVO createReqVO);

    /**
     * 更新合包箱
     * @param updateReqVO 更新信息
     */
    void updateBoxMergePkg(@Valid BoxMergePkgUpdateReqVO updateReqVO);

    /**
     * 删除合包箱
     * @param id 编号
     */
    void deleteBoxMergePkg(Long id);

    /**
     * 获得合包箱
     * @param id 编号
     * @return 合包箱
     */
    BoxMergePkgDO getBoxMergePkg(Long id);

    /**
     * 获得合包箱列表
     * @param ids 编号
     * @return 合包箱列表
     */
    List<BoxMergePkgDO> getBoxMergePkgList(Collection<Long> ids);

    /**
     * 获得合包箱分页
     * @param page 分页查询
     * @param query 查询
     * @return 合包箱分页
     */
    PageResult<BoxMergePkgPageDto> getBoxMergePkgPage(BoxMergePkgQueryVO query, PageVO page);

    /**
     * 获得合包箱列表, 用于 Excel 导出
     * @param query 查询
     * @return 合包箱列表
     */
    List<BoxMergePkgDO> getBoxMergePkgList(BoxMergePkgQueryVO query);

    PageResult<BoxMergePkgWebVO> getUnPkgPage(PageVO page,Long shipmentId);

    PageResult<BoxMergePkgWebVO> getPkgPageByPkgId(BoxMergePkgUpdateReqVO boxMergePkgUpdateReqVO, PageVO page);

    BoxMergePkgDO getMergePkgInfoById(Long id);

    void finishMergePkg(Long shipmentId);

    BoxMergePkgTagVO getMergeTagById(Long id);

    List<BoxMergePkgPDAVO> getMergePkgByPkgNum(String pkgNum);

    PageResult<BoxMergePkgPDAListVO> getBoxMergePkgList4PDAPage(String selfNo, PageVO page);

    void closeMergePkg(BoxMergePkgUpdateReqVO updateReqVO);
}
