package cn.iocoder.yudao.module.shipment.service.boxOpLog;

import java.util.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOpLogDO;
import cn.iocoder.yudao.module.shipment.vo.boxOpLog.BoxOpLogBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxOpLog.BoxOpLogQueryVO;

/**
 * 出货操作日志 Service 接口
 *
 * @author wlh
 */
public interface BoxOpLogService extends IService<BoxOpLogDO> {

    /**
     * 创建出货操作日志
     * @param shipmentId 出货信息
     * @param opStatus 操作后的状态
     * @return 编号
     */
    Long createBoxOpLog(Long shipmentId, Integer opStatus, String statusNameZh, String statusNameEn, Long approvalId);

    /**
     * 创建出货操作日志
     * @param shipmentId 出货信息
     * @param opStatus 操作后的状态
     * @return 编号
     */
    Long createBoxOpLog(Long shipmentId, Integer opStatus, String statusNameZh, String statusNameEn);

    /**
     * 获得出货操作日志
     * @param id 编号
     * @return 出货操作日志
     */
    BoxOpLogDO getBoxOpLog(Long id);

    /**
     * 获得出货操作日志列表
     * @param ids 编号
     * @return 出货操作日志列表
     */
    List<BoxOpLogDO> getBoxOpLogList(Collection<Long> ids);

    /**
     * 获得出货操作日志分页
     * @param page 分页查询
     * @param query 查询
     * @return 出货操作日志分页
     */
    PageResult<BoxOpLogDO> getBoxOpLogPage(BoxOpLogQueryVO query, PageVO page);

    /**
     * 获得出货操作日志列表, 用于 Excel 导出
     * @param query 查询
     * @return 出货操作日志列表
     */
    List<BoxOpLogDO> getBoxOpLogList(BoxOpLogQueryVO query);

    void matchBpmProcessId(List<BoxOpLogBackVO> resultList);
}
