package cn.iocoder.yudao.module.shipment.service.boxOrderExit;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderExit.BoxOrderExitDO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitUpdateReqVO;

/**
 * 退场订单 Service 接口
 *
 * @author wlh
 */
public interface BoxOrderExitService extends IService<BoxOrderExitDO> {

    /**
     * 创建退场订单
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxOrderExit(@Valid BoxOrderExitCreateReqVO createReqVO);

    /**
     * 更新退场订单
     * @param updateReqVO 更新信息
     */
    void updateBoxOrderExit(@Valid BoxOrderExitUpdateReqVO updateReqVO);

    /**
     * 删除退场订单
     * @param id 编号
     */
    void deleteBoxOrderExit(Long id);

    /**
     * 获得退场订单
     * @param id 编号
     * @return 退场订单
     */
    BoxOrderExitDO getBoxOrderExit(Long id);

    /**
     * 获得退场订单列表
     * @param ids 编号
     * @return 退场订单列表
     */
    List<BoxOrderExitDO> getBoxOrderExitList(Collection<Long> ids);

    /**
     * 获得退场订单分页
     * @param page 分页查询
     * @param query 查询
     * @return 退场订单分页
     */
    PageResult<BoxOrderExitDO> getBoxOrderExitPage(BoxOrderExitQueryVO query, PageVO page);

    /**
     * 获得退场订单列表, 用于 Excel 导出
     * @param query 查询
     * @return 退场订单列表
     */
    List<BoxOrderExitDO> getBoxOrderExitList(BoxOrderExitQueryVO query);
}
