package cn.iocoder.yudao.module.shipment.service.boxOrderExit;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.shipment.convert.boxOrderExit.BoxOrderExitConvert;
import cn.iocoder.yudao.module.shipment.dal.dataobject.boxOrderExit.BoxOrderExitDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.boxOrderExit.BoxOrderExitMapper;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitUpdateReqVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 退场订单 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxOrderExitServiceImpl extends AbstractService<BoxOrderExitMapper, BoxOrderExitDO> implements BoxOrderExitService {

    @Resource
    private BoxOrderExitMapper boxOrderExitMapper;

    @Override
    public Long createBoxOrderExit(BoxOrderExitCreateReqVO createReqVO) {
        // 插入
        BoxOrderExitDO boxOrderExit = BoxOrderExitConvert.INSTANCE.convert(createReqVO);
        boxOrderExitMapper.insert(boxOrderExit);
        // 返回
        return boxOrderExit.getId();
    }

    @Override
    public void updateBoxOrderExit(BoxOrderExitUpdateReqVO updateReqVO) {
        // 更新
        BoxOrderExitDO updateObj = BoxOrderExitConvert.INSTANCE.convert(updateReqVO);
        boxOrderExitMapper.updateById(updateObj);
    }

    @Override
    public void deleteBoxOrderExit(Long id) {
        // 删除
        boxOrderExitMapper.deleteById(id);
    }


    @Override
    public BoxOrderExitDO getBoxOrderExit(Long id) {
        return boxOrderExitMapper.selectById(id);
    }

    @Override
    public List<BoxOrderExitDO> getBoxOrderExitList(Collection<Long> ids) {
        return boxOrderExitMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<BoxOrderExitDO> getBoxOrderExitPage(BoxOrderExitQueryVO query, PageVO page) {
        return boxOrderExitMapper.selectPage(page, query);
    }

    @Override
    public List<BoxOrderExitDO> getBoxOrderExitList(BoxOrderExitQueryVO query) {
        return boxOrderExitMapper.selectList(query);
    }
}
