package cn.iocoder.yudao.module.shipment.service.boxOrderSmsLog;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOrderSmsLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 出货短信记录 Service 接口
 *
 * @author 系统管理员
 */
public interface BoxOrderSmsLogService extends IService<BoxOrderSmsLogDO> {

    /**
     * 创建出货短信记录
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxOrderSmsLog(@Valid BoxOrderSmsLogCreateReqVO createReqVO);

    /**
     * 更新出货短信记录
     * @param updateReqVO 更新信息
     */
    void updateBoxOrderSmsLog(@Valid BoxOrderSmsLogUpdateReqVO updateReqVO);

    /**
     * 删除出货短信记录
     * @param id 编号
     */
    void deleteBoxOrderSmsLog(Long id);

    /**
     * 获得出货短信记录
     * @param id 编号
     * @return 出货短信记录
     */
    BoxOrderSmsLogDO getBoxOrderSmsLog(Long id);

    /**
     * 获得出货短信记录列表
     * @param ids 编号
     * @return 出货短信记录列表
     */
    List<BoxOrderSmsLogDO> getBoxOrderSmsLogList(Collection<Long> ids);

    /**
     * 获得出货短信记录分页
     * @param page 分页查询
     * @param query 查询
     * @return 出货短信记录分页
     */
    PageResult<BoxOrderSmsLogDO> getBoxOrderSmsLogPage(BoxOrderSmsLogQueryVO query, PageVO page);

    /**
     * 获得出货短信记录列表, 用于 Excel 导出
     * @param query 查询
     * @return 出货短信记录列表
     */
    List<BoxOrderSmsLogDO> getBoxOrderSmsLogList(BoxOrderSmsLogQueryVO query);
}
