package cn.iocoder.yudao.module.shipment.service.boxOrderSmsLog;

import java.util.*;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxOrderSmsLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.convert.BoxOrderSmsLogConvert;
import cn.iocoder.yudao.module.shipment.dal.mysql.BoxOrderSmsLogMapper;

/**
 * 出货短信记录 Service 实现类
 *
 * @author 系统管理员
 */
@Service
@Validated
public class BoxOrderSmsLogServiceImpl extends AbstractService<BoxOrderSmsLogMapper, BoxOrderSmsLogDO> implements BoxOrderSmsLogService {

    @Resource
    private BoxOrderSmsLogMapper boxOrderSmsLogMapper;

    @Override
    public Long createBoxOrderSmsLog(BoxOrderSmsLogCreateReqVO createReqVO) {
        // 插入
        BoxOrderSmsLogDO boxOrderSmsLog = BoxOrderSmsLogConvert.INSTANCE.convert(createReqVO);
        boxOrderSmsLogMapper.insert(boxOrderSmsLog);
        // 返回
        return boxOrderSmsLog.getId();
    }

    @Override
    public void updateBoxOrderSmsLog(BoxOrderSmsLogUpdateReqVO updateReqVO) {
        // 校验存在
//        this.validateBoxOrderSmsLogExists(updateReqVO.getId());
        // 更新
        BoxOrderSmsLogDO updateObj = BoxOrderSmsLogConvert.INSTANCE.convert(updateReqVO);
        boxOrderSmsLogMapper.updateById(updateObj);
    }

    @Override
    public void deleteBoxOrderSmsLog(Long id) {
        // 校验存在
//        this.validateBoxOrderSmsLogExists(id);
        // 删除
        boxOrderSmsLogMapper.deleteById(id);
    }


    @Override
    public BoxOrderSmsLogDO getBoxOrderSmsLog(Long id) {
        return boxOrderSmsLogMapper.selectById(id);
    }

    @Override
    public List<BoxOrderSmsLogDO> getBoxOrderSmsLogList(Collection<Long> ids) {
        return boxOrderSmsLogMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<BoxOrderSmsLogDO> getBoxOrderSmsLogPage(BoxOrderSmsLogQueryVO query, PageVO page) {
        return boxOrderSmsLogMapper.selectPage(page, query);
    }

    @Override
    public List<BoxOrderSmsLogDO> getBoxOrderSmsLogList(BoxOrderSmsLogQueryVO query) {
        return boxOrderSmsLogMapper.selectList(query);
    }
}
