package cn.iocoder.yudao.module.shipment.service.boxPreloadSection;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.order.vo.order.OrderPreloadReq;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPreloadSectionDO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.PreloadedReq;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionQueryVO;

/**
 * 预装部分 Service 接口
 *
 * @author wlh
 */
public interface BoxPreloadSectionService extends IService<BoxPreloadSectionDO> {

    /**
     * 创建预装部分
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxPreloadSection(@Valid BoxPreloadSectionCreateReqVO createReqVO);

    /**
     * 删除预装部分
     * @param id 编号
     */
    void deleteBoxPreloadSection(Long id);

    /**
     * 获得预装部分
     * @param id 编号
     * @return 预装部分
     */
    BoxPreloadSectionDO getBoxPreloadSection(Long id);

    /**
     * 获得预装部分分页
     * @param page 分页查询
     * @param query 查询
     * @return 预装部分分页
     */
    PageResult<BoxPreloadSectionDO> getBoxPreloadSectionPage(BoxPreloadSectionQueryVO query, PageVO page);

    /**
     * 获得预装部分列表, 用于 Excel 导出
     * @param query 查询
     * @return 预装部分列表
     */
    List<BoxPreloadSectionDO> getBoxPreloadSectionList(BoxPreloadSectionQueryVO query);

    List<BoxPreloadSectionDO> selectByShipmentIdList(List<Long> shipmentIdList);
}
