package cn.iocoder.yudao.module.shipment.service.boxPreloadSection;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.shipment.convert.BoxPreloadSectionConvert;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxPreloadSectionDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.BoxPreloadSectionMapper;
import cn.iocoder.yudao.module.shipment.service.box.BoxService;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxPreloadSection.BoxPreloadSectionQueryVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 预装部分 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxPreloadSectionServiceImpl extends AbstractService<BoxPreloadSectionMapper, BoxPreloadSectionDO> implements BoxPreloadSectionService {

    @Resource
    private BoxPreloadSectionMapper boxPreloadSectionMapper;
    @Resource
    private BoxService boxService;

    @Override
    public Long createBoxPreloadSection(BoxPreloadSectionCreateReqVO createReqVO) {
        //校验是否在审核中
        boxService.checkApproval(createReqVO.getShipmentId(), null);

        // 插入
        BoxPreloadSectionDO boxPreloadSection = BoxPreloadSectionConvert.INSTANCE.convert(createReqVO);
        boxPreloadSectionMapper.insert(boxPreloadSection);
        // 返回
        return boxPreloadSection.getId();
    }


    @Override
    public void deleteBoxPreloadSection(Long id) {
        // 删除
        boxPreloadSectionMapper.deleteById(id);
    }

    @Override
    public BoxPreloadSectionDO getBoxPreloadSection(Long id) {
        return boxPreloadSectionMapper.selectById(id);
    }

    @Override
    public PageResult<BoxPreloadSectionDO> getBoxPreloadSectionPage(BoxPreloadSectionQueryVO query, PageVO page) {
        return boxPreloadSectionMapper.selectPage(page, query);
    }

    @Override
    public List<BoxPreloadSectionDO> getBoxPreloadSectionList(BoxPreloadSectionQueryVO query) {
        return boxPreloadSectionMapper.selectList(query);
    }

    @Override
    public List<BoxPreloadSectionDO> selectByShipmentIdList(List<Long> shipmentIdList) {
        return boxPreloadSectionMapper.selectList(new LambdaQueryWrapperX<BoxPreloadSectionDO>()
            .in(BoxPreloadSectionDO::getShipmentId, shipmentIdList)
        );
    }
}
