package cn.iocoder.yudao.module.shipment.service.boxSettlement;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxSettlementDO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementUpdateReqVO;

/**
 * 结算 Service 接口
 *
 * @author wlh
 */
public interface BoxSettlementService extends IService<BoxSettlementDO> {

    /**
     * 创建结算
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxSettlement(@Valid BoxSettlementCreateReqVO createReqVO);

    /**
     * 更新结算
     * @param updateReqVO 更新信息
     */
    void updateBoxSettlement(@Valid BoxSettlementUpdateReqVO updateReqVO);


    /**
     * 获得结算
     * @param id 编号
     * @return 结算
     */
    BoxSettlementDO getBoxSettlement(Long id);

    /**
     * 获得结算列表
     * @param ids 编号
     * @return 结算列表
     */
    List<BoxSettlementDO> getBoxSettlementList(Collection<Long> ids);

    /**
     * 获得结算分页
     * @param page 分页查询
     * @param query 查询
     * @return 结算分页
     */
    PageResult<BoxSettlementDO> getBoxSettlementPage(BoxSettlementQueryVO query, PageVO page);

    /**
     * 获得结算列表, 用于 Excel 导出
     * @param query 查询
     * @return 结算列表
     */
    List<BoxSettlementDO> getBoxSettlementList(BoxSettlementQueryVO query);
}
