package cn.iocoder.yudao.module.shipment.service.boxShipping;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxShippingDO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingUpdateReqVO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 起运 Service 接口
 *
 * @author wlh
 */
public interface BoxShippingService extends IService<BoxShippingDO> {

    /**
     * 创建起运
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxShipping(@Valid BoxShippingCreateReqVO createReqVO);

    /**
     * 更新起运
     * @param updateReqVO 更新信息
     */
    void updateBoxShipping(@Valid BoxShippingUpdateReqVO updateReqVO);

    /**
     * 获得起运
     * @param id 编号
     * @return 起运
     */
    BoxShippingDO getBoxShipping(Long id);

    /**
     * 获得起运列表
     * @param ids 编号
     * @return 起运列表
     */
    List<BoxShippingDO> getBoxShippingList(Collection<Long> ids);

    /**
     * 获得起运分页
     * @param page 分页查询
     * @param query 查询
     * @return 起运分页
     */
    PageResult<BoxShippingDO> getBoxShippingPage(BoxShippingQueryVO query, PageVO page);

    /**
     * 获得起运列表, 用于 Excel 导出
     * @param query 查询
     * @return 起运列表
     */
    List<BoxShippingDO> getBoxShippingList(BoxShippingQueryVO query);
}
