package cn.iocoder.yudao.module.shipment.service.boxTakeoff;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTakeoffDO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffUpdateReqVO;

/**
 * 起飞 Service 接口
 *
 * @author wlh
 */
public interface BoxTakeoffService extends IService<BoxTakeoffDO> {

    /**
     * 创建起飞
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxTakeoff(@Valid BoxTakeoffCreateReqVO createReqVO);

    /**
     * 更新起飞
     * @param updateReqVO 更新信息
     */
    void updateBoxTakeoff(@Valid BoxTakeoffUpdateReqVO updateReqVO);


    /**
     * 获得起飞
     * @param id 编号
     * @return 起飞
     */
    BoxTakeoffDO getBoxTakeoff(Long id);

    /**
     * 获得起飞列表
     * @param ids 编号
     * @return 起飞列表
     */
    List<BoxTakeoffDO> getBoxTakeoffList(Collection<Long> ids);

    /**
     * 获得起飞分页
     * @param page 分页查询
     * @param query 查询
     * @return 起飞分页
     */
    PageResult<BoxTakeoffDO> getBoxTakeoffPage(BoxTakeoffQueryVO query, PageVO page);

    /**
     * 获得起飞列表, 用于 Excel 导出
     * @param query 查询
     * @return 起飞列表
     */
    List<BoxTakeoffDO> getBoxTakeoffList(BoxTakeoffQueryVO query);
}
