package cn.iocoder.yudao.module.shipment.service.boxTally;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTallyDO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyUpdateReqVO;

/**
 * 理货 Service 接口
 *
 * @author wlh
 */
public interface BoxTallyService extends IService<BoxTallyDO> {

    /**
     * 创建理货
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxTally(@Valid BoxTallyCreateReqVO createReqVO);

    /**
     * 更新理货
     * @param updateReqVO 更新信息
     */
    void updateBoxTally(@Valid BoxTallyUpdateReqVO updateReqVO);

    /**
     * 获得理货
     * @param id 编号
     * @return 理货
     */
    BoxTallyDO getBoxTally(Long id);

    /**
     * 获得理货列表
     * @param ids 编号
     * @return 理货列表
     */
    List<BoxTallyDO> getBoxTallyList(Collection<Long> ids);

    /**
     * 获得理货分页
     * @param page 分页查询
     * @param query 查询
     * @return 理货分页
     */
    PageResult<BoxTallyDO> getBoxTallyPage(BoxTallyQueryVO query, PageVO page);

    /**
     * 获得理货列表, 用于 Excel 导出
     * @param query 查询
     * @return 理货列表
     */
    List<BoxTallyDO> getBoxTallyList(BoxTallyQueryVO query);
}
