package cn.iocoder.yudao.module.shipment.service.boxTally;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.shipment.convert.BoxTallyConvert;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTallyDO;
import cn.iocoder.yudao.module.shipment.dal.mysql.BoxTallyMapper;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyUpdateReqVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 理货 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class BoxTallyServiceImpl extends AbstractService<BoxTallyMapper, BoxTallyDO> implements BoxTallyService {

    @Resource
    private BoxTallyMapper boxTallyMapper;

    @Override
    public Long createBoxTally(BoxTallyCreateReqVO createReqVO) {
        // 插入
        BoxTallyDO boxTally = BoxTallyConvert.INSTANCE.convert(createReqVO);
        boxTallyMapper.insert(boxTally);
        // 返回
        return boxTally.getId();
    }

    @Override
    public void updateBoxTally(BoxTallyUpdateReqVO updateReqVO) {
        // 更新
        BoxTallyDO updateObj = BoxTallyConvert.INSTANCE.convert(updateReqVO);
        boxTallyMapper.updateById(updateObj);
    }


    @Override
    public BoxTallyDO getBoxTally(Long id) {
        return boxTallyMapper.selectById(id);
    }

    @Override
    public List<BoxTallyDO> getBoxTallyList(Collection<Long> ids) {
        return boxTallyMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<BoxTallyDO> getBoxTallyPage(BoxTallyQueryVO query, PageVO page) {
        return boxTallyMapper.selectPage(page, query);
    }

    @Override
    public List<BoxTallyDO> getBoxTallyList(BoxTallyQueryVO query) {
        return boxTallyMapper.selectList(query);
    }
}
