package cn.iocoder.yudao.module.shipment.service.boxTrailer;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxTrailerDO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerCreateReqVO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerQueryVO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerUpdateReqVO;

/**
 * 拖车 Service 接口
 *
 * @author wlh
 */
public interface BoxTrailerService extends IService<BoxTrailerDO> {

    /**
     * 创建拖车
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBoxTrailer(@Valid BoxTrailerCreateReqVO createReqVO);

    /**
     * 更新拖车
     * @param updateReqVO 更新信息
     */
    void updateBoxTrailer(@Valid BoxTrailerUpdateReqVO updateReqVO);

    /**
     * 获得拖车
     * @param id 编号
     * @return 拖车
     */
    BoxTrailerDO getBoxTrailer(Long id);

    /**
     * 获得拖车列表
     * @param ids 编号
     * @return 拖车列表
     */
    List<BoxTrailerDO> getBoxTrailerList(Collection<Long> ids);

    /**
     * 获得拖车分页
     * @param page 分页查询
     * @param query 查询
     * @return 拖车分页
     */
    PageResult<BoxTrailerDO> getBoxTrailerPage(BoxTrailerQueryVO query, PageVO page);

    /**
     * 获得拖车列表, 用于 Excel 导出
     * @param query 查询
     * @return 拖车列表
     */
    List<BoxTrailerDO> getBoxTrailerList(BoxTrailerQueryVO query);
}
