package cn.iocoder.yudao.module.shipment.service.makeBillOfLading;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.shipment.vo.makeBillOfLading.*;
import cn.iocoder.yudao.module.shipment.dal.dataobject.makeBillOfLading.MakeBillOfLadingDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 制作提货单 Service 接口
 *
 * @author 系统管理员
 */
public interface MakeBillOfLadingService extends IService<MakeBillOfLadingDO> {

    /**
     * 创建制作提货单
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMakeBillOfLading(@Valid MakeBillOfLadingCreateReqVO createReqVO);

    /**
     * 更新制作提货单
     * @param updateReqVO 更新信息
     */
    void updateMakeBillOfLading(@Valid MakeBillOfLadingUpdateReqVO updateReqVO);

    /**
     * 删除制作提货单
     * @param id 编号
     */
    void deleteMakeBillOfLading(Long id);

    /**
     * 更新空运提单
     * @param orderIds 编号
     */
    void updateAirBill(Collection<Long> orderIds);

    /**
     * 获得制作提货单
     * @param id 编号
     * @return 制作提货单
     */
    MakeBillOfLadingDO getMakeBillOfLading(Long id);

    /**
     * 获得制作提货单列表
     * @param ids 编号
     * @return 制作提货单列表
     */
    List<MakeBillOfLadingDO> getMakeBillOfLadingList(Collection<Long> ids);

    /**
     * 获得制作提货单分页
     * @param page 分页查询
     * @param query 查询
     * @return 制作提货单分页
     */
    PageResult<MakeBillOfLadingDO> getMakeBillOfLadingPage(MakeBillOfLadingQueryVO query, PageVO page);

    /**
     * 获得制作提货单列表, 用于 Excel 导出
     * @param query 查询
     * @return 制作提货单列表
     */
    List<MakeBillOfLadingDO> getMakeBillOfLadingList(MakeBillOfLadingQueryVO query);

    Map<String, Object> makeBillOfLading(Long orderId,Long shipmentId) throws Exception ;

    void updateBillOfLadingResult(String id,int result);

    void cancel(Long id);

    Map<String,Object> getMakeLadingBillList(Long shipmentId);

    void zipDownload(Long shipmentId,String dir,String fileName) throws Exception;

    MakeBillOfLadingDO getInProcessing(Long orderId);

    void updateMakeBillOfLadingUrl(MakeBillOfLadingUpdateReqVO updateReqVO);

    /**
     * 重置提单
     */
    void clearOrderBillLadingByOrderIds(Collection<Long> orderIds);

    Map<String, Object> makeAirBillOfLading(Long orderId, Long shipmentId) throws Exception;
}
