package cn.iocoder.yudao.module.shipment.utils;


import freemarker.template.Configuration;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import freemarker.template.TemplateExceptionHandler;

import java.io.IOException;
import java.io.StringWriter;

public class FreeMarkerUtil {
    private FreeMarkerUtil() {
    }

    public static String parseTemplate(String path, String filename, Object data) throws IOException {
        Configuration configuration = new Configuration(Configuration.getVersion());
        configuration.setDefaultEncoding("UTF-8");
        configuration.setClassForTemplateLoading(FreeMarkerUtil.class, path);
        configuration.setTemplateExceptionHandler(TemplateExceptionHandler.RETHROW_HANDLER);
        configuration.setWhitespaceStripping(true);
        Template template = configuration.getTemplate(filename);
        // 接收处理后的模版内容
        StringWriter stringWriter = new StringWriter();
        try {
            template.process(data, stringWriter);
            return stringWriter.toString();
        } catch (TemplateException e) {
            e.printStackTrace();
        } finally {
            stringWriter.close();
        }
        return "";
    }
}