package cn.iocoder.yudao.module.shipment.utils;

import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxDO;
import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxEntity;
import cn.iocoder.yudao.module.shipment.vo.box.BoxQueryVO;
import cn.iocoder.yudao.module.shipment.vo.box.BoxSettlementQueryVO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class NumberUtils {

    public static String getYear2Number() {
        return new SimpleDateFormat("yy", Locale.CHINESE).format(new Date());
    }

    public static void main(String[] args) {
        Integer number = 1;
        String year = NumberUtils.getYear2Number();
        DecimalFormat df = new DecimalFormat("0000");
        String numberStr = df.format(number);
        System.out.println(year + numberStr);
    }

    public static void buildWrapper(SFunction<BoxDO, ?> column, Date startDate, Date endDate, LambdaQueryWrapper<BoxDO> queryWrapper) {
        if (startDate != null && endDate != null) {
            queryWrapper.between(column, startDate, endDate);
        } else if(startDate != null) {
            queryWrapper.ge(BoxDO::getYzDate, startDate);
        } else if(endDate != null) {
            queryWrapper.le(BoxDO::getYzDate, endDate);
        }
    }

    public static boolean hasCon(BoxQueryVO vo) {
        return vo.getBeginDgDate() != null || vo.getBeginQgDate() != null||
                vo.getBeginQyDate() != null || vo.getBeginThDate() != null ||
                vo.getBeginYzDate() != null || vo.getBeginZgDate() != null ||
                vo.getEndDgDate() != null || vo.getEndQgDate() != null ||
                vo.getEndQyDate() != null || vo.getEndThDate() != null ||
                vo.getBeginCkDate() != null || vo.getEndCkDate() != null ||
                vo.getEndYzDate() != null || vo.getEndZgDate() != null;
    }

    public static boolean hasJsCon(BoxSettlementQueryVO queryVO) {
        return queryVO.getBeginJsDate() != null || queryVO.getEndJsDate() != null;
    }

    public static boolean hasCon(Date startDate, Date endDate) {
        return startDate != null || endDate != null;
    }

}
