package cn.iocoder.yudao.module.shipment.vo.box;

import cn.iocoder.yudao.module.shipment.dal.dataobject.boxAirFly.BoxAirFlyDO;
import cn.iocoder.yudao.module.shipment.vo.boxAgent.BoxAgentBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxAirCheckout.BoxAirCheckoutBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxAirFly.BoxAirFlyBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxAirShipment.BoxAirShipmentBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrival.BoxArrivalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxArrivalAir.BoxArrivalAirBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxBarge.BoxBargeBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookAir.BoxBookAirBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxBookSea.BoxBookSeaBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxCabinetUnloadBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearance.BoxClearanceBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc.BoxClearanceDocBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingBill.BoxLadingBillBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxLadingCopy.BoxLadingCopyBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxMergePkg.BoxMergePkgBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxSettlement.BoxSettlementBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipConfig.BoxShipConfigBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxShipping.BoxShippingBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxTakeoff.BoxTakeoffBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxTally.BoxTallyVO;
import cn.iocoder.yudao.module.shipment.vo.boxTrailer.BoxTrailerBackVO;
import lombok.*;
import io.swagger.annotations.*;

/**
* 出货 Response VO
* @author lalala
*/
@Data
@ApiModel("管理后台 - 出货 Response VO")
public class BoxBackVO extends BoxBaseBackVO {

    //-------------------各步骤详情------------------
    @ApiModelProperty(value = "订舱详情")
    private BoxBookSeaBackVO bookSeaInfo;

    @ApiModelProperty(value = "预装(或者分拣)详情")
    private BoxApprovalBackVO preInstallInfo;

    @ApiModelProperty(value = "预装(或者)反审详情")
    private BoxApprovalBackVO preInstallBackInfo;

    @ApiModelProperty(value = "批量加价审核信息")
    private BoxApprovalBackVO batchAddPriceApprovalInfo;

    @ApiModelProperty(value = "理货详情")
    private BoxTallyVO tallyInfo;

    @ApiModelProperty(value = "拖车详情")
    private BoxTrailerBackVO trailerInfo;

    @ApiModelProperty(value = "agent详情")
    private BoxAgentBackVO agentInfo;

    @ApiModelProperty(value = "装柜详情")
    private BoxCabinetBackVO cabinetInfo;

    @ApiModelProperty(value = "装柜审核信息")
    private BoxApprovalBackVO cabinetApprovalInfo;

    @ApiModelProperty(value = "装柜反审详情")
    private BoxApprovalBackVO cabinetBackInfo;

    @ApiModelProperty(value = "装柜拆单审核信息")
    private BoxApprovalBackVO cabinetSplitInfo;

    @ApiModelProperty(value = "部分退场拆单审核信息")
    private BoxApprovalBackVO partRefundSplitInfo;

    @ApiModelProperty(value = "报关详情")
    private BoxCustomsBackVO customsInfo;

    @ApiModelProperty(value = "报关审核信息")
    private BoxApprovalBackVO customsApprovalInfo;

    @ApiModelProperty(value = "报关删单退场审核信息")
    private BoxApprovalBackVO customsDeleteExitApprovalInfo;

    @ApiModelProperty(value = "配船详情")
    private BoxShipConfigBackVO shipConfigInfo;

    @ApiModelProperty(value = "提单补料详情")
    private BoxLadingBillBackVO ladingBillInfo;

    @ApiModelProperty(value = "驳船详情")
    private BoxBargeBackVO bargeInfo;

    @ApiModelProperty(value = "起运详情")
    private BoxShippingBackVO shippingInfo;

    @ApiModelProperty(value = "提单COPY详情")
    private BoxLadingCopyBackVO ladingCopyInfo;

    @ApiModelProperty(value = "清关文件详情")
    private BoxClearanceDocBackVO clearanceDocInfo;

    @ApiModelProperty(value = "到港详情")
    private BoxArrivalBackVO arrivalInfo;

    @ApiModelProperty(value = "清关详情")
    private BoxClearanceBackVO clearanceInfo;

    @ApiModelProperty(value = "起飞信息")
    private BoxTakeoffBackVO takeOffInfo;

    @ApiModelProperty(value = "空运到港信息")
    private BoxArrivalAirBackVO airArrivalInfo;

    @ApiModelProperty(value = "卸柜详情")
    private BoxCabinetUnloadBackVO cabinetUnloadInfo;

    @ApiModelProperty(value = "卸柜(或者到仓)审核信息")
    private BoxApprovalBackVO cabinetUnloadApprovalInfo;

    @ApiModelProperty(value = "卸柜(或者到仓)反审核信息")
    private BoxApprovalBackVO cabinetUnloadBackApprovalInfo;

    @ApiModelProperty(value = "结算详情")
    private BoxSettlementBackVO settlementInfo;

    @ApiModelProperty(value = "出货审核详情")
    private BoxApprovalBackVO airShipmentApprovalInfo;

    @ApiModelProperty(value = "出货反审审核详情")
    private BoxApprovalBackVO airShipmentBackApprovalInfo;

    private boolean customsHasAbnormal = false;

    private boolean shippingHasAbnormal = false;

    private boolean flyingHasAbnormal = false;

    private boolean arrivalHasAbnormal = false;

    @ApiModelProperty(value = "空运订舱详情")
    private BoxBookAirBackVO bookAirInfo;

    @ApiModelProperty(value = "空运起飞详情")
    private BoxAirFlyBackVO boxAirFlyInfo;

    @ApiModelProperty(value = "空运出货详情")
    private BoxAirShipmentBackVO boxAirShipmentBackVO;

    @ApiModelProperty(value = "空运出仓详情")
    private BoxAirCheckoutBackVO boxAirCheckoutBackVO;

    @ApiModelProperty(value = "合包最新详情")
    private BoxMergePkgBackVO boxMergePkgBackVO;

    /**
     * 计划箱数
     */
    @ApiModelProperty(value = "计划箱数")
    private Integer planNum;
    /**
     * 实际箱数
     */
    @ApiModelProperty(value = "实际箱数")
    private Integer realNum;
}
