package cn.iocoder.yudao.module.shipment.vo.box;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxBaseVO {

    @ApiModelProperty(value = "柜型ID")
    private Long cabinetId;

    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private String transportType;

    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @ApiModelProperty(value = "预装时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date yzDate;

    @ApiModelProperty(value = "装柜时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date zgDate;

    @ApiModelProperty(value = "起运时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date qyDate;

    @ApiModelProperty(value = "到港时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date dgDate;

    @ApiModelProperty(value = "清关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date qgDate;

    @ApiModelProperty(value = "提货时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date thDate;

    @ApiModelProperty(value = "订舱状态")
    private Integer bkStatus;

    @ApiModelProperty(value = "预装状态")
    private Integer prStatus;

    @ApiModelProperty(value = "理货状态：2111、未理货；2112、已理货")
    private Integer tyStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "提交理货时间")
    private  Date tyTime;

    @ApiModelProperty(value = "理货操作人")
    private String tyOperator;

    @ApiModelProperty(value = "拖车状态")
    private Integer tlStatus;

    @ApiModelProperty(value = "拖车提柜状态")
    private Integer tlContainerStatus;

    @ApiModelProperty(value = "装柜状态")
    private Integer ldStatus;

    @ApiModelProperty(value = "报关状态:51、未报关；52、报关中；53、已报关")
    private Integer dcStatus;

    @ApiModelProperty(value = "报关放行状态:1：报关中，2：放行，3：查验")
    private Integer dcCustomsStatus;

    @ApiModelProperty(value = "查验状态:1：退场，2：部分退场，3：查验后放行")
    private Integer dcCheckStatus;

    @ApiModelProperty(value = "退场审核状态,1-审核中，2-审核成功，3-审核失败，4-取消")
    private Integer checkExamineStatus;

    @ApiModelProperty(value = "退场处理状态,1-已处理,0-未处理")
    private Integer checkDealStatus;

    @ApiModelProperty(value = "过机状态,1：顺利，2：异常")
    private Integer overMachineStatus;

    @ApiModelProperty(value = "过机异常状态，1：敏感货，2：重量误报")
    private Integer overMachineAbnormalStatus;

    @ApiModelProperty(value = "删单退场审核状态，1：退场审核中，2：退场审核成功，3：退场审核失败，4：退场审核取消")
    private Integer overMachineExamineStatus;

    @ApiModelProperty(value = "配船状态")
    private Integer saStatus;

    @ApiModelProperty(value = "提单补料状态")
    private Integer blStatus;

    @ApiModelProperty(value = "驳船状态")
    private Integer bgStatus;

    @ApiModelProperty(value = "起运状态")
    private Integer dtStatus;

    @ApiModelProperty(value = "提单COPY状态")
    private Integer cpStatus;

    @ApiModelProperty(value = "清关文件状态")
    private Integer cdStatus;

    @ApiModelProperty(value = "到港状态")
    private Integer apStatus;

    @ApiModelProperty(value = "清关状态")
    private Integer clStatus;

    @ApiModelProperty(value = "二程起飞状态")
    private Integer stkStatus;

    @ApiModelProperty(value = "二程到港状态")
    private Integer sapStatus;

    @ApiModelProperty(value = "卸柜状态")
    private Integer ulStatus;

    @ApiModelProperty(value = "结算状态")
    private Integer slStatus;

    @ApiModelProperty(value = "出货状态")
    private Integer shipmentStatus;

    @ApiModelProperty(value = "分拣状态")
    private Integer sortingStatus;

    @ApiModelProperty(value = "出仓状态")
    private Integer checkoutStatus;

    @ApiModelProperty(value = "目的港清关：1、我司清关 2、合作方清关 3、客户")
    private Integer destinationClearance;

    @ApiModelProperty(value = "发货方式：1、多票，2、单票")
    private Integer deliveryType;

    @ApiModelProperty(value = "空运主状态")
    private Integer shipmentStatusAir;

    @ApiModelProperty(value = "目的国ID")
    private Long destCountryId;

}
