package cn.iocoder.yudao.module.shipment.vo.box;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BoxGoodsStatistics {

    //======================================计划====================================

    @ApiModelProperty(value = "计划数量")
    private long num;

    @ApiModelProperty(value = "计划体积")
    BigDecimal volume = BigDecimal.ZERO;

    @ApiModelProperty(value = "计划重量")
    BigDecimal weight = BigDecimal.ZERO;

    //=====================================收费======================================

    @ApiModelProperty(value = "收费重量")
    private BigDecimal chargeWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "收费体积")
    private BigDecimal chargeVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "单位")
    private String unit;

    //========================================装柜===================================

    @ApiModelProperty(value = "装柜数量")
    private long loadNum;

    @ApiModelProperty(value = "装柜体积")
    private BigDecimal loadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "装柜重量")
    private BigDecimal loadWeight = BigDecimal.ZERO;

    //=======================================卸柜==================================

    @ApiModelProperty(value = "卸柜数量")
    private long unloadNum;

    @ApiModelProperty(value = "卸柜体积")
    private BigDecimal unloadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "卸柜重量")
    private BigDecimal unloadWeight = BigDecimal.ZERO;

    /**
     * 合包下会装很多订单  合包维度数量统计的时候整个合包的订单算1（即1个合包算1）
     * */
    //=====================================合包===============================
    @ApiModelProperty(value = "合包数量")
    private long mergeNum;

    @ApiModelProperty(value = "合包体积")
    private BigDecimal mergeVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "合包重量")
    private BigDecimal mergeWeight = BigDecimal.ZERO;

//    //=====================================合包订单===============================
//    @ApiModelProperty(value = "合包订单数量")
//    private long mergeOrderNum;
//
//    @ApiModelProperty(value = "合包订单体积")
//    private BigDecimal mergeOrderVolume = BigDecimal.ZERO;
//
//    @ApiModelProperty(value = "合包订单重量")
//    private BigDecimal mergeOrderWeight = BigDecimal.ZERO;

    //=====================================已出合包===============================
    @ApiModelProperty(value = "已出合包数量")
    private long checkoutMergeNum;

    @ApiModelProperty(value = "已出合包体积")
    private BigDecimal checkoutMergeVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "已出合包重量")
    private BigDecimal checkoutMergeWeight = BigDecimal.ZERO;

    //=====================================已出订单===============================
    @ApiModelProperty(value = "已出订单数量")
    private long checkoutOrderNum;

    @ApiModelProperty(value = "已出订单体积")
    private BigDecimal checkoutOrderVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "已出订单重量")
    private BigDecimal checkoutOrderWeight = BigDecimal.ZERO;

    //=====================================空运出货列表合包计划和已装体积重量===============================
    @ApiModelProperty(value = "合包计划体积")
    private BigDecimal mergePlanVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "合包计划重量")
    private BigDecimal mergePlanWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "合包已出体积")
    private BigDecimal mergeRealVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "合包已出重量")
    private BigDecimal mergeRealWeight = BigDecimal.ZERO;
}
