package cn.iocoder.yudao.module.shipment.vo.box;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 出货查询 VO")
public class BoxQueryVO {

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "柜号")
    private String cubNo;

    @ApiModelProperty(value = "柜型ID")
    private Long cabinetId;

    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "发货状态:见字典")
    private Integer status;

    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private String transportType;

    @ApiModelProperty(value = "运输方式列表")
    private List<String> transportTypeList;

    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预装时间")
    private Date beginYzDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预装时间")
    private Date endYzDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始装柜时间")
    private Date beginZgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束装柜时间")
    private Date endZgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始起运时间")
    private Date beginQyDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束起运时间")
    private Date endQyDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始到港时间")
    private Date beginDgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束到港时间")
    private Date endDgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始清关时间")
    private Date beginQgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束清关时间")
    private Date endQgDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始提货时间")
    private Date beginThDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束提货时间")
    private Date endThDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始出仓时间")
    private Date beginCkDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束出仓时间")
    private Date endCkDate;

    @ApiModelProperty(value = "出货状态")
    private Integer boxStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "国家ID")
    private Long countryId;
    //选择国家后，国家的仓库id列表（始发或者目的）
    private List<Long> warehouseIdList;

    //日期类型
    private Integer dateType;
    //时间区间
    private String[] dateRangeCreateTime;

    @ApiModelProperty(value = "提单状态, 0-未完成，1-部分完成，2-已完成")
    private Integer ladingBillStatus;

    @ApiModelProperty(value = "空运出货状态")
    private Integer shipmentStatusAir;

    @ApiModelProperty(value = "目的港清关：1、我司清关 2、合作方清关 3、客户")
    private Integer destinationClearance;

    @ApiModelProperty(value = "发货方式：1、多票，2、单票")
    private Integer deliveryType;

}
