package cn.iocoder.yudao.module.shipment.vo.boxAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货异常记录 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 出货异常记录 Response VO")
public class BoxAbnormalBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("操作步骤")
    @ApiModelProperty(value = "操作步骤")
    private Integer opStep;

    @ExcelProperty("票异常id")
    @ApiModelProperty(value = "票异常id")
    private Long billAbnId;

    @ExcelProperty("票异常详情")
    @ApiModelProperty(value = "票异常详情")
    private String abnDetail;

    @ExcelProperty("异常开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "异常开始时间")
    private Date abnStartTime;

    @ExcelProperty("异常结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "异常结束时间")
    private Date abnEndTime;

    @ExcelProperty("是否更新订单状态，1：是，2否")
    @ApiModelProperty(value = "是否更新订单状态，1：是，2否")
    private Integer orderStatus;

    @ExcelProperty("中文内容")
    @ApiModelProperty(value = "中文内容")
    private String contentZh;

    @ExcelProperty("英文内容")
    @ApiModelProperty(value = "英文内容")
    private String contentEn;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    /**
     * 处理状态 0-未处理  1-已处理
     */
    private Integer dealStatus;


    /**
     * 延迟天数
     */
    private Integer delayDays;

}
