package cn.iocoder.yudao.module.shipment.vo.boxAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货异常记录 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxAbnormalBaseVO {

    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ApiModelProperty(value = "操作步骤")
    private Integer opStep;

    @ApiModelProperty(value = "票异常id")
    private Long billAbnId;

    @ApiModelProperty(value = "票异常详情")
    private String abnDetail;

    @ApiModelProperty(value = "异常开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date abnStartTime;

    @ApiModelProperty(value = "异常结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date abnEndTime;

    @ApiModelProperty(value = "是否更新订单状态，1：是，2否")
    private Integer orderStatus;

    @ApiModelProperty(value = "中文内容")
    private String contentZh;

    @ApiModelProperty(value = "英文内容")
    private String contentEn;

    @ApiModelProperty(value = "通知用户id,多个以逗号连接")
    private String notifyUsers;

    @ApiModelProperty(value = "延迟天数, 从返回数据中取")
    private Integer delayDays;
}
