package cn.iocoder.yudao.module.shipment.vo.boxAbnormal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 出货异常记录查询 VO")
public class BoxAbnormalQueryVO {

    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ApiModelProperty(value = "操作步骤")
    private Integer opStep;

    @ApiModelProperty(value = "票异常id")
    private Long billAbnId;

    @ApiModelProperty(value = "票异常详情")
    private String abnDetail;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始异常开始时间")
    private Date beginAbnStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束异常开始时间")
    private Date endAbnStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始异常结束时间")
    private Date beginAbnEndTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束异常结束时间")
    private Date endAbnEndTime;

    @ApiModelProperty(value = "是否更新订单状态，1：是，2否")
    private Integer orderStatus;

    @ApiModelProperty(value = "中文内容")
    private String contentZh;

    @ApiModelProperty(value = "英文内容")
    private String contentEn;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
