package cn.iocoder.yudao.module.shipment.vo.boxAirCheckout;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 空运出仓 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 空运出仓 Response VO")
public class BoxAirCheckoutBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("出仓日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "出仓日期")
    private Date checkoutTime;

    @ExcelProperty("出仓影像")
    @ApiModelProperty(value = "出仓影像")
    private String checkoutFiles;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    /**
     * 计划箱数
     */
    @ApiModelProperty(value = "计划箱数")
    private Integer planNum;
    /**
     * 实际箱数
     */
    @ApiModelProperty(value = "实际箱数")
    private Integer realNum;

}
