package cn.iocoder.yudao.module.shipment.vo.boxAirCheckout;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 空运出仓创建 Request VO")
public class BoxAirCheckoutCreateReqVO extends BoxAirCheckoutBaseVO {

    @ApiModelProperty(value = "操作类型，1-保存，2-提交", required = true)
    private Integer operateType;

    /**
     * 计划箱数
     */
    @ApiModelProperty(value = "计划箱数")
    @NotNull
    private Integer planNum;
    /**
     * 实际箱数
     */
    @ApiModelProperty(value = "实际箱数")
    @NotNull
    @Min(value = 0,message = "实际箱数必须为正整数")
    private Integer realNum;

}
