package cn.iocoder.yudao.module.shipment.vo.boxAirFly;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 起飞 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 起飞 Response VO")
public class BoxAirFlyBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("实际起飞时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际起飞时间")
    private Date dtRealFlyTime;

    @ExcelProperty("实际头程时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际头程时间")
    private Date dtRealHeadTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    private Boolean showAbnormal = false;

    @ApiModelProperty(value = "延迟天数")
    private Integer delayDays;

   
    @ApiModelProperty(value = "预计到港时间")
    private Date estTime;

}
