package cn.iocoder.yudao.module.shipment.vo.boxAirShipment;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 空运出货 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 空运出货 Response VO")
public class BoxAirShipmentBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货id")
    @ApiModelProperty(value = "出货id", required = true)
    private Long shipmentId;

    @ExcelProperty("送货方式")
    @ApiModelProperty(value = "送货方式", required = true)
    private Integer deliverType;

    @ExcelProperty("送货时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "送货时间")
    private Date deliverTime;

    @ExcelProperty("送货地址")
    @ApiModelProperty(value = "送货地址")
    private String deliverAddress;

    @ExcelProperty("车牌")
    @ApiModelProperty(value = "车牌")
    private String licensePlate;

    @ExcelProperty("司机")
    @ApiModelProperty(value = "司机")
    private String driver;

    @ExcelProperty("司机联系方式")
    @ApiModelProperty(value = "司机联系方式")
    private String driverPhone;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
