package cn.iocoder.yudao.module.shipment.vo.boxAirShipment;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 空运出货 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxAirShipmentBaseVO {

    @ApiModelProperty(value = "出货id", required = true)
    @NotNull(message = "出货id不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "送货方式 1 送货上门 2 自提", required = true)
    @NotNull(message = "送货方式不能为空")
    private Integer deliverType;

    @ApiModelProperty(value = "送货时间/自提时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date deliverTime;

    @ApiModelProperty(value = "送货地址/自提地址")
    private String deliverAddress;

    @ApiModelProperty(value = "车牌")
    private String licensePlate;

    @ApiModelProperty(value = "司机")
    private String driver;

    @ApiModelProperty(value = "司机联系方式")
    private String driverPhone;

}
