package cn.iocoder.yudao.module.shipment.vo.boxApproval;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货审核 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 出货审核 Response VO")
public class BoxApprovalBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货ID")
    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ExcelProperty("审核类型，1预装，2封柜，3卸柜，4预装反审，5报关全退，6报关部分退，7卸柜反审核")
    @ApiModelProperty(value = "审核类型，1预装，2封柜，3卸柜，4预装反审，5报关全退，6报关部分退，7卸柜反审核, 8拆单审核")
    private Integer approvalType;

    @ExcelProperty("状态，1审批中，2通过，3拒绝， 4取消")
    @ApiModelProperty(value = "状态，1审批中，2通过，3拒绝， 4取消")
    private Integer approvalStatus;

    @ExcelProperty("申请理由")
    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "操作通知人")
    private Long noticeUser;

    @ApiModelProperty(value = "工作流关联ID")
    private String bpmProcessId;

    @ApiModelProperty(value = "审核详情")
    private String details;

}
