package cn.iocoder.yudao.module.shipment.vo.boxApproval;

import lombok.*;
import io.swagger.annotations.*;

import javax.validation.constraints.NotNull;

/**
* 出货审核 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxApprovalBaseVO {

    @ApiModelProperty(value = "出货ID")
    @NotNull(message = "{preload.goods.shipment.not.blank}")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "审核类型，1预装，2封柜，3卸柜，4预装反审，5报关全退，" +
            "6报关部分退，7卸柜反审核,8拆单审核，9封柜反审核, 10-部分退场场拆单," +
            "11-删单退场审核, 13-排单分拣,14-排单分拣反审,15-到仓审核,16-到仓反审," +
            " 17-出货审核, 18-批量加价,19-出货反审,21-撤销清关")
    private Integer approvalType;

    @ApiModelProperty(value = "审批状态")
    private Integer approvalStatus;

    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ApiModelProperty(value = "通知人")
//    @NotNull(message = "{preload.approval.notice.user.not.blank}")
    private Long noticeUser;

    @ApiModelProperty(value = "审核详情")
    private String details;
}
