package cn.iocoder.yudao.module.shipment.vo.boxArrival;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 到港 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 到港 Response VO")
public class BoxArrivalBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("实际到港时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际到港时间")
    private Date apRealTime;

    @ExcelProperty("确认到港时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "确认到港时间")
    private Date apConfirmTime;

    @ExcelProperty("卸港时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "卸港时间")
    private Date apUnloadPortTime;

    private Boolean showAbnormal = false;

    @ApiModelProperty(value = "延迟天数")
    private Integer delayDays;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
