package cn.iocoder.yudao.module.shipment.vo.boxArrival;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 到港 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxArrivalBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "实际到港时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date apRealTime;

    @ApiModelProperty(value = "确认到港时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date apConfirmTime;

    @ApiModelProperty(value = "卸港时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date apUnloadPortTime;

}
