package cn.iocoder.yudao.module.shipment.vo.boxArrivalAir;

import cn.iocoder.yudao.module.shipment.vo.boxArrivalOrder.BoxArrivalOrderBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 空运到港 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 空运到港 Response VO")
public class BoxArrivalAirBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("实际到达时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际到达时间")
    private Date actTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计到达时间")
    private Date estTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际二程时间")
    private Date actSecondTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    private Boolean showAbnormal = false;

    @ApiModelProperty(value = "延迟天数")
    private Integer delayDays;

    @ApiModelProperty(value = "已到港订单")
    private List<BoxArrivalOrderBackVO> arrivalOrderList;

    @ApiModelProperty(value = "到港类型,0-一次到港，1-多次到港")
    private Integer arriveType;

}
