package cn.iocoder.yudao.module.shipment.vo.boxArrivalOrder;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class BoxArrivalOrderAllCreateVO {

    @ApiModelProperty(value = "出货ID", required = true)
    @NotNull(message = "shipmentId不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "实际到达时间", required = true)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @NotNull(message = "actTime不能为空")
    private Date actTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计到达时间")
    private Date estTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实际二程时间", required = true)
    @NotNull(message = "actSecondTime不能为空")
    private Date actSecondTime;

}
