package cn.iocoder.yudao.module.shipment.vo.boxBarge;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 驳船 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 驳船 Response VO")
public class BoxBargeBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货ID")
    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ExcelProperty("是否驳船：1：无驳船，1：有驳船")
    @ApiModelProperty(value = "是否驳船：1：无驳船，1：有驳船")
    private Integer bgExmtStatus;

    @ExcelProperty("驳船预计开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "驳船预计开船时间")
    private Date bgEstShipTime;

    @ExcelProperty("驳船实际开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "驳船实际开船时间")
    private Date bgRealShipTime;

    @ExcelProperty("通知用户ID")
    @ApiModelProperty(value = "通知用户ID")
    private Long notifyUser;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
