package cn.iocoder.yudao.module.shipment.vo.boxBarge;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 驳船 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxBargeBaseVO {

    @ApiModelProperty(value = "出货ID", required = true)
    private Long shipmentId;

    @ApiModelProperty(value = "是否驳船：1：无驳船，1：有驳船", required = true)
    private Integer bgExmtStatus;

    @ApiModelProperty(value = "驳船预计开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date bgEstShipTime;

    @ApiModelProperty(value = "驳船实际开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date bgRealShipTime;

    @ApiModelProperty(value = "通知用户ID")
    private Long notifyUser;

}
