package cn.iocoder.yudao.module.shipment.vo.boxBookAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订舱-空运 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订舱-空运 Response VO")
public class BoxBookAirBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货安排ID")
    @ApiModelProperty(value = "出货安排ID", required = true)
    private Long shipmentId;

    @ExcelProperty("提单号")
    @ApiModelProperty(value = "提单号")
    private String blNo;

    @ExcelProperty("起运港id")
    @ApiModelProperty(value = "起运港id")
    private Long departurePortId;

    @ExcelProperty("目的港id")
    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ExcelProperty("shipper_id")
    @ApiModelProperty(value = "shipper_id")
    private Long shipperId;

    @ExcelProperty("航空公司")
    @ApiModelProperty(value = "航空公司")
    private Long airlineCompanyId;

    @ExcelProperty("预计航班起飞时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计航班起飞时间")
    private Date flyTime;

    @ExcelProperty("出货渠道")
    @ApiModelProperty(value = "出货渠道")
    private Long airlineTypeId;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    /**
     * 截关时间
     */
    @ApiModelProperty(value = "截关时间")
    private Date closingTime;

    /**
     * 截补料时间
     */
    @ApiModelProperty(value = "截补料时间")
    private Date replenishmentTime;

    /**
     * 航程
     */
    @ApiModelProperty(value = "航程")
    private Integer voyage;

    /**
     * 截止送货时间
     */
    @ApiModelProperty(value = "截止送货时间")
    private Date deliveryTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
