package cn.iocoder.yudao.module.shipment.vo.boxBookAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订舱-空运 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxBookAirBaseVO {

    @ApiModelProperty(value = "出货安排ID", required = true)
    @NotNull(message = "出货安排ID不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "提单号")
    private String blNo;

    @ApiModelProperty(value = "起运港id")
    private Long departurePortId;

    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ApiModelProperty(value = "shipper_id")
    private Long shipperId;

    @ApiModelProperty(value = "航空公司")
    private Long airlineCompanyId;

    @ApiModelProperty(value = "预计航班起飞时间")
    @NotNull(message = "预计起飞时间不能为空")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date flyTime;

    @ApiModelProperty(value = "截关时间")
    private Date closingTime;

    @ApiModelProperty(value = "截补料时间")
    private Date replenishmentTime;

    @ApiModelProperty(value = "航程")
    @NotNull(message = "航程不能为空")
    private Integer voyage;

    @ApiModelProperty(value = "截止送货时间")
    private Date deliveryTime;

    @ApiModelProperty(value = "出货渠道")
    private Long airlineTypeId;

}
