package cn.iocoder.yudao.module.shipment.vo.boxBookAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订舱-空运查询 VO")
public class BoxBookAirQueryVO {

    @ApiModelProperty(value = "出货安排ID")
    private Long shipmentId;

    @ApiModelProperty(value = "提单号")
    private String blNo;

    @ApiModelProperty(value = "起运港id")
    private Long departurePortId;

    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ApiModelProperty(value = "shipper_id")
    private Long shipperId;

    @ApiModelProperty(value = "航空公司")
    private Long airlineCompanyId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计航班起飞时间")
    private Date beginFlyTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计航班起飞时间")
    private Date endFlyTime;

    @ApiModelProperty(value = "出货渠道")
    private Long airlineTypeId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
