package cn.iocoder.yudao.module.shipment.vo.boxBookSea;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订舱 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 订舱 Response VO")
public class BoxBookSeaBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货安排ID")
    @ApiModelProperty(value = "出货安排ID", required = true)
    private Long shipmentId;

    @ExcelProperty("订舱sono")
    @ApiModelProperty(value = "订舱sono")
    private String sono;

    @ExcelProperty("船公司类型")
    @ApiModelProperty(value = "船公司类型")
    private String shipCompanyType;

    @ExcelProperty("驳船港id")
    @ApiModelProperty(value = "驳船港id")
    private Long bargePortId;

    @ExcelProperty("大船港id")
    @ApiModelProperty(value = "大船港id")
    private Long bigPortId;

    @ExcelProperty("目的港id")
    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ExcelProperty("订舱公司 id")
    @ApiModelProperty(value = "订舱公司 id")
    private Long spaceCompanyId;

    @ExcelProperty("预计驳船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计驳船时间")
    private Date bargeTime;

    @ExcelProperty("预计开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计开船时间")
    private Date sailTime;

    @ExcelProperty("驳船时间超时通知人")
    @ApiModelProperty(value = "驳船时间超时通知人", required = true)
    private Long bargeNotifyUser;

    @ExcelProperty("开船超时通知人")
    @ApiModelProperty(value = "开船超时通知人")
    private Long sailNotifyUser;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("预计提单补料时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计提单补料时间")
    private Date ladingBillTime;

    @ExcelProperty("提单补料超时通知人")
    @ApiModelProperty(value = "提单补料超时通知人")
    private Long ladingBillNotifyUser;

    @ExcelProperty("预计报关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计报关时间")
    private Date customsTime;

    @ExcelProperty("报关超时通知人")
    @ApiModelProperty(value = "报关超时通知人")
    private Long customsNotifyUser;

    @ExcelProperty("预计截关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "预计截关时间")
    private Date cutOffTime;

    @ExcelProperty("截关超时通知人")
    @ApiModelProperty(value = "截关超时通知人")
    private Long cutOffNotifyUser;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
