package cn.iocoder.yudao.module.shipment.vo.boxBookSea;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订舱 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxBookSeaBaseVO {

    @ApiModelProperty(value = "出货安排ID", required = true)
    @NotNull(message = "{preload.goods.shipment.not.blank}")
    private Long shipmentId;

    @ApiModelProperty(value = "订舱sono")
    private String sono;

    @ApiModelProperty(value = "船公司类型")
    private String shipCompanyType;

    @ApiModelProperty(value = "驳船港id")
    private Long bargePortId;

    @ApiModelProperty(value = "大船港id")
    private Long bigPortId;

    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ApiModelProperty(value = "订舱公司 id")
    private Long spaceCompanyId;

    @ApiModelProperty(value = "预计驳船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date bargeTime;

    @ApiModelProperty(value = "预计开船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date sailTime;

    @ApiModelProperty(value = "驳船时间超时通知人", required = true)
    private Long bargeNotifyUser;

    @ApiModelProperty(value = "开船超时通知人")
    private Long sailNotifyUser;

    @ApiModelProperty(value = "预计提单补料时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date ladingBillTime;

    @ApiModelProperty(value = "提单补料超时通知人")
    private Long ladingBillNotifyUser;

    @ApiModelProperty(value = "预计报关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date customsTime;

    @ApiModelProperty(value = "报关超时通知人")
    private Long customsNotifyUser;

    @ApiModelProperty(value = "预计截关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cutOffTime;

    @ApiModelProperty(value = "截关超时通知人")
    private Long cutOffNotifyUser;

}
