package cn.iocoder.yudao.module.shipment.vo.boxBookSea;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订舱查询 VO")
public class BoxBookSeaQueryVO {

    @ApiModelProperty(value = "出货安排ID")
    private Long shipmentId;

    @ApiModelProperty(value = "订舱sono")
    private String sono;

    @ApiModelProperty(value = "船公司类型")
    private String shipCompanyType;

    @ApiModelProperty(value = "驳船港id")
    private Long bargePortId;

    @ApiModelProperty(value = "大船港id")
    private Long bigPortId;

    @ApiModelProperty(value = "目的港id")
    private Long destPortId;

    @ApiModelProperty(value = "订舱公司 id")
    private Long spaceCompanyId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计驳船时间")
    private Date beginBargeTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计驳船时间")
    private Date endBargeTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计开船时间")
    private Date beginSailTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计开船时间")
    private Date endSailTime;

    @ApiModelProperty(value = "驳船时间超时通知人")
    private Long bargeNotifyUser;

    @ApiModelProperty(value = "开船超时通知人")
    private Long sailNotifyUser;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计提单补料时间")
    private Date beginLadingBillTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计提单补料时间")
    private Date endLadingBillTime;

    @ApiModelProperty(value = "提单补料超时通知人")
    private Long ladingBillNotifyUser;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计报关时间")
    private Date beginCustomsTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计报关时间")
    private Date endCustomsTime;

    @ApiModelProperty(value = "报关超时通知人")
    private Long customsNotifyUser;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计截关时间")
    private Date beginCutOffTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束预计截关时间")
    private Date endCutOffTime;

    @ApiModelProperty(value = "截关超时通知人")
    private Long cutOffNotifyUser;

}
