package cn.iocoder.yudao.module.shipment.vo.boxCabinet;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 装柜 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 装柜 Response VO")
public class BoxCabinetBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("到仓时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "到仓时间")
    private Date ldInWarehouseTime;

    @ExcelProperty("仓库类型")
    @ApiModelProperty(value = "仓库类型")
    private Integer ldWarehouseType;

    @ExcelProperty("装柜时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "装柜时间")
    private Date ldBoxTime;

    @ExcelProperty("出仓时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "出仓时间")
    private Date ldOutWarehouseTime;

    @ExcelProperty("装柜图片")
    @ApiModelProperty(value = "装柜图片")
    private String ldPictures;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
