package cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 卸柜 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 卸柜 Response VO")
public class BoxCabinetUnloadBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("卸柜网点ID")
    @ApiModelProperty(value = "卸柜网点ID")
    private Long ulOutletsId;

    @ExcelProperty("卸柜到仓时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "卸柜到仓时间")
    private Date ulWarehouseTime;

    @ExcelProperty("卸柜时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "卸柜时间")
    private Date ulBoxTime;

    @ApiModelProperty(value = "卸柜影像")
    private String ulImgs;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
