package cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload;

import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCustomsDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("PDA - 空运到仓VO")
public class BoxCabinetUnloadPDAVO {

    @ApiModelProperty("出货id")
    private Long id;

    @ApiModelProperty("自编号")
    private String selfNo;

    @ApiModelProperty("运输方式")
    private Integer transportType;

    @ApiModelProperty("目的地")
    private String titleEn;

    @ApiModelProperty("到仓状态")
    private Integer checkoutStatus;

    @ApiModelProperty("到仓时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date arrivalWarehouseTime;

    @ApiModelProperty(value = "计划数量")
    private long num;

    @ApiModelProperty(value = "计划体积")
    BigDecimal volume = BigDecimal.ZERO;

    @ApiModelProperty(value = "计划重量")
    BigDecimal weight = BigDecimal.ZERO;

    @ApiModelProperty(value = "装柜数量")
    private long loadNum;

    @ApiModelProperty(value = "装柜体积")
    private BigDecimal loadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "装柜重量")
    private BigDecimal loadWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "卸柜数量")
    private long unloadNum;

    @ApiModelProperty(value = "卸柜体积")
    private BigDecimal unloadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "卸柜重量")
    private BigDecimal unloadWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "报关异常信息")
    private Boolean boxCustomsExceptionFlag;

    /**
     * 出货渠道ID
     */
    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @ApiModelProperty(value = "出货渠道中文")
    private String shippingChannelNameZh;

    @ApiModelProperty(value = "出货渠道英文")
    private String shippingChannelNameEn;

}
