package cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出仓-空运 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 出仓-空运 Response VO")
public class BoxCheckoutAirBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("出货安排ID")
    @ApiModelProperty(value = "出货安排ID", required = true)
    private Long shipmentId;

    @ExcelProperty("出仓类型")
    @ApiModelProperty(value = "出仓类型")
    private Long checkoutType;

    @ExcelProperty("送货/自提时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "送货/自提时间")
    private Date checkoutTime;

    @ExcelProperty("送货/自提地址")
    @ApiModelProperty(value = "送货/自提地址")
    private String checkoutAddr;

    @ExcelProperty("车牌")
    @ApiModelProperty(value = "车牌")
    private String carNum;

    @ExcelProperty("司机")
    @ApiModelProperty(value = "司机")
    private String driver;

    @ExcelProperty("司机联系方式")
    @ApiModelProperty(value = "司机联系方式")
    private String driverPhone;

}
