package cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出仓-空运 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxCheckoutAirBaseVO {

    @ApiModelProperty(value = "出货安排ID", required = true)
    @NotNull(message = "出货安排ID不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "出仓类型")
    private Long checkoutType;

    @ApiModelProperty(value = "送货/自提时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date checkoutTime;

    @ApiModelProperty(value = "送货/自提地址")
    private String checkoutAddr;

    @ApiModelProperty(value = "车牌")
    private String carNum;

    @ApiModelProperty(value = "司机")
    private String driver;

    @ApiModelProperty(value = "司机联系方式")
    private String driverPhone;

}
