package cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 出仓-空运查询 VO")
public class BoxCheckoutAirQueryVO {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "出货安排ID")
    private Long shipmentId;

    @ApiModelProperty(value = "出仓类型")
    private Long checkoutType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始送货/自提时间")
    private Date beginCheckoutTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束送货/自提时间")
    private Date endCheckoutTime;

    @ApiModelProperty(value = "送货/自提地址")
    private String checkoutAddr;

    @ApiModelProperty(value = "车牌")
    private String carNum;

    @ApiModelProperty(value = "司机")
    private String driver;

    @ApiModelProperty(value = "司机联系方式")
    private String driverPhone;

}
