package cn.iocoder.yudao.module.shipment.vo.boxClearance;

import cn.iocoder.yudao.module.shipment.vo.boxApproval.BoxApprovalBackVO;
import cn.iocoder.yudao.module.shipment.vo.boxClearanceOrder.BoxClearanceOrderBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 清关 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 清关 Response VO")
public class BoxClearanceBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("清关代理id")
    @ApiModelProperty(value = "清关代理id")
    private Long clAgentId;

    @ExcelProperty("预计清关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "预计清关时间")
    private Date clEstTime;

    @ExcelProperty("清关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "清关时间")
    private Date clClearTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "清关类型，0-一次清关，1-多次清关")
    private Integer clearanceType;

    @ApiModelProperty(value = "清关订单")
    private List<BoxClearanceOrderBackVO> clearanceOrderList;

    @ApiModelProperty(value = "清关撤销订单审核列表")
    private List<BoxApprovalBackVO> clearanceOrderBackList;

}
