package cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 清关文件 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxClearanceDocBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "出单方式，1：电放，2：正本")
    private Integer cdOutBillType;

    @ApiModelProperty(value = "电放时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cdElectricTime;

    @ApiModelProperty(value = "电放凭证附件")
    private String cdElectricVoucher;

    @ApiModelProperty(value = "寄送时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cdSendTime;

    @ApiModelProperty(value = "快递单号")
    private String cdBillNo;

    @ApiModelProperty(value = "是否有清关agentlist文件，1：无需，2：已做")
    private Integer cdAgentlistType;

    @ApiModelProperty(value = "agentlist文件日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cdAgentlistTime;

    @ApiModelProperty(value = "agentlist文件路径")
    private String cdAgentlistFile;

    @ApiModelProperty(value = "是否有清关soncap文件，1：无需，2：已做")
    private Integer cdSoncapType;

    @ApiModelProperty(value = "soncap文件日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cdSoncapTime;

    @ApiModelProperty(value = "soncap文件路径")
    private String cdSoncapFile;

    @ApiModelProperty(value = "空运清关文件列表")
    private String docFiles;

}
