package cn.iocoder.yudao.module.shipment.vo.boxClearanceDoc;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 清关文件查询 VO")
public class BoxClearanceDocQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "出单方式，1：电放，2：正本")
    private Integer cdOutBillType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始电放时间")
    private Date beginCdElectricTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束电放时间")
    private Date endCdElectricTime;

    @ApiModelProperty(value = "电放凭证附件")
    private String cdElectricVoucher;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始寄送时间")
    private Date beginCdSendTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束寄送时间")
    private Date endCdSendTime;

    @ApiModelProperty(value = "快递单号")
    private String cdBillNo;

    @ApiModelProperty(value = "是否有清关agentlist文件，1：无需，2：已做")
    private Integer cdAgentlistType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始agentlist文件日期")
    private Date beginCdAgentlistTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束agentlist文件日期")
    private Date endCdAgentlistTime;

    @ApiModelProperty(value = "agentlist文件路径")
    private String cdAgentlistFile;

    @ApiModelProperty(value = "是否有清关soncap文件，1：无需，2：已做")
    private Integer cdSoncapType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始soncap文件日期")
    private Date beginCdSoncapTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束soncap文件日期")
    private Date endCdSoncapTime;

    @ApiModelProperty(value = "soncap文件路径")
    private String cdSoncapFile;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
