package cn.iocoder.yudao.module.shipment.vo.boxClearanceOrder;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class BoxClearanceOrderAllCreateVO {

    @ApiModelProperty(value = "出货ID", required = true)
    @NotNull(message = "shipmentId不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "预计清关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date clEstTime;

    @ApiModelProperty(value = "清关时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date clClearTime;

}
