package cn.iocoder.yudao.module.shipment.vo.boxCost;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 费用登记 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 费用登记 Response VO")
public class BoxCostBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ExcelProperty("操作步骤类型")
    @ApiModelProperty(value = "操作步骤类型")
    private String opStepType;

    @ExcelProperty("费用类型")
    @ApiModelProperty(value = "费用类型")
    private String costType;

    @ExcelProperty("供应商ID")
    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ExcelProperty("金额")
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal price;

    @ExcelProperty("金额单位ID")
    @ApiModelProperty(value = "金额单位ID")
    private Long priceUnit;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remarks;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "实付金额")
    private BigDecimal payPrice;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实付时间", required = true)
    private Date payTime;

}
