package cn.iocoder.yudao.module.shipment.vo.boxCost;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 费用登记 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxCostBaseVO {

    @ApiModelProperty(value = "")
    @NotNull(message = "出货单ID不能为空")
    private Long shipmentId;

    @NotNull(message = "操作步骤类型不能为空")
    @ApiModelProperty(value = "操作步骤类型")
    private String opStepType;

    @ApiModelProperty(value = "费用类型")
    @NotNull(message = "费用类型不能为空")
    private String costType;

    @ApiModelProperty(value = "供应商ID")
    @NotNull(message = "供应商ID不能为空")
    private Long supplierId;

    @ApiModelProperty(value = "金额")
    @NotNull(message = "金额不能为空")
    private java.math.BigDecimal price;

    @ApiModelProperty(value = "金额单位ID")
    @NotNull(message = "金额单位不能为空")
    private Long priceUnit;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
