package cn.iocoder.yudao.module.shipment.vo.boxCost;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 费用登记查询 VO")
public class BoxCostQueryVO {

    @ApiModelProperty(value = "")
    private Long shipmentId;

    @ApiModelProperty(value = "操作步骤类型")
    private String opStepType;

    @ApiModelProperty(value = "费用类型")
    private String costType;

    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal price;

    @ApiModelProperty(value = "金额单位ID")
    private Long priceUnit;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
