package cn.iocoder.yudao.module.shipment.vo.boxCustoms;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报关 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 报关 Response VO")
public class BoxCustomsBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("单证要求")
    @ApiModelProperty(value = "单证要求")
    private String dcDocumentType;

    @ExcelProperty("柜重")
    @ApiModelProperty(value = "柜重")
    private java.math.BigDecimal dcBoxWgt;

    @ExcelProperty("货重")
    @ApiModelProperty(value = "货重")
    private java.math.BigDecimal dcGoodsWgt;

    @ExcelProperty("VGM重量")
    @ApiModelProperty(value = "VGM重量")
    private java.math.BigDecimal dcVgmWgt;

    @ExcelProperty("报关方式")
    @ApiModelProperty(value = "报关方式")
    private Integer dcCustomsType;

    @ExcelProperty("正常报关订单")
    @ApiModelProperty(value = "正常报关订单")
    private String dcNormalOrderNo;

    @ExcelProperty("报关公司id")
    @ApiModelProperty(value = "报关公司id")
    private Integer dcCompanyId;

    @ExcelProperty("截关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "截关时间")
    private Date dcCutOffTime;

    @ExcelProperty("报关放行状态，1：报关中，2：放行，3：查验")
    @ApiModelProperty(value = "报关放行状态，1：报关中，2：放行，3：查验")
    private Integer dcCustomsStatus;

    @ExcelProperty("查验状态，1：退场，2：部分退场，3：查验后放行")
    @ApiModelProperty(value = "查验状态，1：退场，2：部分退场，3：查验后放行")
    private Integer dcCheckStatus;

    @ExcelProperty("查验时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "查验时间")
    private Date dcCheckTime;

    @ExcelProperty("查验前图片")
    @ApiModelProperty(value = "查验前图片")
    private String dcCheckPreImg;

    @ApiModelProperty(value = "退场图片")
    private String dcExitImg;

    @ExcelProperty("新封条")
    @ApiModelProperty(value = "新封条")
    private String dcStripSeal;

    @ExcelProperty("放行时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "放行时间")
    private Date dcPassTime;

    @ApiModelProperty(value = "报关时间")
    private Date dcDecTime;

    @ApiModelProperty(value = "过机状态,1：顺利，2：异常")
    private Integer overMachineStatus;

    @ApiModelProperty(value = "过机异常状态，1：敏感货，2：重量误报")
    private Integer overMachineAbnormalStatus;

    @ApiModelProperty(value = "重量误报，1：3%，2：10kg，3：未找到，4：已找到")
    private Integer weightMisreport;

    @ApiModelProperty(value = "超出重量")
    private BigDecimal overWeight;

    @ApiModelProperty(value = "超出订单，多个以,连接")
    private String overOrders;

    @ApiModelProperty(value = "处理人，多个以,连接")
    private String overDealUser;

    @ApiModelProperty(value = "超出备注")
    private String overRemarks;


    @ApiModelProperty(value = "显示异常按钮")
    private Boolean showAbnormal = false;

    @ApiModelProperty(value = "延迟天数")
    private Integer delayDays;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;


}
