package cn.iocoder.yudao.module.shipment.vo.boxCustoms;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报关 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxCustomsBaseVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "单证要求")
    private String dcDocumentType;

    @ApiModelProperty(value = "柜重")
    private java.math.BigDecimal dcBoxWgt;

    @ApiModelProperty(value = "货重")
    private java.math.BigDecimal dcGoodsWgt;

    @ApiModelProperty(value = "VGM重量")
    private java.math.BigDecimal dcVgmWgt;

    @ApiModelProperty(value = "报关方式")
    private Integer dcCustomsType;

    @ApiModelProperty(value = "正常报关订单")
    private String dcNormalOrderNo;

    @ApiModelProperty(value = "报关公司id")
    private Integer dcCompanyId;

    @ApiModelProperty(value = "截关时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date dcCutOffTime;

    @ApiModelProperty(value = "报关放行状态，1：报关中，2：放行，3：查验")
    private Integer dcCustomsStatus;

    @ApiModelProperty(value = "查验状态，1：退场，2：部分退场，3：查验后放行")
    private Integer dcCheckStatus;

    @ApiModelProperty(value = "查验时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date dcCheckTime;

    @ApiModelProperty(value = "查验前图片")
    private String dcCheckPreImg;

    @ApiModelProperty(value = "退场图片")
    private String dcExitImg;

    @ApiModelProperty(value = "新封条")
    private String dcStripSeal;

    @ApiModelProperty(value = "放行时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date dcPassTime;

    /**
     * 报关时间
     */
    @ApiModelProperty(value = "报关时间")
    private Date dcDecTime;

    @ApiModelProperty(value = "过机状态,1：顺利，2：异常")
    private Integer overMachineStatus;

    @ApiModelProperty(value = "过机异常状态，1：敏感货，2：重量误报")
    private Integer overMachineAbnormalStatus;

    @ApiModelProperty(value = "重量误报，1：3%，2：10kg，3：未找到，4：已找到")
    private Integer weightMisreport;

    @ApiModelProperty(value = "超出重量")
    private BigDecimal overWeight;

    @ApiModelProperty(value = "超出订单，多个以,连接")
    private String overOrders;

    @ApiModelProperty(value = "处理人，多个以,连接")
    private String overDealUser;

    @ApiModelProperty(value = "超出备注")
    private String overRemarks;

}
