package cn.iocoder.yudao.module.shipment.vo.boxCustoms;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 报关查询 VO")
public class BoxCustomsQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "单证要求")
    private String dcDocumentType;

    @ApiModelProperty(value = "柜重")
    private java.math.BigDecimal dcBoxWgt;

    @ApiModelProperty(value = "货重")
    private java.math.BigDecimal dcGoodsWgt;

    @ApiModelProperty(value = "VGM重量")
    private java.math.BigDecimal dcVgmWgt;

    @ApiModelProperty(value = "报关方式")
    private Integer dcCustomsType;

    @ApiModelProperty(value = "正常报关订单")
    private String dcNormalOrderNo;

    @ApiModelProperty(value = "报关公司id")
    private Integer dcCompanyId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始截关时间")
    private Date beginDcCutOffTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束截关时间")
    private Date endDcCutOffTime;

    @ApiModelProperty(value = "报关放行状态，1：报关中，2：放行，3：查验")
    private Integer dcCustomsStatus;

    @ApiModelProperty(value = "查验状态，1：退场，2：部分退场，3：查验后放行")
    private Integer dcCheckStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始查验时间")
    private Date beginDcCheckTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束查验时间")
    private Date endDcCheckTime;

    @ApiModelProperty(value = "查验前图片")
    private String dcCheckPreImg;

    @ApiModelProperty(value = "新封条")
    private String dcStripSeal;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始放行时间")
    private Date beginDcPassTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束放行时间")
    private Date endDcPassTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
