package cn.iocoder.yudao.module.shipment.vo.boxCustomsExtraCost;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 额外报关费用 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 额外报关费用 Response VO")
public class BoxCustomsExtraCostBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ExcelProperty("订单编号")
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ExcelProperty("报关费用")
    @ApiModelProperty(value = "报关费用")
    private java.math.BigDecimal fee;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
