package cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货报关拆单提醒 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 出货报关拆单提醒 Response VO")
public class BoxCustomsSplitBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货ID")
    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ExcelProperty("拆单的订单")
    @ApiModelProperty(value = "拆单的订单")
    private String splitOrderIds;

    @ExcelProperty("处理状态，0-未处理，1-已处理")
    @ApiModelProperty(value = "处理状态，0-未处理，1-已处理")
    private Integer dealStatus;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
