package cn.iocoder.yudao.module.shipment.vo.boxCustomsSplit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 出货报关拆单提醒查询 VO")
public class BoxCustomsSplitQueryVO {

    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ApiModelProperty(value = "拆单的订单")
    private String splitOrderIds;

    @ApiModelProperty(value = "处理状态，0-未处理，1-已处理")
    private Integer dealStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
