package cn.iocoder.yudao.module.shipment.vo.boxLadingBill;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 提单补料 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 提单补料 Response VO")
public class BoxLadingBillBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("代理商ID")
    @ApiModelProperty(value = "代理商ID")
    private Long agentId;

    @ExcelProperty("M/BL NO 号码")
    @ApiModelProperty(value = "M/BL NO 号码")
    private String blMblNo;

    @ExcelProperty("SO NO")
    @ApiModelProperty(value = "SO NO")
    private String soNo;

    @ExcelProperty("起运港ID")
    @ApiModelProperty(value = "起运港ID")
    private Long startPortId;

    @ExcelProperty("目的港ID")
    @ApiModelProperty(value = "目的港ID")
    private Long destPortId;

    @ExcelProperty("船公司ID")
    @ApiModelProperty(value = "船公司ID")
    private Long shipCompanyId;

    @ExcelProperty("托运供应商ID")
    @ApiModelProperty(value = "托运供应商ID")
    private Long shipperId;

    @ExcelProperty("收货供应商ID")
    @ApiModelProperty(value = "收货供应商ID")
    private Long consigneeId;

    @ExcelProperty("通知方供应商ID")
    @ApiModelProperty(value = "通知方供应商ID")
    private Long notifyingId;

    @ApiModelProperty(value = "收货供应商名称")
    private String consigneeName;

    @ApiModelProperty(value = "通知方供应商名称")
    private String notifyingName;

    @ExcelProperty("Mark No")
    @ApiModelProperty(value = "Mark No")
    private String markNo;

    @ExcelProperty("包装数量")
    @ApiModelProperty(value = "包装数量")
    private String packageNum;

    @ExcelProperty("包装单位")
    @ApiModelProperty(value = "包装单位")
    private String packageUnit;

    @ExcelProperty("GrossWeight")
    @ApiModelProperty(value = "GrossWeight")
    private java.math.BigDecimal kgs;

    @ExcelProperty("Mesaurement")
    @ApiModelProperty(value = "Mesaurement")
    private java.math.BigDecimal cbm;

    @ExcelProperty("货物描述")
    @ApiModelProperty(value = "货物描述")
    private String goodsDesc;

    @ExcelProperty("拖车柜号信息")
    @ApiModelProperty(value = "拖车柜号信息")
    private String containerSealNo;

    @ExcelProperty("出单方式：1、正本  2、电放")
    @ApiModelProperty(value = "出单方式：1、正本  2、电放")
    private Integer issueType;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remarks;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
