package cn.iocoder.yudao.module.shipment.vo.boxLadingBill;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 提单补料查询 VO")
public class BoxLadingBillQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "代理商ID")
    private Long agentId;

    @ApiModelProperty(value = "M/BL NO 号码")
    private String blMblNo;

    @ApiModelProperty(value = "SO NO")
    private String soNo;

    @ApiModelProperty(value = "起运港ID")
    private Long startPortId;

    @ApiModelProperty(value = "目的港ID")
    private Long destPortId;

    @ApiModelProperty(value = "船公司ID")
    private Long shipCompanyId;

    @ApiModelProperty(value = "托运供应商ID")
    private Long shipperId;

    @ApiModelProperty(value = "收货供应商ID")
    private Long consigneeId;

    @ApiModelProperty(value = "通知方供应商ID")
    private Long notifyingId;

    @ApiModelProperty(value = "收货供应商名称")
    private String consigneeName;

    @ApiModelProperty(value = "通知方供应商名称")
    private String notifyingName;

    @ApiModelProperty(value = "Mark No")
    private String markNo;

    @ApiModelProperty(value = "GrossWeight")
    private java.math.BigDecimal kgs;

    @ApiModelProperty(value = "Mesaurement")
    private java.math.BigDecimal cbm;

    @ApiModelProperty(value = "货物描述")
    private String goodsDesc;

    @ApiModelProperty(value = "拖车柜号信息")
    private String containerSealNo;

    @ApiModelProperty(value = "出单方式：1、正本  2、电放")
    private Integer issueType;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
