package cn.iocoder.yudao.module.shipment.vo.boxMergePkg;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 合包箱 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 合包箱 Response VO")
public class BoxMergePkgBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("合包箱号")
    @ApiModelProperty(value = "合包箱号", required = true)
    private String pkgNum;

    @ExcelProperty("长")
    @ApiModelProperty(value = "长")
    private java.math.BigDecimal pkgLength;

    @ExcelProperty("宽")
    @ApiModelProperty(value = "宽")
    private java.math.BigDecimal pkgWidth;

    @ExcelProperty("高")
    @ApiModelProperty(value = "高")
    private java.math.BigDecimal pkgHight;

    /**
     * 体积
     */
    @ApiModelProperty(value = "体积")
    private java.math.BigDecimal sumVolume;
    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private java.math.BigDecimal sumWeight;
    /**
     * 箱数
     */
    @ApiModelProperty(value = "箱数")
    private java.math.BigDecimal sumNum;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "出货id", required = true)
    private Long shipmentId;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
