package cn.iocoder.yudao.module.shipment.vo.boxMergePkg;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 合包箱 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxMergePkgBaseVO {

    @ApiModelProperty(value = "合包箱号")
    private String pkgNum;

    @ApiModelProperty(value = "出货id", required = true)
    @NotNull(message = "出货id不能为空")
    private Long shipmentId;

    @ApiModelProperty(value = "长")
    private java.math.BigDecimal pkgLength;

    @ApiModelProperty(value = "宽")
    private java.math.BigDecimal pkgWidth;

    @ApiModelProperty(value = "高")
    private java.math.BigDecimal pkgHight;

    /**
     * 体积
     */
    @ApiModelProperty(value = "体积")
    private java.math.BigDecimal sumVolume;
    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private java.math.BigDecimal sumWeight;
    /**
     * 箱数
     */
    @ApiModelProperty(value = "箱数")
    private java.math.BigDecimal sumNum;

    @ApiModelProperty(value = "状态")
    private Integer status;

}
