package cn.iocoder.yudao.module.shipment.vo.boxMergePkg;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 合包箱查询 VO")
public class BoxMergePkgQueryVO {

    @ApiModelProperty(value = "合包箱号")
    private String pkgNum;

    @ApiModelProperty(value = "长")
    private java.math.BigDecimal pkgLength;

    @ApiModelProperty(value = "宽")
    private java.math.BigDecimal pkgWidth;

    @ApiModelProperty(value = "高")
    private java.math.BigDecimal pkgHight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "出货id")
    private Long shipmentId;

    /**
     * 体积
     */
    @ApiModelProperty(value = "体积")
    private java.math.BigDecimal sumVolume;
    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private java.math.BigDecimal sumWeight;
    /**
     * 箱数
     */
    @ApiModelProperty(value = "箱数")
    private java.math.BigDecimal snmNum;

}
