package cn.iocoder.yudao.module.shipment.vo.boxOpLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货操作日志 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 出货操作日志 Response VO")
public class BoxOpLogBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货ID")
    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ExcelProperty("操作后的状态")
    @ApiModelProperty(value = "操作后的状态")
    private Integer opStatus;

    @ExcelProperty("操作内容")
    @ApiModelProperty(value = "操作内容")
    private String titleZh;

    @ExcelProperty("操作内容")
    @ApiModelProperty(value = "操作内容")
    private String titleEn;

    @ExcelProperty("操作人名称")
    @ApiModelProperty(value = "操作人名称")
    private String operator;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "审核ID")
    private Long approvalId;

    @ApiModelProperty(value = "流程ID")
    private String bpmProcessId;

}
