package cn.iocoder.yudao.module.shipment.vo.boxOrderCheckInfo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 理货和合包标签 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 理货和合包标签 Response VO")
public class BoxOrderCheckInfoBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("合包ID")
    @ApiModelProperty(value = "合包ID")
    private Long pkgId;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ExcelProperty("编码")
    @ApiModelProperty(value = "编码")
    private String orderNumCode;

    @ExcelProperty("0-理货，1-合包")
    @ApiModelProperty(value = "0-理货，1-合包")
    private Integer type;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
