package cn.iocoder.yudao.module.shipment.vo.boxOrderExit;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 退场订单查询 VO")
public class BoxOrderExitQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单实际箱数")
    private Integer num;

    @ApiModelProperty(value = "订单退场箱数")
    private Integer refundNum;

    @ApiModelProperty(value = "0 不需要拆单 1 部分退场待拆单 2 部分退场拆单中 3 部分退场已拆单")
    private Integer splitStatus;

    @ApiModelProperty(value = "是否拆单后的待退场订单")
    private Boolean split;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
