package cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 出货短信记录 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 出货短信记录 Response VO")
public class BoxOrderSmsLogBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单id")
    @ApiModelProperty(value = "出货单id")
    private Long shipmentId;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ExcelProperty("订单编号")
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ExcelProperty("唛头")
    @ApiModelProperty(value = "唛头")
    private String marks;

    @ExcelProperty("自编号")
    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ExcelProperty("场景编码")
    @ApiModelProperty(value = "场景编码")
    private Integer scene;

    @ExcelProperty("说明")
    @ApiModelProperty(value = "说明")
    private String templateCode;

    @ExcelProperty("说明")
    @ApiModelProperty(value = "说明")
    private String description;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
