package cn.iocoder.yudao.module.shipment.vo.boxOrderSmsLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 出货短信记录查询 VO")
public class BoxOrderSmsLogQueryVO {

    @ApiModelProperty(value = "出货单id")
    private Long shipmentId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "唛头")
    private String marks;

    @ApiModelProperty(value = "自编号")
    private String selfNo;

    @ApiModelProperty(value = "场景编码")
    private Integer scene;

    @ApiModelProperty(value = "说明")
    private String templateCode;

    @ApiModelProperty(value = "说明")
    private String description;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
