package cn.iocoder.yudao.module.shipment.vo.boxPkgOrder;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 合包订单 Response VO
* @author 江楠
*/
@Data
@ApiModel("管理后台 - 合包订单 Response VO")
public class BoxPkgOrderBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("合包id")
    @ApiModelProperty(value = "合包id")
    private Long pkgId;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("订单项ID")
    @ApiModelProperty(value = "订单项ID")
    private Long orderItemId;

}
