package cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods;

import cn.hutool.core.collection.CollectionUtil;
import cn.iocoder.yudao.module.order.vo.order.WarehouseInInfoVO;
import cn.iocoder.yudao.module.order.vo.orderItem.OrderItemBackVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BoxOrderItemBackVO extends OrderItemBackVO {

    @ApiModelProperty(value = "operateText")
    private String operateText;

    @ApiModelProperty(value = "混箱状态, 1-混箱")
    private Integer mixStatus = 0;

    @Override
    public Integer getNum() {
        if(getWarehouseInInfoVO() != null) {
            return getWarehouseInInfoVO().getCartonsNum();
        }
        return super.getNum();
    }

    @Override
    public BigDecimal getWeight() {
        if(getWarehouseInInfoVO() != null) {
            return getWarehouseInInfoVO().getWeight();
        }
        return super.getWeight();
    }

    @Override
    public BigDecimal getVolume() {
        if(getWarehouseInInfoVO() != null) {
            return getWarehouseInInfoVO().getVolume();
        }
        return super.getVolume();
    }

    @Override
    public String getBoxGauge() {
        if(getWarehouseInInfoVO() != null) {
            return getWarehouseInInfoVO().getBoxGauge();
        }
        return super.getBoxGauge();
    }

    @ApiModelProperty(value = "入仓商品特性名称列表")
    private List<String> warehouseInAttrNameList;

    public Integer getMixStatus() {
        WarehouseInInfoVO warehouseInInfoVO = getWarehouseInInfoVO();
        if(warehouseInInfoVO != null) {
            //入仓纪录明细不为空则是混箱
            mixStatus = warehouseInInfoVO.getMixStatus();
        }
        return mixStatus;
    }
}
