package cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ApiModel("管理后台 - 预装货物创建 Request VO")
public class BoxPreloadGoodsCreateReqVO {

    @ApiModelProperty(value = "出货ID")
    @NotNull(message = "{preload.goods.shipment.not.blank}")
    private Long shipmentId;

    @ApiModelProperty(value = "部分ID")
    @NotNull(message = "{preload.goods.section.not.blank}")
    private Long secId;

    @ApiModelProperty(value = "订单ID")
    @NotNull(message = "{preload.goods.order.not.blank}")
    private Long orderId;

    @ApiModelProperty(value = "订单项ID列表")
    @NotNull(message = "{preload.goods.order.item.not.blank}")
    private List<Long> orderItemIdList;

    @ApiModelProperty(value = "是否是补单，0-不是，1-是")
    private Integer isCover = 0;

    @ApiModelProperty(value = "关联关系，1-不校验互斥, 2-不校验关联")
    private Integer relationStatus;

    @ApiModelProperty(value = "是否仅预装自己,默认false")
    private boolean singleLoad = false;

}
