package cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 预装货物查询 VO")
public class BoxPreloadGoodsQueryVO {

    @ApiModelProperty(value = "出货ID")
    private Long shipmentId;

    @ApiModelProperty(value = "部分ID")
    private Long secId;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单项ID")
    private Long orderItemId;

    /**
     * 是否是装柜移除的，0-不是，1-是
     */
    private Integer isRemove;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
