package cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class PreloadedReq {
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "出货单ID列表")
    private List<Long> shipmentIdList;

    @ApiModelProperty(value = "入仓开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date rucangTimeStart;

    @ApiModelProperty(value = "入仓结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date rucangTimeEnd;

    @ApiModelProperty(value = "始发仓ID")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的仓ID列表")
    private List<Long> destWarehouseIdList;

    @ApiModelProperty(value = "订单状态: 1-拆单，2-关联单")
    private Integer orderStatus;

    @ApiModelProperty(value = "备案属性")
    private Integer productRecord;

    @ApiModelProperty(value = "报关方式")
    private Integer customsType;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "品名")
    private String itemName;

    @ApiModelProperty(value = "重货比最小值")
    private BigDecimal weightRatioMin;

    @ApiModelProperty(value = "重货比最大值")
    private BigDecimal weightRatioMax;

    @ApiModelProperty(value = "语言")
    private Integer lang;

    /**
     * 是否是装柜补仓的，0-不是，1-是
     */
    private Integer isCover;

    /**
     * 是否是装柜移除的，0-不是，1-是
     */
    private Integer isRemove;

    /**
     * 智慧预装传1
     */
    private Integer smartInstall;

    private Long orderId;

    private Integer isDel;
}
