package cn.iocoder.yudao.module.shipment.vo.boxSettlement;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 结算 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 结算 Response VO")
public class BoxSettlementBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("可结算时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "可结算时间")
    private Date slSettlementTime;

    @ExcelProperty("已结算时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "已结算时间")
    private Date slSettledTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
