package cn.iocoder.yudao.module.shipment.vo.boxShipConfig;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 配船 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 配船 Response VO")
public class BoxShipConfigBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("是否配船：1：免配，2：已配")
    @ApiModelProperty(value = "是否配船：1：免配，2：已配")
    private Integer saExmtStatus;

    @ApiModelProperty(value = "配船时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date configTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
