package cn.iocoder.yudao.module.shipment.vo.boxShipping;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 起运查询 VO")
public class BoxShippingQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始实际开船时间")
    private Date beginDtRealShipTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束实际开船时间")
    private Date endDtRealShipTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始预计到港时间")
    private Date beginDtEstArrivalTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "结束预计到港时间")
    private Date endDtEstArrivalTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
