package cn.iocoder.yudao.module.shipment.vo.boxTally;

import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxPreloadGoodsBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 理货 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 理货 Response VO")
public class BoxTallyBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("理货状态，0-未理货，1-已理货")
    @ApiModelProperty(value = "理货状态，0-未理货，1-已理货")
    private Integer tallyStatus;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "是否多规格")
    private Boolean multiSpecification;

    @ApiModelProperty(value = "储位")
    private String positionNo;

    @ExcelProperty("理货时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "理货时间")
    private Date tallyTime;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    private Integer tidanNum;

    @ApiModelProperty(value = "垫付类型(多个):10内陆运输费，20打木架/托，30纸箱打包")
    private String advanceType;

    @ApiModelProperty(value = "订单商品项")
    private List<BoxPreloadGoodsBackVO> orderItemList;

    @ApiModelProperty(value = "计划件数")
    private Integer num;

    @ApiModelProperty(value = "实际件数")
    private Integer installNum;

}
