package cn.iocoder.yudao.module.shipment.vo.boxTrailer;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 拖车 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 拖车 Response VO")
public class BoxTrailerBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("出货单ID")
    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ExcelProperty("拖车提柜状态，1、已派车，待提柜；2、已提柜，待还柜；3、已还柜")
    @ApiModelProperty(value = "拖车提柜状态，1、已派车，待提柜；2、已提柜，待还柜；3、已还柜")
    private Integer tlContainerStatus;

    @ExcelProperty("拖车公司ID")
    @ApiModelProperty(value = "拖车公司ID")
    private Long tlCompanyId;

    @ExcelProperty("拖车时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "拖车时间")
    private Date tlTime;

    @ExcelProperty("车牌")
    @ApiModelProperty(value = "车牌")
    private String tlLicensePlate;

    @ExcelProperty("司机")
    @ApiModelProperty(value = "司机")
    private String tlDriver;

    @ExcelProperty("联系方式")
    @ApiModelProperty(value = "联系方式")
    private String tlDriverContact;

    @ExcelProperty("货柜号")
    @ApiModelProperty(value = "货柜号")
    private String tlContainerNo;

    @ExcelProperty("封条")
    @ApiModelProperty(value = "封条")
    private String tlStripSeal;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

}
