package cn.iocoder.yudao.module.shipment.vo.boxTrailer;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 拖车 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class BoxTrailerBaseVO {

    @ApiModelProperty(value = "出货安排ID", required = true)
    @NotNull(message = "{preload.goods.shipment.not.blank}")
    private Long shipmentId;

    @ApiModelProperty(value = "拖车提柜状态，1、已派车，待提柜；2、已提柜，待还柜；3、已还柜")
    private Integer tlContainerStatus;

    @ApiModelProperty(value = "拖车公司ID")
    private Long tlCompanyId;

    @ApiModelProperty(value = "拖车时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date tlTime;

    @ApiModelProperty(value = "车牌")
    private String tlLicensePlate;

    @ApiModelProperty(value = "司机")
    private String tlDriver;

    @ApiModelProperty(value = "联系方式")
    private String tlDriverContact;

    @ApiModelProperty(value = "货柜号")
    private String tlContainerNo;

    @ApiModelProperty(value = "封条")
    private String tlStripSeal;

}
