package cn.iocoder.yudao.module.shipment.vo.boxTrailer;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 拖车查询 VO")
public class BoxTrailerQueryVO {

    @ApiModelProperty(value = "出货单ID")
    private Long shipmentId;

    @ApiModelProperty(value = "拖车提柜状态，1、已派车，待提柜；2、已提柜，待还柜；3、已还柜")
    private Integer tlContainerStatus;

    @ApiModelProperty(value = "拖车公司ID")
    private Long tlCompanyId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始拖车时间")
    private Date beginTlTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束拖车时间")
    private Date endTlTime;

    @ApiModelProperty(value = "车牌")
    private String tlLicensePlate;

    @ApiModelProperty(value = "司机")
    private String tlDriver;

    @ApiModelProperty(value = "联系方式")
    private String tlDriverContact;

    @ApiModelProperty(value = "货柜号")
    private String tlContainerNo;

    @ApiModelProperty(value = "封条")
    private String tlStripSeal;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
