package cn.iocoder.yudao.module.shipment.vo.futureBox;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 预定舱计划 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 预定舱计划 Response VO")
public class FutureBoxBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("始发地id")
    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ExcelProperty("目的地id")
    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private String transportType;

    @ExcelProperty("待入仓订单方数")
    @ApiModelProperty(value = "待入仓订单方数")
    private String readyWarehousingNumber;

    @ExcelProperty("已入仓订单方数")
    @ApiModelProperty(value = "已入仓订单方数")
    private String warehousedNumber;

    @ExcelProperty("异常订单方数")
    @ApiModelProperty(value = "异常订单方数")
    private String exceptionNumber;

    @ExcelProperty("自单代报订单方数")
    @ApiModelProperty("自单代报订单方数")
    private String orderReportNumber;

    @ExcelProperty("待排单订单方数")
    @ApiModelProperty(value = "待排单订单方数")
    private String warehousingNumber;

    @ExcelProperty("已装柜方数")
    @ApiModelProperty(value = "已装柜方数")
    private String loadingNumber;

    @ApiModelProperty(value = "已装柜/出仓重量")
    private String loadingWeight;


    @ExcelProperty("未来X天货柜")
    @ApiModelProperty(value = "未来X天货柜")
    private String futureNumber;

    @ExcelProperty("GP")
    @ApiModelProperty(value = "GP")
    private String gpNumber;

    @ExcelProperty("hq")
    @ApiModelProperty(value = "hq")
    private String hqNumber;

    @ExcelProperty("未来计划方数")
    @ApiModelProperty(value = "未来计划方数")
    private String futurePlanNumber;

    @ExcelProperty("未来实际方数")
    @ApiModelProperty(value = "未来实际方数")
    private String actualNumber;

    @ExcelProperty("出货渠道ID")
    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @ApiModelProperty(value = "出货渠道名称中文")
    private String shippingChannelName;

    @ApiModelProperty(value = "出货渠道名称英文")
    private String shippingChannelNameEn;

    @ExcelProperty("是否展示 默认为展示")
    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createName;

}
