package cn.iocoder.yudao.module.shipment.vo.futureBox;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 预定舱计划 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class FutureBoxBaseVO {

    @ApiModelProperty(value = "始发地id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的地id")
    private Long destWarehouseId;

    @ApiModelProperty(value = "运输方式")
    private String transportType;

    @ApiModelProperty(value = "待入仓订单方数")
    private String readyWarehousingNumber;

    @ApiModelProperty(value = "已入仓订单方数")
    private String warehousedNumber;

    @ApiModelProperty(value = "待排单订单方数")
    private String warehousingNumber;

    @ApiModelProperty(value = "已装柜/出仓方数")
    private String loadingNumber;

    @ApiModelProperty(value = "已装柜/出仓重量")
    private String loadingWeight;

    @ApiModelProperty(value = "未来X天货柜")
    private String futureNumber;

    @ApiModelProperty(value = "GP")
    private String gpNumber;

    @ApiModelProperty(value = "hq")
    private String hqNumber;

    @ApiModelProperty(value = "未来计划方数")
    private String futurePlanNumber;

    @ApiModelProperty(value = "未来实际方数")
    private String actualNumber;

    @ApiModelProperty(value = "出货渠道ID")
    private Long shippingChannelId;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ApiModelProperty(value = "异常订单方数")
    private String exceptionNumber;

   @ApiModelProperty("自单代报订单方数")
    private String orderReportNumber;
}
