package cn.iocoder.yudao.module.shipment.vo.makeBillOfLading;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;
/**
* 制作提货单 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 制作提货单 Response VO")
public class MakeBillOfLadingBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ExcelProperty("提货单内容")
    @ApiModelProperty(value = "提货单内容")
    private String billContent;

    @ExcelProperty("提货单制作状态")
    @ApiModelProperty(value = "提货单制作状态")
    private Integer status;

    @ApiModelProperty(value = "流程实例ID")
    private String bpmProcessId;

    @ApiModelProperty(value = "提货单pdfURL")
    private String imgUrl;

}
