package cn.iocoder.yudao.module.shipment.vo.makeBillOfLading;

import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxPreloadGoodsBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 制作提货单 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 制作提货单列表 Response VO")
public class MakeBillOfLadingListBackVO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "是否控货")
    private Boolean isCargoControl = Boolean.FALSE;

    @ApiModelProperty(value = "计划箱数")
    private int num;

    @ApiModelProperty(value = "提货点")
    private String destWarehouse;

    @ApiModelProperty(value = "实装箱数")
    private int loadNum;

    @ApiModelProperty(value = "体积")
    private BigDecimal loadVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "重量")
    private BigDecimal loadWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "跟进客服ID")
    private String salesmanId;

    @ApiModelProperty(value = "提单号")
    private Integer tidanNo;

    @ExcelProperty("提货单制作状态")
    @ApiModelProperty(value = "提货单制作状态")
    private Integer status;

    @ApiModelProperty(value = "订单商品项")
    private List<BoxPreloadGoodsBackVO> orderItemList;

    @ApiModelProperty(value = "报关方式")
    private String customsTypeName;

    @ApiModelProperty(value = "付款人")
    private String drawee;

    @ApiModelProperty(value = "订单申请信息")
    private String applicationInfo;

    private Integer customsType;

    private Integer draweeCode;

    private Integer specialPriceCount;

    private Integer heavyDiscount;

    private String orderStatusString;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date rucangTime;
}
